2009-03-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Bump version to 2.18.5

=========================== 2.18.4 ========================

2009-03-06  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-font-dialog.c:
	(gnome_font_selection_class_init), (gnome_font_selection_init),
	(gnome_font_preview_class_init), (gnome_font_dialog_class_init):
	* libgnomeprintui/gnome-font-dialog.h:
	* libgnomeprintui/gnome-print-content-selector.c:
	* libgnomeprintui/gnome-print-content-selector.h:
	* libgnomeprintui/gnome-print-copies.h:
	* libgnomeprintui/gnome-print-job-preview.c:
	* libgnomeprintui/gnome-print-job-preview.h:
	* libgnomeprintui/gnome-print-layout-selector.c:
	* libgnomeprintui/gnome-print-page-selector.c:
	* libgnomeprintui/gnome-print-paper-selector.c:
	* libgnomeprintui/gnome-print-widget.h:
	* libgnomeprintui/gnome-printer-selector.c:
	* libgnomeprintui/gnome-printer-selector.h:
	* libgnomeprintui/gpaui/gpa-option-menu.c:
	* libgnomeprintui/gpaui/gpa-settings-selector.c:
	* libgnomeprintui/gpaui/gpa-transport-selector.c:
	* libgnomeprintui/gpaui/gpa-widget.c:
	* libgnomeprintui/gpaui/gpa-widget.h:
	Use single glib/gtk+ includes. Stop using deprecated API etc.

2008-09-22  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump.

============================ 2.18.3 ========================

2008-09-22  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: 2.18.3.

2008-06-21  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-job-preview.h:
	* libgnomeprintui/gpaui/gpa-settings-selector.c:
	(gpa_settings_selector_menuitem_activate):
	* testtext.c: (print_test_page), (main):
	Fix build against new Gtk+

2008-02-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-paper-preview.c:
	(gnome_paper_preview_construct): Don't use #warning. Add
	a comment instead.

============================= 2.18.2 ======================

2007-11-20  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-layout-selector.c:
	(gnome_print_layout_selector_save_plain): Fix for a
	crash in gedit when checkboxes in the layout tab are
	checked. Only crashed on SPARC Solaris. Closes
	bug #494580. Patch by Ghee Teo.

2007-11-20  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gpaui/gpa-checkbutton.h:
	* libgnomeprintui/gpaui/gpa-print-to-file.h:
	* libgnomeprintui/gpaui/gpa-radiobutton.h:
	* libgnomeprintui/gpaui/gpa-spinbutton.h:
	* libgnomeprintui/gpaui/gpa-transport-selector.h:
	Remove some duplicated includes.
	* tests/Makefile.am:
	Remove unneeded -lpopt. Noted by dmacks at netspace org.
	Part of bug #497968.

============================ 2.18.1 =======================

2007-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gpaui/gpa-transport-selector.c:
	(gpa_transport_selector_file_button_clicked_cb):
	L10N fixes. Patch from Takao Fujiwara. Closes
	bug #409941.

============================ 2.18.0 =======================

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-config-dialog.c:
	(gnome_print_config_dialog_get_type):
	* libgnomeprintui/gnome-print-copies.c:
	(gnome_print_copies_selector_get_type):
	* libgnomeprintui/gnome-print-dialog.c:
	(gnome_print_dialog_get_type):
	* libgnomeprintui/gnome-print-job-preview.c:
	* libgnomeprintui/gpaui/gpa-checkbutton.c:
	(gpa_checkbutton_get_type):
	* libgnomeprintui/gpaui/gpa-paper-preview-item.c:
	(gpa_paper_preview_item_connect):
	* libgnomeprintui/gpaui/gpa-print-to-file.c: (gpa_p2f_get_type):
	* libgnomeprintui/gpaui/gpa-radiobutton.c:
	(gpa_radiobutton_get_type):
	* libgnomeprintui/gpaui/gpa-spinbutton.c:
	(gpa_spinbutton_get_type):
	* libgnomeprintui/gpaui/gpa-transport-selector.c:
	(gpa_transport_selector_get_type):
	* libgnomeprintui/gpaui/gpa-widget.c: (gpa_widget_get_type):
	* tests/test-dialog.c: Remove unneeded trailing commas.

======================== 2.17.92 ==========================

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* MAINTAINERS: Add myself.
	* Makefile.am: Dist MAINTAINERS.

2007-02-16  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* doc/html: remove this directory from svn as it gets deleted while 
	building the docs and then it cannot be updated by svn.

======================== 2.17.91 =========================

2007-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-preview.c:
	Use fg style as outline for filled shapes. Bug #158012
	Patch from Ken Harris.
	* libgnomeprintui/gnome-print-job-preview.c:
	(gnome_print_job_preview_zoom): Remove two unused vars
	* libgnomeprintui/gnome-printer-selector.c:
	(gnome_printer_selector_construct): Mark a string for translation

========================== 2.17.90 =========================

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-page-selector.c:
	(gnome_print_page_selector_finalize): Chain up to parent class
	* libgnomeprintui/gnome-print-paper-preview.c: Include <config.h>
	* libgnomeprintui/gnome-print-ui-private.c: Same.
	Closes bug #321901 reported by Morten Welinder.

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-job-preview.c:
	(gnome_print_job_preview_init): Fix a bunch of strings to use
	imperative instead of present tense. Ole Laursen. Closes
	bug #166496.

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* doc/tmpl/gnome-print-copies.sgml: Updated by gtk-doc
	* doc/tmpl/gnome-print-dialog.sgml: Same
	* doc/tmpl/gnome-print-paper-selector.sgml: Same
	* doc/tmpl/gnome-print-preview.sgml: Same
	* libgnomeprintui/gnome-print-job-preview.c:
	(gnome_print_job_preview_zoom): Fix bug #364753 - Print
	Preview (zoom out) in Evolution has the effect of zoom in.
	Patch from Ghee Teo.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* tests/test-dialog.c: (test_dispatch), (usage),
	(parse_command_line), (main):
	* tests/test-preview.c: (main): Port these to GOption.
	Patch from Michael Terry. Closes bug #336884.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-print-copies.c:
	(gnome_print_copies_selector_init): Fix a duplicate
	mnemonic. Closes bug #155854.

2006-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/gnome-font-dialog.c:
	(gnome_font_selection_get_type), (gnome_font_selection_new),
	(gnome_font_preview_get_type): Fix some sparse warnings.
	* libgnomeprintui/gnome-print-copies.c:
	(gnome_print_copies_selector_update_image): Fix mixed code
	and declarations.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove ALL_LINGUAS and bump intltool req.
	* po/LINGUAS: Add this.
	* Makefile.am: Dist the intltool scripts too.

2006-08-03  Subhransu Behera  <arya_subhransu@yahoo.co.in>

	* configure.in: Added Oriya (or) to ALL_LINGUAS.

2006-07-03  Runa Bhattacharjee <runabh@gmail.com>

        * configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-04-23  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added zh_HK to ALL_LINGUAS.
	
2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-03-13  Vladimer Sichinava  <alinux@siena.linux.it>

        * configure.in Added "ka" (Georgian) entrie.
	
2006-01-16  Lutz Mueller <lutz@topfrose.de>

	* libgnomeirntui/gnome-print-layout-selector.c
	(gnome_print_layout_selector_input_changed): Update clip region here.
	(gnome_print_layout_selector_init): First create the filter. Then set it up.

2006-01-15  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c: Show 10 pages if no total
	page number is known.

2006-01-15  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c: Clip the whole page.
	* libgnomeprintui/gnome-print-preview.c
	(gnome_print_preview_[gsave,grestore]): New. Corrects clipping.

2006-01-12  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c: Load/Save filter from
	"Settings.Document.Filter". Only save in the idle loop.
	* libgnomeprintui/gnome-print-layout-selector.c: Fix logic. Only update
	preview in the idle loop.
	* libgnomeprintui/gnome-print-page-selector.c (on_button_toggled): Do not
	save twice.
	* libgnomepirntui/gnome-print-preview.c
	(gnome_print_preview_clear): New.
	(gnome_print_preview_reset): Call function above.
	(gpp_beginpage): Call function above.
	(gnome_print_preview_new_full): Simplify.

2006-01-09  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_update_page): New. Redraws one page.
	(gnome_print_job_preview_show_page): Call function above.
	(gnome_print_job_preview_nx_and_ny_changed): Simplify. Use functions above.
	(on_job_notify): Move down. Read the configuration.
	(gnome_print_job_preview_width_height_changed): Redraw the pages.
	(gnome_print_job_preview_set_[width,height]): New.
	(gnome_print_job_preview_check_paper_size): Read the configuration.
	(gnome_print_job_preview_set_config): New. Monitor changes in the
																				configuration.
	(gnome_print_job_preview_parse_layout): Use above functions.
	(gnome_print_job_preview_destroy): Moved to...
	(gnome_print_job_preview_finalize): New.

2006-01-05  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-paper-selector.c
	(gnome_paper_selector_set_[width,height]): New.
	(gnome_paper_selector_load_paper_size): Use above functions.
	(gnome_paper_selector_load_orientation): New.
	(gps_[width,height]_value_changed): Simplify.
	(gnome_paper_selector_set_config): Watch the widget instead of the node in
	the print config. The widget is updated automatically if the config changes.

2006-01-04  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-preview.[c,h]
	(gnome_print_preview_reset): New.
	(gpp_g[save,restore]), (instance_init): Remove. Not needed.
	(class_init): New property "only_first". If set to TRUE, only the first
	page will be rendered.
	* libgnomeprintui/gnome-print-copies.c
	(gnome_print_copies_selector_finalize): Stop watching for changes in the
	filter.

2005-12-26  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c: Add a preview.
	* libgnomeprintui/gnome-print-preview.c: Remove unnecessary code.

2005-12-26  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnomme-print-dialog.c (gnome_print_dialog_set_config):
	Make sure we've got all nodes we need in the configuration.

2005-12-22  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_check_source) :
	If a file has been supplied to libgnomeprint (gnome_print_job_set_file), 
	make the 'Job', 'Paper' and 'Layout' tabs insensitive.

2005-12-22  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c
	(gnome_print_layout_selector_init): Correctly initialize the widget.

2005-12-21  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c: Build the 'paper' page only once.
	* libgnomeprintui/gnome-print-paper-selector.c: Make the configuration a 
	standard property that can be written.

2005-12-20  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c: Check if the application supplies
	the file instead of generating it through the gnome-print API.

2005-12-20  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-preview.c (gpp_finalize): Don't destroy. Just
	unref. The group may not be generated by ourselves.
	While at it, clean up.

2005-12-19  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c: Move layout selection on a separate
	tab.
	* libgnomeprintui/gnome-print-layout-selector: Change from option menu to
	radio buttons. Add 'leaflet, folded once and stapled' and 'leaflet, folded
	twice'.
	* libgnomeprintui/gnome-print-page-selector.c: Convert 'even' and 'odd' 
	check buttons to radio buttons and put them into the list.
	* libgnomeprintui/gnome-print-paper-selector.c: Add properties 'width' and
	'height'.

2005-11-15  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-copies.c: Fix loading and saving.
	* libgnomeprintui/gnome-print-dialog.c: Fix small memleak.

2005-11-13  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c
	(gnome_print_layout_selector_get_dim) : Paper dimensions are double, not int.

2005-11-13  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-page-selector.c
	(gnome_print_page_selector_load_filter) : Be more smart if the total number
	of pages is known.

2005-11-13  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_get_property) :
	Make the 'print-config' property readable.

2005-11-12  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_finalize) : 
	Disconnect the signal on the filter node.

2005-11-11  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-copies.c: Show the 'reverse' check button.

2005-11-05  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c
	(gnome_print_layout_selector_get_dim)
	(gnome_print_layout_selector_array_from)
	(gnome_print_layout_selector_save)
	(param_filter_set_default)
	(gnome_print_layout_selector_init): Don't clip if we don't know the paper
	size.

2005-11-05  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-page-selector: Fix loading of user-defined
	page ranges. Remove the redundant 'from-to' radio button to make the
	dialog smaller.
	* tests/test-page-selector.c: Test loading.

2005-11-02  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector: Remove debugging
	messages.

2005-10-31  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-copies.c: New property: Filter.
	* libgnomeprintui/gnome-print-page-selector.c: Same here.
	* libgnomeprintui/gnome-print-layout-selector: Clip pages.
	* libgnomeprintui/gnome-print-dialog.c: Hook up the new layout selector.
	* libgnomeprintui/gnome-print-paper-selector.c: Comment out the layout
	selector. We've now got a more powerful one on the 'job'-page.

2005-10-27  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c: Loading now partially
	implemented.

2005-10-27  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c:
	* tests/test-layout-selector.c: More bugs fixed.

2005-10-23  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.c: Additional bugfixes.

2005-10-23  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.[c,h]: Make it somewhat
	functional. Still not hooked up in the dialog yet.
	* tests/test-layout-selector.c: Make it work again.

2005-10-21  Lutz Mueller <lutz@topfrose.de>

	* tests/test-common.[c,h]: New.

2005-10-21  Lutz Mueller <lutz@topfrose.de>

	* tests/test-layout-selector.c: New.
	* tests/Makefile.am: Hook up the new file.
	* tests/test-dialog.c: When clicking on preview, show it.

2005-10-21  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-layout-selector.[c,h]: New. More sophisticated
	combo box than the current layout selector. Not yet shown in the dialog.
	* Makefile.am: Hook up the new files.

2005-10-17  Tor Lillqvist  <tml@novell.com>

	* libgnomeprintui-zip.in: Use @VERSION@ instead of hardcoding
	2.11.1, eek.

2005-10-16  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-page-selector.c 
	(gnome_print_page_selector_save_config) : Make 'all pages' the default.
	(gnome_print_page_selector_[start,stop]_monitoring) : New.

2005-10-12  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-copies.c: Make 'reverse' checkbutton
	always sensitive. It should be sensitive only if there is more than 1
	page to be printed, but that is left as an exercise to the interested
	reader.

2005-10-12  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-copies.c
	(gnome_print_copies_selector_update_sensitivity) : New. Only make 'reverse'
	sensitive if copies > 1.
	* libgnomeprintui/gnome-print-page-selector.c: 
	(gnome_print_page_selector_save_config) : Fix small typo.
	(gnome_print_page_selector_set_property) : Only show the 'current' radio
	button if the application has specified a current page.
	(gnome_print_page_selector_init) : Layout change to honor HIG.

2005-10-12  Lutz Mueller <lutz@topfrose.de>

	Fixes last remaining item of #110222 (printing in reverse order):

	* libgnomeprintui/gnome-print-copies.c : 
	(gnome_print_copies_selector_get_before_and_after)
	(gnome_print_copies_selector_save_config)
	(gnome_print_copies_selector_load_config) : New. Read/write configuration.
	(gnome_print_copies_selector_[get,set]_property) : New.
	(gnome_print_copies_selector_init): Create a ToggleButton 'Reverse'.
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_set_property) :
	Pass the configuration to the copies selector.

2005-09-29  Lutz Mueller <lutz@topfrose.de>

	* libgnomeprintui/gnome-print-content-selector.c: Add a comment for
	  translators on the word 'Print Content'.

2005-09-26  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-09-26  Jody Goldberg <jody@gnome.org>

	* Release 2.12.1

2005-09-22  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=306886
	* libgnomeprintui/gpaui/gpa-paper-preview-item.c
	(gpa_paper_preview_item_connect) : use connect_swapped to make the
	  signature of the handler cleaner. Watch paper width/height
	  explicitly.
	* libgnomeprintui/gnome-print-paper-selector.c (gps_get_preview) : new.

	http://bugzilla.gnome.org/show_bug.cgi?id=312929
	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_nx_and_ny_changed) : don't leak the preview.
	(gnome_print_job_preview_destroy) : ditto.

	* libgnomeprintui/gnome-print-preview.c (gpp_close) : unref the group
	  in the user_data.

2005-09-21  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-preview.c
	(gpp_beginpage) : reset the context's user_data to the original group.
	  If we don't then deleting all the children could leave us with a
	  reference to a deleted object.  This seems to fix the crash but it
	  is a bit of a shot in the dark.

2005-09-21  Jody Goldberg <jody@gnome.org>

	* configure.in : bump libgnomeprint req to handle the
	    s/gp_gc_get_data/gp_gc_get_user_data/

2005-09-19  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=312928
	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_init) : leak.

	Patch from <chpe@gnome.org>
	http://bugzilla.gnome.org/show_bug.cgi?id=316692
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_new) : use
	  the correct property name.

	* po/POTFILES.in (libgnomeprintui) : Add missing files.

2005-09-13  Jürg Billeter  <j@bitron.ch>

	http://bugzilla.gnome.org/show_bug.cgi?id=155144
	* libgnomeprintui/gpaui/gpa-printer-selector.c:
	(gpa_printer_selector_printer_added): Make sure we refer to current
	default printer.

2005-09-06  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-09-06  Jody Goldberg <jody@gnome.org>

	* Release 2.12.0

2005-09-03  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-page-selector:c: Improved detection of 
	select-filter in filter pipeline.

2005-09-02  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-dialog.c: Add the possibility to directly
	edit the filter. Doesn't get displayed yet.
	* libgnomeprintui/gnome-print-ui-page-selector.c: Select all pages if the
	select-filter cannot be found or contains strange values.

2005-09-02  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-page-selector.c: Update the widget if
	the configuration changes.

2005-08-30  Lutz Mueller <lutz@users.sourceforge.net>

	* tests/test-page-selector.c: New test program that displays the page
	selection widget.
	* tests/Makefile.am: Hook it up.

2005-08-30  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprint/gnome-print-dialog.c: New properties: title, flags, 
	content selector.
	(gnome_print_dialog_load_config): Loads the configuration. Currently 
	adds printers and paper page, because those widgets can't live without
	a configuration (and therefore cannot be created during construction).
	(gnome_print_dialog_init): Create all widgets here (where it is possible).
	(gnome_print_dialog_new): Redirect to g_object_new.
	(gnome_print_dialog_construct): Redirect to g_object_set.
	(gnome_print_dialog_construct_range_[custom,page]): Hide the new page
	selection widget if this function gets called.
	(gnome_print_dialog_[g,s]et_copies): Simplify.

2005-08-30  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-page-selector.[c,h]
	* libgnomeprintui/gnome-print-content-selector.[c,h]: New files.
	* libgnomeprintui/Makefile.am: Hook them up.

2005-08-30  Tor Lillqvist  <tml@novell.com>

	* libgnomeprintui-zip.in: New file. Used to build libgnomeprintui
	zipfile distribution for Windows.

	* configure.in (AC_OUTPUT)
	* Makefile.am (EXTRA_DIST): Expand and dist it.

2005-08-26  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=311410
	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(gpa_printer_selector_printer_added) : split out of.
	(gpa_printer_selector_printer_added_cb) : here. but leave the mutexes
	  here.  No need to grab a lock during construction.

2005-08-21  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-dialog-private.h: Removed. Now in
	* libgnomeprintui/gnome-print-dialog.c: Make printer selector and
	notebook accessible as properties. Fix warnings.
	* tests/test-dialog.c:
	* libgnomeprintui/Makefile.am: Remove reference to
	gnome-print-dialog-private.h

2005-08-16  Lutz Mueller <lutz@users.sourceforge.net>

	* tests/test-dialog.c: Make it compile again.

2005-08-08  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-07-05  Jon K Hellan  <hellan@acm.org>

	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(gpa_printer_selector_class_init):  Fix crash. (#309507)

2005-06-21  Matthias Clasen  <mclasen@redhat.com>

	* libgnomeprintui/gnome-print-dialog.c (gpd_create_range):
	Update the sensitivity of the range.  (#305248)

	* libgnomeprintui/gpaui/gpa-printer-selector.c (gpa_printer_selector_map): 
	Make sure the initial focus is on the printer list,
	so typeahead search works.  (#305246)
	(interactive_search_func): Make typeahead search match in 
	printer location as well as printer name.  (#305247)

2005-06-14  Ivan, Wong Yat Cheung  <email@ivanwong.info>

	* libgnomeprintui/Makefile.am:
	* libgnomeprintui/gnome-print-ui-private.[ch]:
	  New. For storing private variables of the library.

	* libgnomeprintui/gnome-print-i18n.c:
	* libgnomeprintui/gnome-print-job-preview.c:
	  Use runtime detected paths instead of constants.

2005-06-11  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-06-11  Jody Goldberg <jody@gnome.org>

	* Release 2.11.0

2005-06-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/Makefile.am: Remove gnome-print-pixbuf.[c,h]. We now
	use gnome-print-rbuf directly.
	* libgnomeprintui/gnome-print-job-preview.c: Use gnome-print-rbuf directly.

2005-06-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-pixbuf.c: Remove some unnecessary variables.
	(gnome_print_pixbuf_construct): Use properties.

2005-06-10  Jeroen Zwartepoorte  <jeroen.zwartepoorte@gmail.com>

	* libgnomeprintui/gnome-print-job-preview.c: gcc4 build fix.

2005-06-09  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c: Remove some unnecessary
	defines. 
	(gnome_print_job_preview_close): Make the clipoard persistent.
	(clipboard_get_func): Supply an image if requested
	(gnome_print_job_preview_get_targets): List all supported targets.
	(gnome_print_job_preview_finalize): Unused -> removed.

2005-06-07  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c
	(on_drag_data_get_showpixbuf): New
	(on_drag_data_get),
	(gnome_print_job_preview_set_state_editing): Support basic image types, too.

2005-06-07  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-preview-private.h: Removed.
	* libgnomeprintui/gnome-print-preview.c: Add the definitions that have been
	in gnome-print-preview-private.h.
	* libgnomeprintui/Makefile.am: Hook up gnome-print-pixbuf.[c,h]
	* libgnomeprintui/gnome-print-job-preview.c: When dragging, show a small
	preview of the page being dragged around (-> HIG).
	* libgnomeprintui/gnome-print-pixbuf.[c,h]: Make it compile.
	* libgnomeprintui/gnome-printui-marshal.list: Add VOID:OBJECT,UINT. Needed
	by gnome-print-pixbuf.c.
	
2005-06-05  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_set_state_editing): According to the HIG, <shift>
	should move objects.
	(on_canvas_button_press_event): Always store the event. We may need it
	later.
	(on_drag_data_received): According to the HIG, dropping onto the original
	location should cancel the operation.

2005-06-04  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c
	(on_canvas_motion_notify_event): Start dragging only if user moves out of
	window or over another page.

2005-06-03  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_pointer_type_changed): Move code to...
	(gnome_print_job_preview_[set,unset]_pointer_type): ... here. Simplifies
	code. In addition, call gnome_print_job_preview_set_state_editing to get us
	in editing mode.
	(gnome_print_job_preview_set_state_editing): Move up.
	(gnome_print_job_preview_set_state_normal): Use
	gnome_print_job_preview_unset_pointer_type.
	(cb_clipboard_targets_changed): Move up, because we need it here:
	(gnome_print_job_preview_check_clipboard): Checks the clipboard for usable
	data.
	(on_focus_[in,out]_event): New. Show the pointer when entering the window if
	the preview is in editing mode and there is some usable data in the
	clipboard. Hide the pointer when we leave the window.
	(gnome_print_job_preview_init): Hook up above functions.
	(allow_cut_copy): Removed because now unneeded.
	(cb_clipboard_owner_changed): Call gnome_print_job_preview_check_clipboard.

2005-06-03  Lutz Mueller <lutz@users.sourceforge.net>

	Third part of #165856:

	* libgnomeprintui/gnome-print-job-preview.xml: UI definition
	* libgnomeprintui/Makefile.am: Hook up above file.
	* libgnomeprintui/gnome-print-job-preview.c: Remove hardcoded UI definition.
	Load UI definition from file instead.

2005-06-03  Lutz Mueller <lutz@users.sourceforge.net>

	Second part of #165856:

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_pointer_type_changed): Set sensitivity of paste
	button here.
	(gnome_print_job_preview_init): Make cut, copy and paste button insensitive
	on startup.
	(allow_cut_copy): Remove bogus code.

2005-06-03  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c
	(on_canvas_key_press_event): Support <ctrl>-[c,x,v]. First part of #165856.

2005-05-30  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_show_pages) :  be more relaxed when there are
	  no pages.
	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_update_pointer) : with no pages there is no
	  point setting the cursor.

2005-02-24  Srirama Sharma <srirama.sharma@wipro.com>

	* libgnomeprintui/gnome-print-dialog.[ch]
	(gnome_print_set_atk_relation) : Added to set atk relation between a
	widget and a label.
	(gpd_create_job_page), (gnome_print_dialog_construct_range_any):
	* libgnomeprintui/gnome-print-copies.c (gnome_print_copies_selector_init):
	* libgnomeprintui/gnome-print-unit-selector.c (gnome_print_unit_selector_init):
	* libgnomeprintui/gnome-print-paper-selector.c (gnome_paper_selector_construct) :
	Set atk relations with the sub-headings and the keyboard navigatable field's
	for "Job" and "Paper" tabs.
	Fixes Bug #164423.

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-24  Morten Welinder  <terra@gnome.org>

	* configure.in: Add -DGDK_MULTIHEAD_SAFE

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_init): Fix weirdness.

	* libgnomeprintui/gnome-print-paper-preview.c
	(gnome_paper_preview_construct): Fix patch mess.

2005-03-24  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=171492
	* libgnomeprintui/gpaui/gpa-transport-selector.c
	(gpa_transport_selector_check_consistency_real) : minor leak.

2005-03-23  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2005-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.10.2

2005-03-19  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-preview.c (gpp_glyphlist) : remove some
	  dead code.  There was no use in assigning anything to transform.  We
	  were about to overwrite it 2 lines later.

2005-03-17  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-config-dialog.c
	(gp_config_dialog_read_from_config) : expand previous patch a bit.

2005-03-17  Ivan, Wong Yat Cheung <email@ivanwong.info>

	* configure.in: don't even check local libgnomeprint-2-2.la
	  for cross-compiling.

	* libgnomeprintui/gnome-print-config-dialog.c
	  (gp_config_dialog_read_from_config): disables the duplex/tumble
	  toggle buttons when a model doesn't have a "Duplex" option.

	* libgnomeprintui/gnome-print-i18n.c
	  (libgnomeprintui_gettext): win32 needs a correct locale
	  directory.

2005-03-16  Jody Goldberg <jody@gnome.org>

	* Release 2.10.1

2005-03-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=168132
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct) : 
	  No reason to start with the middle tab selected.  Put 'Printer' first

2005-03-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=170354
	* libgnomeprintui/gpaui/gpa-printer-selector.c (get_printer_icon) :
	  leak patch from Kjartan.

2005-03-08  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2005-03-08  Jody Goldberg <jody@gnome.org>

	* Release 2.10.0

2005-03-05  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "mk" to ALL_LINGUAS.

2005-02-18  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=163876
	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_init) : add xgettext:no-c-format

2005-02-17  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=157829
	* libgnomeprintui/gpaui/gpa-printer-selector.c (selection_changed_cb) : 
	  Work around issues with gpa list implementation.
	(scroll_to_selected) : new util
	(gpa_printer_selector_printer_added_cb) : handle the default here.
	(gpa_printer_selector_construct) : rather than here.
	  Use gpa_printer_selector_printer_added_cb rather than replicating
	  part of the logic

2005-02-10  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=161986
	* libgnomeprintui/gpaui/gpa-spinbutton.c (gpa_spinbutton_save) : Use
	  g_ascii_dtostr to avoid locale problems.  Values should always be in
	  locale C.

2005-01-26  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=165215
	* libgnomeprintui/gnome-print-paper-preview.c
	(gnome_paper_preview_construct) : Use something more multi-head
	friendly
	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_init) : ditto

2005-01-18  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_new) : Use Gtkclipboard::owner_changed rather
	  than polling in an idle
	(cb_clipboard_owner_changed) : renamed from clipboard_monitor_func and
	  use gtk_clipboard_request_targets instead of
	  gtk_clipboard_wait_for_targets.  There's no need to be synconous
	  about this and the potentil re-entrancy problems did not excite me.
	(cb_clipboard_targets_changed) : new.

2005-01-11  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c: Big rewrite. Some features
	added. The most important new functions are:
	(gnome_print_job_preview_cmd_[insert,delete,move]): Insertion, deletion and
																											move of pages.
	(*_[drag,drop]_*): Make above commands available through D&D, too.
	(on_all_clicked): Show all pages together.

2005-01-11  Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in: Depend on libgnomeprint-2.2 >= 2.9.0 as we will need
	gnome-print-meta.h shortly (#161370).

2005-01-04  Jody Goldberg <jody@gnome.org>

	From kou@cozmixng.org
	http://bugzilla.gnome.org/show_bug.cgi?id=158575
	* libgnomeprintui/libgnomeprintui-enum-types.h : Generate this file

2005-01-04  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=158575
	* libgnomeprintui/gnome-print-job-preview.c
	(gnome_print_job_preview_set_nx_and_ny) : Use g_object_set_data_full
	  to supply a destruction handler for the preview.  This should ensure
	  that the preview gets unrefed in all cases.

2005-01-04  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=158501
	* libgnomeprintui/gnome-print-job-preview.c (create_preview_canvas) :
	  easy fix

2004-12-12  Lutz Mueller <lutz@users.sourceforge.net>

	A couple of simplifications, some removal of dust.

	* libgnomeprintui/gnome-print-preview.c: Move static variable into
	  the struct
	(gpp_stroke),
	(gpp_fill),
	(gpp_glyphlist): Adapt to above change.
	(gpp_beginpage): Remove anything printed before in order to start
			 with an empty page
	(gpp_finalize),
	(gnome_print_preview_new_full): Remove unneeded variables.
	(gpp_[get,set]_property): New
	(class_init): Hook up above functions.
	(gnome_print_preview_[get,set]_use_theme),
	(gnome_print_preview_theme_compliance): Removed. Now accessible as
						standard parameters.
	* libgnomeprintui/gnome-print-preview.h: Add comment that people
	  should use g_object_new.
	* libgnomeprintui/gnome-print-preview-private.h: Remove unneeded
	  variable.
	(gnome_print_preview_theme_compliance),
	(gnome_print_preview_[get,set]_use_theme): Removed.
	* gnome_print_job_preview.c:
	(check_button_toggled_cb),
	(create_preview_canvas): Reflect above changes.
	(gnome_print_job_preview_set_nx_and_ny): Simplify insofar that the
						 GnomePrintPreview is created
						 only once.
	(gnome_print_job_preview_update): Just render the page. Everything
					  else has already been done.
	
2004-12-06  Jody Goldberg <jody@gnome.org>

	* configure.in : post BRANCH bump

2004-12-06  Jody Goldberg <jody@gnome.org>

	* Release 2.8.2

2004-12-03  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-preview.c
	(gnome_print_preview_get_use_theme) : new.

	* libgnomeprintui/gnome-print-job-preview.c (create_preview_canvas) :
	  init the use theme toggle.

2004-12-01  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gpaui/gpa-transport-selector.c
	(gpa_transport_selector_rebuild_combo) : Use the new
	  gnome_print_transport_exists_by_name to avoid listing non-existant
	  transports for a system.

	* configure.in : bump libgnomeprint req to get the transport_exists
	  function

2004-11-29  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-job-preview.c (create_preview_canvas) :
	  disable auto-centering of the canvas.  The new 1:1 patch would leave
	  things in the center which is unlikely to be what people want.

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-11-23  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=157706
	* libgnomeprintui/gnome-print-job-preview.c (gpmp_zoom) : make an
	  attempt to use the monitor's dpi to get a 1:1 size match for
	  previews.  We'll still fail miserably for most monitors because they
	  lie about their resolution.

2004-11-17  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(gpa_printer_selector_init) : suppress some warnings

2004-11-17  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=158572
	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(gpa_printer_selector_construct) : cut-n-paste-o

2004-11-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=157881
	* libgnomeprintui/gnome-print-job-preview.c (gpmp_zoom) : We need
	  2*PAGE_PAD around things, don't recreate the bug andreas just fixed

2004-11-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=157793
	* libgnomeprintui/gnome-print-job-preview.c (gpmp_zoom) : Fit the
	  zoom here using the right number of cols/rows rather than the max.
	(preview_zoom_fit_cmd) : gmp_zoom does the work now.
	(on_1x1_clicked) : no need to zoom again nor is it wise to use
	  g_object_set which triggers two zooms.
	(on_1x2_clicked) : ditto.
	(on_2x1_clicked) : ditto.
	(on_2x2_clicked) : ditto.

2004-11-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=157881
	* libgnomeprintui/gnome-print-job-preview.c (preview_zoom_fit_cmd):
	  use 8 rather than 5 extra pixels.

2004-11-09  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-config-dialog.c (duplex_toggled) : be
	  more sensitive to missing icons.
	(tumble_toggled) : ditto.

2004-10-27  Colin Walters  <walters@redhat.com>

	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(interactive_search_func): New function.
	(gpa_printer_selector_init): Use it.

2004-10-19  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-paper-selector.c
	(gnome_paper_selector_unit_changed_cb) : changing the unit, changes
	  the prefered unit which helps persist things.

2004-10-14  Chris Kelso  <ckelso@heliosphere.org>

	* libgnomeprintui/Makefile.am: Place dependency libs first for linking.

2004-09-13  Jody Goldberg <jody@gnome.org>

	* configure.in :  bump to 2.8.1.  No branching for a 2-3 weeks so that
	  we can fix things if necessary before major change starts.

2004-09-13  Jody Goldberg <jody@gnome.org>

	* Release 2.8.0

2004-09-10  Jody Goldberg <jody@gnome.org>

	* configure.in :  post release bump

2004-09-10  Jody Goldberg <jody@gnome.org>

	* Release 2.7.90

2004-09-01  Colin Walters  <walters@redhat.com>

	* libgnomeprintui/gpaui/gpa-printer-selector.c (gpa_printer_selector_printer_added_cb)
	(gpa_printer_selector_printer_removed_cb): Add
	GDK_THREADS_ENTER/GDK_THREADS_LEAVE pairs.

2004-08-28  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-07-23  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(gpa_printer_selector_construct) : handle case of no default_printer

2004-07-31  Tomasz KÅ‚oczko <kloczek@pld.org.pl>

	* doc/libgnomeprintui-docs.sgml: acording http://gnome.org/start/2.6/notes/rninstallation.html
	  switch generated documentation from sgml docbook 3.0 to xml docbook 4.1.2.
	* doc/Makefile.am: use default MKDB_OPTIONS (from gtk-doc.make).

2004-07-30  Jody Goldberg <jody@gnome.org>

	* configure.in :  post release bump

2004-07-30  Jody Goldberg <jody@gnome.org>

	* Release 2.7.1

2004-07-30  Jody Goldberg <jody@gnome.org>

	* configure.in :  bump the libgnomeprint req

2004-07-20  Colin Walters  <walters@redhat.com>

	* libgnomeprintui/gpaui/gpa-printer-selector.h: Remove updating
	field.  Switch to using treeview instead of combo.
	(gpa_printer_selector_printer_state_changed): New method used
	to notify on state changes.

	* libgnomeprintui/gpaui/gpa-printer-selector.c
	(gpa_printer_selector_init): Rewrite more or less from scratch to
	use a treeview widget instead of a combo box, and to use the new
	printer state nodes to get dynamic updates of printer status.
	(node_to_iter): Convert a printer into a GtkTreeIter.
	(printer_has_queue): Discover whether or not a printer has a
	queue.
	(printer_sort_func): Sort printers based on queue ownership and
	name.
	(gpa_printer_selector_printer_state_changed): Handle printer state
	changes.
	(selection_changed_cb): Synchronize selection into GPANode
	structure.
	(get_printer_icon): Reduce the size of loaded icons to 18 pixels.
	Comment out warning.
	(gpa_printer_selector_item_activate_cb): Delete.
	(set_printer_icon): New function to set the pixbuf property.
	(set_printer_name): New function to set printer name.
	(set_printer_state): New function to set printer state.
	(set_printer_jobs): New function to set printer job count.
	(set_printer_location): New function to set printer location.
	(gpa_printer_selector_config_modified_cb): Delete.
	(gpa_printer_selector_printer_added_cb): Handle printer addition.
	(gpa_printer_selector_printer_removed_cb): Handle printer removal.
	(gpa_printer_selector_construct): Connect to new child-added and
	child-removed signals for printer addition/removal.  Set up new
	treeview.

	* libgnomeprintui/gnome-printer-selector.c: Inclue more bits from
	libgnomeprint.
	(start_polling): New function to start polling for each printer.
	(stop_polling): The reverse.
	(gnome_printer_selector_construct): Connect to hide/show
	callbacks so that we start polling when the dialog is shown,
	and stop as soon as it's hidden.
	(gnome_printer_selector_construct): Remove location field and
	callbacks for printer config modification - we handle that
	in the GPAPrinterSelector.

2004-07-20  Colin Walters  <walters@redhat.com>

	* libgnomeprintui/gnome-print-job-preview.c
	(create_preview_canvas): Remove some unused variables.

2004-07-01  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-printer-selector.c : some minor ui cleanup.
	* libgnomeprintui/gpaui/gpa-printer-selector.c : Use a combo for the
	  printers and drop unused fields.

2004-06-29  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-06-29  Jody Goldberg <jody@gnome.org>

	* Release 2.7.0

2004-06-03  Pawan Chitrakar  <pawan@nplinux.org>
	
	* configure.in: Added "ne" Nepali to ALL_LINGUAS

2004-05-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=142441
	* libgnomeprintui/gnome-print-unit-selector.c: fix AIX compiler
	  issue
	
2004-04-21  Jody Goldberg <jody@gnome.org>

	* configure.in : post BRANCH bump

2004-04-21  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-10  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-22  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeprintui/gnome-print-job-preview.c (create_preview_canvas):
	Omit creation of unnecessary relation. Fixes bug #136627.

2004-03-22  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-03-22  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-19  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-print-config-dialog.c (duplex_toggled) : Use
	  the duplex and tumble icons in the icon theme.  Be smart enough not
	  to set gconf on startup.
	(tumble_toggled) : ditto.
	(gnome_print_config_dialog_construct) : no need to preset the images.
	  The handlers will take care of it.

2004-03-21  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-11  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-04  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-03  Jody Goldberg <jody@gnome.org>

	Based on patch for libgnomeprint from Sun
	http://bugzilla.gnome.org/show_bug.cgi?id=136106
	* libgnomeprintui/libgnomeprintui-uninstalled-2.2.pc.in : new
	* libgnomeprintui/Makefile.am : dist it
	* configure.in : handle it

	* libgnomeprintui/gnome-print-job-preview.c (create_toplevel) : add an icon
	(gpmp_multi_cmd) : Disable unimplemented feature in the ui for now

2004-02-24  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added Thai (th) to ALL_LINGUAS.

2004-02-24  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-02-24  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-10  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeprintui/gnome-print-copies.c (gnome_print_selector_init):
	Omit setting of labelled-by relation on copies.

	* libgnomeprintui/gnome-print-dialog.c 
	(gnome_print_dialog_construct_range_page): Omit setting of labelled-by
	relations.

	* libgnomeprintui/gnome-print-paper-selector.c 
	(gps_set_labelled_by_relation): Remove this function as it is no
	longer required.
	(gnome_paper_selector_construct): Call gtk_widget_set_mnemonic_widget
	for GtkOptionMenu instead of GpaOptionMenu.
	Omit calls to gps_set_labelled_by_relation.

	* libgnomeprintui/gnome-printer-selector.c 
	(gpw_create_label_with_mnemonic): Omit add_relation argument.
	(gnome_printer_selector_construct): Omit setting label-for and 
	labelled-by relations.

	This fixes bug #133623.

2004-02-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gpaui/gpa-printer-selector.c 
	(gpa_printer_selector_rebuild_menu): avoid crash
	* libgnomeprintui/gpaui/gpa-settings-selector.c
	(gpa_settings_selector_construct): avoid crash
	* libgnomeprintui/gpaui/gpa-transport-selector.c
	(gpa_transport_selector_file_button_clicked_cb): enable code
	  that was previously disabled due to a gtk bug

2004-02-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gpaui/gpa-transport-selector.c 
	(gpa_transport_selector_file_button_clicked_cb): set folder and 
	  pre-enter basename only

2004-02-04  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Muktha <muktha.narayan@wipro.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=133195
	* libgnomeprintui/gnome-printer-selector.c
	(gnome_printer_selector_construct): set the atk relation for the
	correct widget.

2004-02-03  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-02-03  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-02-02 Tomasz K³oczko <kloczek@pld.org.pl>

	* Makefile.am: gtk-doc.make is included in doc/Makefile.am so move
	  this file from CLEANFILES to EXTRA_DIST for generate correct dist
	  tar ball on "make dist".
	* Makefile.am: Added "DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc"
	  for force correct pass build documentation during "make distcheck"
	  (like in many other GNOME projects).
	* configure.in: Removed old on place defined gtk-doc suport and added use
	  GTK_DOC_CHECK([1.0]).

2004-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c 
	(gnome_print_dialog_response_cb): new
	(gnome_print_dialog_construct): hook up gnome_print_dialog_response_cb)
	(gnome_print_dialog_run): move consistency check into 
	  gnome_print_dialog_response_cb
	* libgnomeprintui/gnome-print-dialog.h: some changes in comments.
	* libgnomeprintui/gpaui/gpa-transport-selector.c
	(gpa_transport_selector_file_selector_destroyed_cb): deleted
	(gpa_transport_selector_file_selected_cb): check for 
	  GTK_RESPONSE_DELETE_EVENT
	(gpa_transport_selector_file_button_clicked_cb): no need to hook up 
	  gpa_transport_selector_file_selector_destroyed_cb

2004-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gpaui/gpa-transport-selector.h: make file_selector
	  a GtkFileChooser
	* libgnomeprintui/gpaui/gpa-transport-selector.c
	(gpa_transport_selector_finalize): ts->file_selector is now a 
	  GtkFileChooser
	(gpa_transport_selector_file_selected_cb): change into a dialog
	  response callback
	(gpa_transport_selector_file_button_clicked_cb): use a 
	  GtkFileChooser rather than a GtkFileSelection
	(gpa_transport_selector_check_consistency_real): remove a warning,
	  dialog is a GtkWidget not a GtkDialog

Wed Jan 28 01:20:12 2004  Matthias Clasen  <maclas@gmx.de>

	* doc/Makefile (sgml-build.stamp): Use --output-format=sgml,
	not xml.

2004-01-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_run):
	  Don't destroy the dialog, virtually any caller will need to access
	  the cutom and range widgets added to it. Also make sure that the 
	  transport file name is acceptable.
	* libgnomeprintui/gnome-print-dialog.h (gnome_print_dialog_run): since
	  people should be using this, move it into stable API.
	* libgnomeprintui/gnome-printer-selector.c 
	(gnome_printer_selector_check_consistency): new
	* libgnomeprintui/gnome-printer-selector.h
	(gnome_printer_selector_check_consistency): new
	* libgnomeprintui/gpaui/gpa-transport-selector.c
	(gpa_transport_selector_check_consistency_real): new
	(gpa_transport_selector_class_init): initialize new virtual
	(gpa_transport_selector_init): initalize new field
	(gpa_transport_selector_file_selected_cb): remember that the user 
	  indicated to overwrite the existing file.
	(gpa_transport_selector_check_consistency): new
	* libgnomeprintui/gpaui/gpa-transport-selector.h
	(gpa_transport_selector_check_consistency): new
	(_GPATransportSelectorClass): new virtual check_consistency
	(_GPATransportSelector): new file_name_force field
	
2004-01-24  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Albert Chin-A-Young

	* libgnomeprintui/gpaui/Makefile.am:
	  Don't override CPPFLAGS. Use AM_CPPFLAGS instead.
        
	* libgnomeprintui/Makefile.am: Don't override LDFLAGS. 
	  Moved to libgnomeprintui_2_2_la_LDFLAGS.
        
	* configure.in: CFLAGS/CPPFLAGS/LDFLAGS automatically substituted.

2004-01-23   Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Muktha <muktha.narayan@wipro.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=96802
	* libgnomeprintui/gnome-print-preview-private.h
	(gnome_print_preview_use_theme)
	* libgnomeprintui/gnome-print-preview.c 
	(gpp_stroke): theme the preview contents only when the 
	  theme checkbox is checked.
	(gpp_fill): ditto.
	(gpp_glyphlist): ditto.
	(gnome_print_preview_use_theme): new.
	* libgnomeprintui/gnome-print-job-preview.c:
	(canvas_style_changed_cb): theme the preview contents only when the
	  theme check box is checked.
	(check_button_toggled_cb): new.
	(create_preview_canvas): add check button in the preview page.

2004-01-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c (gpd_create_job_page): fix 
	  capitalization
	* libgnomeprintui/gnome-print-paper-selector.c 
	(gnome_paper_selector_construct): fix capitalization

2004-01-17  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Albert Chin-A-Young

	* libgnomeprintui/gnome-print-widget.h: IBM C compiler does not like a 
	  comma after the last enum constant.

2004-01-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=131311
	* libgnomeprintui/gnome-print-copies.c: remove surrounding 
	  markup from inside translatable text
	* libgnomeprintui/gnome-print-dialog.c: ditto
	* libgnomeprintui/gnome-print-paper-selector.c: ditto
	* libgnomeprintui/gnome-print-job-preview.c: ditto
	* libgnomeprintui/gnome-printer-selector.c: ditto

2004-01-12  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2004-01-12  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2004-01-09  Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gpaui/gpa-spinbutton.[c,h]: New
	* libgnomeprintui/gnome-print-paper-selector.c: Remove lots of
	  unused variables and type definitions
	(gnome_paper_selector_update_spin_limits),
	(gnome_paper_selector_update_spin_units): New
	(gps_psize_value_changed), 
	(gps_m_size_value_changed),
	(gnome_paper_selector_unit_changed_cb),
	(gnome_paper_unit_selector_request_update_cb),
	(gnome_paper_selector_paper_size_modified_cb): Use new functions
	(gnome_paper_selector_construct): Use the new GPASpinbutton.
	  
2004-01-04  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Paolo Borelli <pborelli@katamail.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=130521
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct):
	  remove separator

2003-12-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=129340
	* gnome-print-job-preview.c (goto_page): don't print
	  CRITICAL just because we have no pages.

2003-12-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=128894
	* configure.in: bump gtk requirement to 2.3.1

2003-12-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=128903
	* libgnomeprintui/gnome-print-dialog.h (GNOME_IS_PRINT_DIALOG_CLASS):
	  fix typo

2003-12-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-config-dialog.c
	(gnome_print_config_dialog_construct): add "Printing Time" menu
	
2003-12-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* doc/Makefile.am:

2003-12-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=128614
	* libgnomeprintui/gnome-print-config-dialog.c 
	(gnome_print_config_dialog_construct): add column spacing
	* libgnomeprintui/gnome-print-copies.c 
	(gnome_print_copies_selector_init): make headers bold and skip visible
	  frame
	* libgnomeprintui/gnome-print-dialog.c (gpd_create_job_page): ditto
	* libgnomeprintui/gnome-print-paper-selector.c
	(gnome_paper_selector_construct): ditto

2003-12-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-config-dialog-private.h: new
	* libgnomeprintui/gnome-print-config-dialog.c: new
	* libgnomeprintui/gnome-print-config-dialog.h: new
	* libgnomeprintui/Makefile.am: add above new files
	* po/POTFILES.in: ditto
	* libgnomeprintui/gnome-print-copies.c: move the recently added
	  duplex and tumble checkboxes into gnome-print-config-dialog
	* libgnomeprintui/gnome-print-copies.h: ditto
	* libgnomeprintui/gnome-print-dialog.c (gpd_duplex_set): deleted
	(gpd_tumble_set): deleted
	(gnome_print_dialog_set_copies): drop duplex and tumble
	(gnome_print_dialog_get_copies): ditto
	* libgnomeprintui/gnome-print-dialog.h 
	(gnome_print_dialog_set_copies): drop duplex and tumble
	(gnome_print_dialog_get_copies): ditto
	* libgnomeprintui/gnome-printer-selector.c (gpw_configure_clicked):
	  implement
	(gnome_printer_selector_construct): make frame HIG compatible
	* libgnomeprintui/gpaui/gpa-transport-selector.c 
	(gpa_transport_selector_rebuild_menu): initialize def
	
2003-12-05  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Peter Colijn <pcolijn@nit.ca>

	* libgnomeprintui/gnome-print-paper-selector.c (_GnomePaperSelector):
	  add fields
	(gnome_paper_selector_construct): create source selector

2003-12-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_set_copies):
	  fix typo

2003-11-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-copies.c: new signals COLLATE_SET,
	  DUPLEX_SET, TUMBLE_SET
	(GnomePrintCopiesSelector): new fields
	(copies_set): drop collate argument
	(collate_toggled): ignore copies
	(duplex_toggled): new
	(tumble_toggled): new
	(copies_changed): ignore collate
	(gnome_print_copies_selector_init): create duplex and tumble 
	  checkboxes 
	(gnome_print_copies_selector_get_duplex): new
	(gnome_print_copies_selector_get_tumble): new
	(gnome_print_copies_selector_set_copies): handle duplex and tumble
	* libgnomeprintui/gnome-print-copies.h 
	(gnome_print_copies_selector_get_duplex): new
	(gnome_print_copies_selector_get_tumble): new
	(gnome_print_copies_selector_set_copies): add arguments
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_get_copies):
	  handle duplex and tumble
	(gnome_print_dialog_set_copies): ditto
	(gpd_copies_set): do copies only, do not handle collate
	(gpd_collate_set): new
	(gpd_duplex_set): new
	(gpd_tumble_set): new
	(gpd_create_job_page): connect new signal handlers
	(gnome_print_dialog_construct): handle duplex and tumble
	(gnome_print_dialog_get_copies): ditto
	* libgnomeprintui/gnome-print-dialog.h (gnome_print_dialog_get_copies):
	  add arguments
	(gnome_print_dialog_set_copies): ditto
	
2003-11-30  Andreas J. Guelzow <aguelzow@taliesin.ca>
            for Lutz Mueller <lutz@users.sourceforge.net>

	* libgnomeprintui/gnome-print-job-preview.c (_GnomePrintJobPreview):
	  add new fields
	(render_page): delete (replaced by gnome_print_job_preview_update)
	(goto_page): handle multiple pages shown simultaneously
	(gpmp_zoom): adjust for multiple displayed pages
	(preview_next_page_cmd): jump to the next page of pages
	(preview_prev_page_cmd): jump to the previous page of pages
	(preview_zoom_fit_cmd): handle display of multiple pages
	(canvas_style_changed_cb): handle display of multiple pages
	(create_preview_canvas): we can't create the background yet 
	  (we may need more than 1 page)
	(on_1x1_clicked): new
	(on_2x1_clicked): new
	(on_1x2_clicked): new
	(on_2x2_clicked): new
	(on_other_clicked): new
	(gpmp_multi_cmd): new
	(create_toplevel): add new toolbar button (and some format changes)
	(gnome_print_job_preview_destroy): free page_array rather than preview
	(update_func): new
	(gnome_print_job_preview_set_nx_and_ny): new
	(gnome_print_job_preview_update): new
	(gnome_print_job_preview_get_property): new
	(gnome_print_job_preview_set_property): new
	(gnome_print_job_preview_class_init): install new properties
	(gnome_print_job_preview_init): initialize nx/ny
	* libgnomeprintui/gnome-printui-marshal.list: add VOID:UINT,UINT
	* tests/test-preview.c (my_draw): add page number
	(my_print): print 6 pages

2003-11-26  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0.1

2003-11-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-printer-selector.c
	(gnome_printer_selector_config_modified_cb): new
	(gnome_printer_selector_construct): hook up callback and align
	  type, state and comment fields
	(gnome_printer_selector_finalize): unhook callback
	* libgnomeprintui/gnome-printer-selector.h (handler_config): new field

2003-11-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gpaui/gpa-transport-selector.c 
	(gpa_transport_selector_file_selected_cb): store the filename also
	  in Settings.Output.Job.FileName. (We should not need to store it in 
	  3 places.)

2003-11-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=124307
	* libgnomeprintui/gnome-print-job-preview.c (preview_canvas_key):
	  ctl-q and ctl-w should close the window too.

2003-11-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-job-preview.c (create_toplevel):
	  adjust minimum window size.

2003-11-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-printer-selector.c: replace entry_atko
	by button_atko throughout
	* libgnomeprintui/gpaui/gpa-transport-selector.c 
	(gpa_transport_selector_file_entry_changed_cb): deleted
	(gpa_transport_selector_file_button_clicked_cb): new
	(gpa_transport_selector_init): initialize new fields
	(gpa_transport_selector_finalize): clear new fields
	(gpa_transport_selector_file_selected_cb): new
	(gpa_transport_selector_update_widgets): handle new widgets
	* libgnomeprintui/gpaui/gpa-transport-selector.h: new fields for
	  tansport selector

2003-11-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* gnome_print_dialog_construct: load # of copies and collation from
	  config

2003-11-17  Jody Goldberg <jody@gnome.org>

	* libgnomeprintui/gnome-font-dialog.c (gnome_font_selection_init) :
	  fix to work with gtk HEAD.
	* libgnomeprintui/gnome-print-unit-selector.c
	(gnome_print_unit_selector_init) : ditto.

2003-11-16  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c 
	(gps_m_size_value_changed): use correct type
	* libgnomeprintui/gpaui/gpa-paper-preview-item.h
	(gpa_paper_preview_item_set_logical_margins): declare
	* libgnomeprintui/gpaui/gpa-transport-selector.c 
	(gpa_transport_selector_rebuild_menu): handle NULL node

2003-11-12  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2003-11-12  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-11-03  Morten Welinder  <terra@gnome.org>

	* libgnomeprintui/gpaui/gpa-paper-preview-item.c
	(gpa_paper_preview_item_finalize): Leak fix.

	* libgnomeprintui/gpaui/gpa-widget.c (gpa_widget_finalize):
	Resurrect.

2003-10-31  Morten Welinder  <terra@gnome.org>

	* libgnomeprintui/gnome-printer-selector.c
	(gnome_printer_selector_construct): undo 2003-05-25 change.  The
	atk people say this isn't right and are hunting the true leak
	causes.

2003-10-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=115756
	* libgnomeprintui/gnome-print-paper-selector.c 
	(gps_m_size_value_changed): change the paper preview
	  to show the new margin.

2003-10-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=122740
	* libgnomeprintui/gpaui/gpa-transport-selector.c 
	(gpa_transport_selector_file_entry_changed_cb): store the file name
	  where the backend expects it.

2003-10-16  Jody Goldberg <jody@gnome.org>

	* configure.in : explicitly require gtk+ HEAD, and libgnomeprint HEAD

2003-10-07  Pasupathi Duraisamy <pasupathi.duraisam@wipro.com>

	* libgnomeprintui/gnome-print-paper-selector.c:
	* libgnomeprintui/gnome-print-copies.c:
	Get only numeric values for spin button.
	Fixes bug #117193.

2003-09-26  Jody Goldberg <jody@gnome.org>

	* configure.in : 2.5.0 'its a whole new world' is ready for some
	  development action.

2003-09-26  Jody Goldberg <jody@gnome.org>

	* Release 2.4.0

2003-09-26  Jody Goldberg <jody@gnome.org>

	* configure.in : bump to 2.4.0 to sync with desktop, and prepare to
	  branch.

2003-09-11  Jeremy Katz  <katzj@redhat.com>

	* libgnomeprintui/gnome-print-dialog.h: remove extra comma to make
	gcc 3.3 with -pedantic happy.

2003-09-04  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2003-08-12  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump.

2003-08-11  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-08-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in:
          use ACLOCAL_AMFLAGS to make maintainer builds work

2003-07-08  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.in: Added "cy" to ALL_LINGUAS.

2003-06-22  SamÃºel JÃ³n Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS

2003-06-15  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-06-11  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Add "li" to ALL_LINGUAS.

2003-05-25  Morten Welinder  <terra@gnome.org>

	* libgnomeprintui/gnome-printer-selector.c (gpw_create_label):
	Leak fixes.
	(gpw_create_label_with_mnemonic): Leak fix.

	* libgnomeprintui/gnome-print-job-preview.c
	(preview_canvas_button_release): Make this multihead safe.

2003-05-11  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "ga" to ALL_LINGUAS.

2003-05-06  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-04-25  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_LIBTOOL_WIN32_DLL.

	* libgnomeprintui/Makefile.am (libgnomeprintui_2_2_la_LDFLAGS): add
	-no-undefined.

2003-03-14  Chema Celorio  <chema@celorio.com>

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): require automake 1.6
	(filed as bug #109366)
      
	* examples/example_10.c (my_tree_cb): gpa_tree_viewer_new takes a GPANode* as
	an argument, fix.

	* libgnomeprintui/gpaui/gpa-*.ch: s/GtkType/GType/g. Fixes compilation issue on
	Solaris, spotted by philip.zhao@sun.com. Takes care of #bug 107959.

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-12  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-tree-viewer.[ch]: do not include any libgnomeprint
	headers. Replace the use of GnomePrintConfig with a GPANode *

	* libgnomeprintui/gpaui/gpa-radiobutton.c (gpa_radiobutton_construct): cast
	option.id to avoid a compile time warning

	* tests/test-dialog.c (test_dialog_tree): update for the new use of gpa-tree-view

	* examples/example_10.c (my_tree_cb): use gpa_root for the tree viewer

2003-03-12  Chema Celorio  <chema@celorio.com>
	
	* configure.in: post-release version bump to 2.3.1
	* depend on libgnomeprint 2.3.1

2003-03-12  Chema Celorio  <chema@celorio.com>
	
	* 2.3.0

2003-03-11  Chema Celorio  <chema@celorio.com>
  
	* examples/example_10.c (my_draw): print 4 pages rather than just 1

2003-02-28  Chema Celorio  <chema@celorio.com>

	* examples/example_10.c (my_font_dialog_cb): add sample code to test
	bug #103921 and confirm that it is NOTABUG at least with gtk 2.0

2003-02-27  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-option-menu.c (gpa_option_menu_rebuild_menu):
	use the translated user visible option name. Fixes bug #106162
	* libgnomeprintui/gnome-print-unit-selector.c (gpus_rebuild_menu):
	use the translated user visible unit names. Fixes bug #106162

2003-02-25  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-11  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-widget.c (gnome_print_radiobutton_new):
	implment.

	* libgnomeprintui/gpaui/gpa-radiobutton.c: implement

2003-02-11  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprintui/gpaui/gpa-print-to-file.c: fix variable
	name so that it compiles again.

	* libgnomeprintui/gnome-print-dialog.c: need to define
	GNOME_PRINT_UNSTABLE_API to avoid missing prototype warnings

	* libgnomeprintui/gpaui/gpa-print-to-file.[ch]: implement

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_run):
	Implement. Right now is just a wrapper.

2003-02-11  Chema Celorio  <chema@celorio.com>
	
	* configure.in (GNOMEPRINT_AGE): add libtool versioning

	* libgnomeprintui/Makefile.am: add libtool -version-info

2003-02-10  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-checkbutton.c: implement

	* libgnomeprintui/gnome-print-widget.[ch]: new file. Configuration
	widgets that apps can attach to GnomePrintConfig nodes.

	* libgnomeprintui/Makefile.am (libgnomeprintui_2_2_la_SOURCES):
	add gnome-print-widget.[ch]

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-02-02  Chema Celorio  <chema@celorio.com>

	* Makefile.am (mydistcheck): use $(AMTAR) rather than $(TAR) which I
	guess it has been changed in automake

2003-02-01  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-preview.c (gpp_stroke): Fix the second
	part of #104932. Spotted by jean.brefort@ac-dijon.fr

2003-01-31  Chema Celorio  <chema@celorio.com>

	* configure.in (gtk_doc_min_version): don't need to check
	for "gtk-doc > 0.10". 0.9 is good enough

	* libgnomeprintui/gnome-printui-marshal.list (VOID): generate the
	right marshaler

	* libgnomeprintui/gnome-print-copies.c (gnome_print_copies_selector_class_init):
	use the marshaler that matches the function prototype

2003-01-27  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-transport-selector.c: fix #104319

2003-01-27  Chema Celorio  <chema@celorio.com>
	
	* configure.in: bump version to 2.3.0

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-20  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am), Arabic (ar), Greek (el),
	Finnish (fi), French (fr), Galician (gl), Croatian (hr),
	Hungarian (hu), Italian (it), Lithuanian (lt), Dutch (nl)
	Norwegian (nn and no), Brazilian (pt_BR), Slovak (sk),
	Turkish (tr) and Ukrainian (uk) to ALL_LINGUAS

2003-01-19  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 2.2.1

	* This is TRUNK, for GNOME 2.2.x releases get the gnome-2-2 branch 

2003-01-19  Chema Celorio  <chema@celorio.com>
	
	* 2.2.0 here we go

2003-01-19  Chema Celorio  <chema@celorio.com>

	* configure.in: post release verion bump to 2.1.10

2003-01-19  Chema Celorio  <chema@celorio.com>

	* 2.1.9 here we go

2003-01-17  Paolo Maggi  <paolo.maggi@polito.it>

	* gnome-print-job-preview.c (entry_insert_text_cb)
	(entry_focus_out_event_cb)(create_preview_canvas):
	Show the page_entry entry. 
	Only digits can be inserted in the page_entry entry. 
	Reset current page value when focusing out from the page_entry
	entry.

2003-01-14  Chema Celorio  <chema@celorio.com>

	* post release version bump to 2.1.9

2003-01-14  Chema Celorio  <chema@celorio.com>
	
	* 2.1.8 here we go

	* libgnomeprintui/gpaui/gpa-paper-preview-item.c: Fix #103366

2003-01-09  Takeshi Aihana <aihana@gnome.gr.jp>

	* configure.in: add ja into ALL_LINGUAS

2003-01-06  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-paper-preview-item.c (gpa_paper_preview_item_finalize):
	Fix: #102251 by disconnecting the gpa_node after use

2003-01-03  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-printer-selector.c: dont' call the deprecated
	gpa_config_set_printer function.

2002-12-29  Chema Celorio  <chema@celorio.com>

	* configure.in: bump libgnomeprint requirements to 2.1.6

	* libgnomeprintui/gpaui/gpa-transport-selector.c: 
	* libgnomeprintui/gpaui/gpa-printer-selector.c: 
	* libgnomeprintui/gpaui/gpa-settings-selector.c: 
	* libgnomeprintui/gpaui/gpa-option-menu.c:
	Clean up and make the code between them almost identical. This widgets
	now listen to their "model" correctly, disregard 'modified' emissions created
	internally, clean up correctly and cope with the active printer or settings
	changes.

	* libgnomeprintui/gpaui/gpa-tree-viewer.c: #include
	gnome-print-config-private.h

	* libgnomeprintui/gpaui/gpa-tree-viewer.h: cosmetic fixes

	* libgnomeprintui/gpaui/gpa-widget.h: #include private/gpa-node.h

	* libgnomeprintui/gpaui/gpa-add-printer-dialog.[ch]: remove from cvs,
	since it is not used.
	* libgnomeprintui/gpaui/gpa-config-dialog.[ch]: remove from cvs,
	since it is not used.
	* libgnomeprintui/gpaui/gpa-media-orientation.[ch]: remove from cvs,
	since it is not used.
	
	* libgnomeprintui/gpaui/Makefile.am: clean commented out files

	* libgnomeprintui/gnome-printer-selector.h: cosmetic fixes

	* libgnomeprintui/gnome-printer-selector.c (gnome_printer_selector_construct): use
	_construct rather than _init to do the setup. Don't use the _destroy method, use
	_finalize. Other minor tweaks
	
	* libgnomeprintui/gnome-print-unit-selector.c (gpus_rebuild_menu): no need
	to call gtk_option_menu_remove_menu because _set_menu will call it for
	us.

	* libgnomeprintui/gnome-print-paper-selector.c: update headers and func.
	calls to changes in gpa/gpaui

	* examples/example_09.c: implement.
	  This dialog saves the GnomePrintConfig
	  to disk after printing and loads it before creating the dialog
	  This shows how to implement persistent print configuration.

	* doc/Makefile.am: we need to define WE_ARE_LIBGNOMEPRINTUI for the scan file

2002-12-24    <chema@celorio.com>

	* libgnomeprintui/gpaui/gpa-transport-selector.c: compare
	by id not by name.

	* libgnomeprintui/gpaui/gpa-option-menu.c (gpa_option_menu_rebuild_menu):
	get the value of the path, not (path, "Name") since the name
	node no longer exists.
	* libgnomeprintui/gpaui/gpa-settings-selector.c (gpa_settings_selector_rebuild_menu):
	same here
	* libgnomeprintui/gpaui/gpa-printer-selector.c: here too

	* libgnomeprintui/gnome-print-paper-selector.c: remove
	g_print's. when changing a value set ->updating to true,
	in callbacks ignore change if the update was from us

2002-12-21  Chema Celorio  <chema@celorio.com>

	* Makefile.am: distcheck fixes

	* libgnomeprintui/gnome-printer-selector.c (gnome_printer_selector_init):
	tweak the packing so that the dialog does not grow when the printer is
	changed

2002-12-18  Artis Trops  <hornet@navigator.lv>

	* Added Latvian (lv) to ALL_LINGUAS


2002-12-17  Chema Celorio  <chema@celorio.com>

	* Finish with the file rename gnome-printer-dialog.c v.s.
	gnome-printer-selector

	* docs/* Remove all warnings, add to cvs missing files

2002-12-17  Chema Celorio  <chema@celorio.com>
	
	* Makefile.am (EXTRA_DIST): add 0ChangeLog.gpaui...

	* move libgnomeprintui/gpaui/ChangeLog to 0ChangeLog.gpaui.2002-12-17

	* gpa-transport-selector.[ch]: we don't need to have a entry for
	lpr printer because we have a custom command. It makes the dialog
	not change in size when a different printer is selected

	* gpa-settings-selector.c (gpa_settings_selector_menuitem_activate):
	remove g_print's left over
	
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct):
	remove work around for bug #81600 in gtk+ since it's been fixed.

	* Rename gnome-printer-dialog.[ch] to gnome-printer-selector.[ch]
	because	that is what it is.
	
	* libgnomeprintui/gnome-print-dialog.c: use the gnome-printer-selector
	header
	* libgnomeprintui/gnome-printer-selector.c: ditto

	* libgnomeprintui/gnome-print-job-preview.c (create_toplevel): remove
	#ifdef'ed code
	* libgnomeprintui/gnome-font-dialog.c (gnome_font_dialog_init): here too
 	* libgnomeprintui/gnome-canvas-hacktext.c (gnome_canvas_hacktext_set_property):
	and here

	* tests/test-dialog.c (main): if no arguments are given,
	run a simple dialog with the default config

	* libgnomeprintui/gnome-printer-dialog.[ch]: remove #ifdef'ed
	out code.

2002-12-17  Chema Celorio  <chema@celorio.com>
	
	* configure.in: post release version bump to 2.1.6

2002-12-17  Chema Celorio  <chema@celorio.com>
	
	* libgnomeprintui/gnome-canvas-hacktext.c: 
	* libgnomeprintui/gnome-print-job-preview.c:
	* libgnomeprintui/gnome-print-preview.c: 
	Fix: 96802, Preview is now accessible

2002-12-16  Chema Celorio  <chema@celorio.com>

	* tests/run-test.pl (my_check_environment): run
	./test-preview --kill

	* tests/Makefile.am (noinst_PROGRAMS): add test-preview
	* tests/test-preview.c: add

	* examples/Makefile.am (EXTRA_DIST): add simple-image.png,
	example_10.glade[p] & README do EXTRA_DIST

2002-12-15  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 2.1.5

2002-12-14  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-dialog.c: s/ARG/PROP

	* tests/Makefile.am (noinst_PROGRAMS): use the local libgnomeprint-2.2 if available

	* tests/run-test.pl (my_check_dialogs): show test name while running check_dialogs

	* tests/test-dialog.c: Add more tests, implement --list-tests

	* libgnomeprintui/gnome-print-paper-selector.c (gnome_paper_selector_finalize):
	disconnect the handler for the printer changed signal. This prevents the crash
	found by ./test-dialog --num=5

2002-12-14  Chema Celorio  <chema@celorio.com>
	
	* examples/example_[0-10].c (my_print): unref the objects
	correctly

2002-12-11  Chema Celorio  <chema@celorio.com>

	* configure.in: missed one AC_DEFINE.
	* gpa-printer-selector.c: coding style fix

2002-12-09  Chema Celorio  <chema@celorio.com>

	* configure.in: remove acconfig.h & add third argument to AC_DEFINE[_UNQUOTED] to kill autoheader
	warning about "auxiliary files is deprecated and discouraged"

2002-12-09  Chema Celorio  <chema@celorio.com>

	* configure.in: post release version bump to 2.1.4

2002-12-09  Chema Celorio  <chema@celorio.com>

	* 2.1.3 here we go

	* examples/example_[0-10].c: s/gpm/job for GnomePrintJob

	* configure.in (dnl): cosmetic changes to match the output at the end
	of configure with the one in libgnomeprint

2002-12-07  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-paper-preview.c: Fix #96802
	* libgnomeprintui/gpaui/gpa-paper-preview-item.c:

	* tests/Makefile.am: link to the 2-2 library

2002-12-04  Chema Celorio  <chema@celorio.com>

	* configure.in: post-release version bump to 2.1.3

2002-12-03  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct): Fix #98076

	* Makefile.am: message-of-doom, no longer in EXTRA_DIST

	* configure.in (dnl): sync the gtk-doc stuff from what is in libgnomeprint

	* examples/Makefile.am (libgnomeprint_local): link with libgnomeprintui-2-2.la not lgpu-2.la

2002-11-27  Ole Laursen  <olau@hardworking.dk>

	* configure.in (ALL_LINGUAS): Added Danish.

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-01  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-09-21  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-dialog.c: 
	* libgnomeprintui/gnome-print-dialog.h: 
	* libgnomeprintui/gnome-print-copies.c: 
	* libgnomeprintui/gnome-print-copies.h:
	go back to Selection. s/selector/selection. No need to break
	other's people apps.

2002-09-17  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/Makefile.am (libgnomeprintuiinc_HEADERS): install
	gnome-print-master-preview.h

2002-09-16  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/Makefile.am (libgnomeprintuiinc_HEADERS): install the
	gnome-print-unit-selector.h

2002-09-15  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-paper-selector.c (gnome_paper_selector_finalize): remove
	bogus gpa_node_unref

2002-09-15  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-paper-selector.c (gnome_paper_selector_finalize):
	s/selector/ps
	(gnome_paper_selector_paper_size_sensitivity_update): free id only when it isn't NULL
	(gnome_paper_selector_hook_paper_size): implemento
	(gnome_paper_selector_construct): change the way we construct it so that we can correctly
	handle changing the selected printer
	_GnomePaperSelector: add guint handler_printer & GPANode *printer

2002-09-08  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-printer-dialog.[ch]: move the structures from the .c to the .h file

	* libgnomeprintui/Makefile.am: Don't install headers that applications shuold not be using.

2002-09-07  Chema Celorio  <chema@ximian.com>

	* tests/Makefile.am: start of regression test suite
	* tests/run-test.pl: 
	* tests/test-dialog.c: 

	* libgnomeprintui/gnome-print-dialog-private.h: add GnomePrintDialog structs here, needed by
	the regression test suite

	* libgnomeprintui/Makefile.am (libgnomeprintui_2_la_SOURCES): add gnome-print-dialog-private.h

	* tests/test-dialog.c: implement

	* libgnomeprintui/gnome-print-paper-selector.c: disconnect handlers of GPANode's after use

2002-09-06  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-printer-dialog.[ch]: s/selection/selector. ifdef out
	the gnome-printer-selector stuff. Will rename file to gnome-printer-selector.c
	on cvs.

	* libgnomeprintui/gnome-print-unit-selector.c: split from paper-selector

	* libgnomeprintui/gnome-print-paper-selector.c: lets use gpa signals and listen
	for changes. Remove some code and let the gpa signals notify the other widgets
	(gnome_paper_selector_paper_size_sensitivity_update): implement

	* libgnomeprintui/gnome-print-paper-preview.[ch]: split from code of
	gnome-print-paper-selector.

	* libgnomeprintui/gnome-print-dialog.c: port to DISABLE_DEPRECATED
	* libgnomeprintui/gnome-print-master-preview.c: 
	* libgnomeprintui/gnome-print-preview.c: 

	* libgnomeprintui/gnome-print-copies.[ch]: por to DISABLE_DEPRECATED,
	s/selection/selector

	* libgnomeprintui/gnome-font-dialog.c: port to DISABLE_DEPRECATED include the custom
	marshaling code	

	* libgnomeprintui/gnome-canvas-hacktext.c: ported the code to DISABLE_DEPRECATED
	except for the _get/set_property functions.

	* libgnomeprintui/gnome-printui-marshal.list: add

	* libgnomeprintui/Makefile.am: define WE_ARE_LIBGNOMEPRINT_INTERNALS, add the
	_DISABLE_DEPRECATED flags.
	- add the glib-genmarshal stuff to generate gnome-printui-marshal.[ch]

	* configure.in : add GLIB_GENMARSHAL macro

2002-09-03  Chema Celorio  <chema@ximian.com>

	* examples/example_10.c : add a GnomeFontDialog selector

2002-09-02  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct): add a temp work around for
	gtk+'s bug #81600

	* configure.in: remove typo that prevented GETTEXT macro from running correctly

	* A lot of changes to standarize the code. Make all the headers have the same structure, change
	cast & type macros to use G_TYPE, fix "if" indentation in one line, add comments to the code and
	remove some old ones, variable and function renaming. No code changes, just cosmetic/style.

2002-09-01  Chema Celorio  <chema@ximian.com>

	* use the new header gpa-node.c v.s. gpa-private.h

2002-09-01  Marius Andreiana <mandreiana@yahoo.com>

	* configure.in: added 'ro' to ALL_LINGUAS

2002-08-30  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct): small change in string

2002-08-28  Chema Celorio  <chema@ximian.com>

	* autogen.sh: an autogen.sh that works with the compiler flags and with mydistcheck

2002-08-27  Chema Celorio  <chema@ximian.com>

	* examples/example_05.c (my_dump_orientation): check if orientation is not
	NULL before g_freeing it

	* libgnomeprintui/: update to make it work with gpa_node_get_child_from_path
	which was renamed in libgnomeprint

	* configure.in: depend on libgnomeprint 1.120.0

	* examples/example_10.c (my_app_load): handle delete event of window1

2002-08-04  Chema Celorio  <chema@ximian.com>

	* configure.in: AC_DEFINE WE_ARE_LIBGNOMEPRINT_INTERNALS
	* acconfig.h: undef WE_ARE_LIBGNOMEPRINT_INTERNALS

2002-08-25  Chema Celorio  <chema@ximian.com>

	* configure.in: bump version to 1.120.0

	* examples/Makefile.am: dont' use -Werror

2002-07-06  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-preview.c: unref the pixbuf after using it.

2002-06-16  Yanko Kaneti  <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-15  Carlos PerellÃ³ MarÃ­n <carlos@gnome-db.org>

	* Added gtk-doc support as it's at libgnomeprint.
	* Makefile.am: Activated the doc build.
	* configure.in: Added the gtk-doc option.
	* doc/Makefile.am: Added the private headers that we don't want to
	create its documentation.
	* doc/libgnomeprintui-docs.sgml: Clean up for the actual API
	* doc/libgnomeprintui-sections.txt: ditto.
	* doc/libgnomeprintui.types: Removed a private function.
	* doc/tmpl/gnome-print-master-preview.sgml: Forgot to add it last
	time.
	* add-printer-dialog.sgml, config-dialog.sgml,
	gnome-canvas-hacktext.sgml, gnome-print-pixbuf.sgml,
	gnome-print-preview-icons.sgml, gnome-print-preview-private.sgml,
	gpa-widget.sgml, media-orientation.sgml, printer-selector.sgml,
	settings-selector.sgml, transport-selector.sgml: Removed because
	are private APIs.
  
2002-06-15  Carlos Perello Marin <carlos@gnome-db.org>

	* Started the libgnomeprintui reference documentation
	* doc/sgml/*: Removed. Are generated files.
	* doc/Makefile.am: Updated from libgnomeprint.
	* doc/*: Cleanup all to store only non generated files.
	* doc/tmpl: Added new files documentation and removed libgnomeprint
	ones.
	
2002-06-14  Chema Celorio  <chema@ximian.com>

	* examples/example_10.c (my_print_image_from_disk): add an image and honor
	Print Preview

2002-06-14  Carlos Perello Marin <carlos@gnome-db.org>

	* libgnomeprintui/gnome-print-preview.c (gpp_image_free_pix): Added to
	release the memory that we use to create GdkPixbuf.
	* libgnomeprintui/gnome-print-preview.c (gpp_image):
	GNOME_TYPE_CANVAS_PIXBUF needs a GdkPixbuf instead of an ArtPixBuf so
	instead of use the libart-lgpl pixmaps we use gdk-pixbuf ones.
	Fixes http://bugzilla.gnome.org/show_bug.cgi?id=84021

2002-06-13  Chema Celorio  <chema@ximian.com>

	* configure.in: fix http://bugzilla.gnome.org/show_bug.cgi?id=84493

2002-06-10  Chema Celorio  <chema@ximian.com>

	* configure.in: post release version bump to 0.116

2002-06-07  Chema Celorio  <chema@ximian.com>

	* release 1.115.0

2002-06-03  Carlos PerellÃ³ MarÃ­n <carlos@gnome-db.org>

	* examples/README: Fixed a typo.

2002-06-01  Carlos PerellÃ³ MarÃ­n <carlos@gnome-db.org>

	* libgnomeprintui/gpaui/transport-selector.c:
	/s/Printer default location/Default printer/. It fixes the dialog
	resize.

2002-05-28  Chema Celorio  <chema@ximian.com>

	* Makefile.am (SUBDIRS): don't compile examples by default, the developer
	needs to "make" inside examples now.

2002-05-28  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-preview.c: use libgnomeprint/private/gp-gc.h

	* configure.in: bump requirements to 1.114 for libgnomeprint and
	1.117 for libgnomecanvas.

2002-05-27  Chema Celorio  <chema@ximian.com>

	* configure.in: post release version bump

2002-05-27  Chema Celorio  <chema@ximian.com>
	
	* release 1.114.0

2002-05-27  Chema Celorio  <chema@ximian.com>

	* examples/Makefile.am: only use -Werror when compiling with gcc, use the local
	libgnomeprint-2.la only when EXAMPLES_USE_LOCAL_LIBGNOMEPRINT is set.

	* Makefile.am (SUBDIRS): re-enable tests, it should work now

	* configure.in (dnl): conditionaly use the local libgnomeprint-2.la, test for the file
	at configure time.

2002-05-27  Jacob Berkman  <jacob@ximian.com>

	* Makefile.am (DIST_SUBDIRS): don't actually build in examples/,
	as it's a dark alley of non-portable, broken makefile rules

2002-05-27  Chema Celorio  <chema@ximian.com>

	* tests/Makefile.am: don't compile testprint

	* libgnomeprintui/gnome-print-preview.c (gpp_stroke): free the path with the
	correct function. I don't unserstand why it wasn't crashing before.

	* libgnomeprintui/gnome-print-preview-private.h: headers are in gnome-print/private

	* libgnomeprintui/gnome-print-paper-selector.c: update private headers that are
	now in gnome-print/private/.
	(gnome_paper_unit_selector_request_update_cb): use GNOME_PRINT_KEY_PREFERED_UNIT
	rather than _PREF_

	* libgnomeprintui/gnome-print-master-preview.c: print-preview-private.h is not
	in libgnomeprint/private. Update. Remove include <lgp/gnome-print-meta.h>

	* libgnomeprintui/Makefile.am: remove commented out lines

	* examples/Makefile.am: add example_08

	* Makefile.am: remove examples & tests from SUBDIRS

	* configure.in (GETTEXT_PACKAGE): small typo

2002-05-27  Anders Carlsson  <andersca@gnu.org>

	* examples/example_01.c: (main):
	* examples/example_02.c: (main):
	* examples/example_03.c: (main):
	Fix the build by making all main functions return 0;
	
2002-05-27  Jacob Berkman  <jacob@ximian.com>

	* libgnomeprintui/gnome-print-preview.c (gpp_fill): free path with the right function
	* libgnomeprintui/gnome-print-preview.c (gpp_clip): ditto

2002-05-26  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_new_from_master): initialize
	gpc to NULL to avoid a warning

	* examples/README: reorganize examples and add more content to README

	* exmaples/example_??.c: remove all warnings
	
	* examples/Makefile.am: add

	* configure.in: add varialbes for examples/Makefile.am

2002-05-27  Jacob Berkman  <jacob@ximian.com>

	* Makefile.am (SUBDIRS): add examples

2002-05-25  Chema Celorio  <chema@ximian.com>

	* libgnomeprintui/gnome-print-paper-selector.h: clean #if 0 ed code

	* libgnomeprintui/gnome-print-dialog.c: remove all of the range code
	that was #if 0'ed.

	* libgnomeprintui/gnome-canvas-hacktext.c: remove all of the #if 0 code
	that was used for FILL_COLOR_GDK

	* libgnomeprintui/gnome-print-master-preview.c: remove #if 0 ed code
	* libgnomeprintui/gnome-printer-dialog.c:  

2002-05-25  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-copies.c: remove all of the #if 0 ed code.
	(gtk_accel stuff)

	* libgnomeprintui/gnome-print-pixbuf.c: remove #if 0 ed members from
	GnomePrintPixbufPrivate

	* libgnomeprintui/gnome-print-preview.c (gpp_image): remove #if 0 ed 
	art_affine_scale (flip, 1.0, -1.0);
	(gnome_print_preview_construct): remove, it was #if 0 ed
	(gnome_print_preview_new_full): fix indentation of the func. declaration

2002-05-25  Chema Celorio  <chema@celorio.com>
      
	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_new_from_master): new

2002-05-24  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeprintui/gnome-print-paper-selector.c
	(gnome_paper_selector_finalize): Do the disconnect here.  Really
	fixes #82665.

	***IMPORTANT***: this file and others keep the old implementation
	fully "#if 0"-ed out.  Please make sure you make bugfixes to the
	active code, not to the old stuff.

2002-05-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c : fix 82665 (?)
	(gnome_paper_selector_construct) : remember handlers connected to
	  config signals
	(gnome_paper_selector_destroy) : disconnect handlers from config
	(gnome_paper_unit_selector_request_update_cb) : remove unused variable
	
2002-05-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-master-preview.c : fix 58300
	(gpmp_zoom) : fix typo
	(gnome_print_master_preview_new) : handle 0 pages
	(goto_page) : disable movement buttons for single pages

2002-05-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c : fix 82271
	(gnome_paper_unit_selector_request_update_cb) : new
	(gnome_paper_selector_construct) : connect 
	  gnome_paper_unit_selector_request_update_cb
	
2002-05-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c : fix 82215 
	(gnome_paper_selector_spin_adapt_to_unit) : new
	(gnome_paper_selector_unit_changed_cb) call 
	  gnome_paper_selector_spin_adapt_to_unit 

2002-05-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c
	(gnome_print_unit_selector_recalculate_adjustments) : new
	(gpus_unit_activate) : use gnome_print_unit_selector_recalculate_adjustments
	(gnome_print_unit_selector_set_unit) : use
	  gnome_print_unit_selector_recalculate_adjustments

2002-05-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c
	(gnome_paper_preview_item_update) : fix arrow
	  http://bugzilla.gnome.org/show_bug.cgi?id=81674

2002-05-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c 
	(gpsgnome_print_unit_selector_set_unit) : don't cause signals to be emitted
	  until the settings are updated
	  http://bugzilla.gnome.org/show_bug.cgi?id=82268

2002-05-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c (gps_psize_value_changed) :
	  save changed values in print_config
	  http://bugzilla.gnome.org/show_bug.cgi?id=81768

2002-05-19  Vlad Harchev  <hvv@hippo.ru>

	* configure.in: Added ru to ALL_LINGUAS

2002-05-17  Carlos Perello Marin <carlos@gnome-db.org>

	* libgnomeprintui/gnome-printer-dialog.c
	* libgnomeprintui/gpaui/transport-selector.c
	* libgnomeprintui/gpaui/transport-selector.h: Added support for the
	new transport (Custom). With it we can specify a command to print
	instead of use always "lpr".
	Added also the option to specify a printer name when using lpr
	transport. Those changes are for #79733.
	
2002-05-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.h : Add feed-orientation flag
	* libgnomeprintui/gnome-print-paper-selector.c 
	(gnome_paper_selector_unit_changed_cb) : new
	(gnome_paper_selector_construct) use feed-orientation flag, set unit-selector
	  to use prefered unit, save prefered unit on changes
	(GnomePrintUnitSelectorClass) : add modified signal
	(cb_gpus_opt_menu_changed) : new
	(gnome_print_unit_selector_init) : connect signals

2002-05-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.h : publish 
	  gnome_paper_selector_new_with_flags
	* libgnomeprintui/gnome-print-paper-selector.c : Remove duplicate definition
	of PAD
	(gnome_paper_selector_new_with_flags) : new
	(gnome_paper_preview_item_render) : render currently selected logical 
	  margin in different colour
	(gnome_paper_preview_item_set_lm_highlights) : new
	(gnome_paper_selector_set_property) : new
	(gnome_paper_selector_class_init) : add properties
	(gps_psize_value_changed) : change margin-adjustment ranges
	(gps_m_size_value_changed) : new
	(lmargin_*_unit_activated) : new
	(lmargin_unit_deactivated) : new
	(gnome_paper_selector_construct) : construct optional margin adjustment
	  widget

2002-05-13  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in: Added hi in ALL_LINGUAS

2002-05-14  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-preview.c (gpp_stroke): fix #81644

	* tests/testprint.c (main): remove compile warnings

	* libgnomeprintui/gnome-print-preview.c: include <libgnomecanvas/
	gnome-canvas-clipgroup.h>
	(gpp_stroke): add a #warning, file in #bugzilla

	* libgnomeprintui/gnome-print-paper-selector.c: #include <string.h>
	(gps_feed_orientation_menu_create): disable function and add a #warning
	(gps_page_orientation_menu_create): ditto
	(gps_layout_menu_create): ditto
	(gps_preview_toggled): ditto

	* libgnomeprintui/gnome-print-copies.c (gnome_print_copies_selection_init): remove
	unused variable(s)
	* libgnomeprintui/gnome-print-master-preview.c (render_page): ditto
	(gnome_print_master_preview_new): ditto

2002-05-13  Chema Celorio  <chema@celorio.com>

	* Fix licenses notes in all .c files. Add myself to MAINTAINERS
	and add Zucchi to AUTHORS

2002-05-13  Chema Celorio  <chema@celorio.com>

	* configure.in: bump version post-release to 1.114.0

2002-05-12  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_construct): only
	gtk_widget_show the "job" notebook page when it is going to have content.
	(gnome_print_dialog_construct_range_custom): show the job page if the app
	added something to it
	(gnome_print_dialog_construct_range_any): ditto
	: fix some indentation issues, we really need to fix indentation to be
	the same across all of gnome-print.

	* libgnomeprintui/gnome-print-paper-selector.c (gpus_unit_activate): remove
	g_prints (#ifdef them out)

2002-05-13  Carlos Perello Marin <carlos@gnome-db.org>

	* configure.in (ALL_LINGUAS): Added "es"

2002-05-10  Chema Celorio  <chema@celorio.com>

	* configure.in (CFLAGS): use GNOME_COMPILE_WARNINGS correctly

2002-05-09  Chema Celorio  <chema@celorio.com>

	* configure.in: remove AC_ARG_PROG it was beeing called twice
	disable GNOME_COMPILE_WARNINGS because there is a bug in gnome-common, wait
	for path approval but in the mean time, do it by hand

2002-05-09  Paolo Maggi <maggi@athena.polito.it>

	* libgnomeprintui/gnome-print-dialog.c:
	* libgnomeprintui/gnome-print-paper-selector.c:
	* libgnomeprintui/gnome-printer-dialog.c:
	* libgnomeprintui/gpaui/transport-selector.c: now the print
	dialog is more sexy and above all more gnome HIG compliant.
	I have set up nice size borders and changes the order of
	the button according HIG. I have also added missing 
	accellerators.

2002-05-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-paper-selector.c (gnome_paper_preview_new) : set up
	  paper preview from GnomePrintConfig
	(gnome_paper_selector_init) : move code that should depend on the GnomePrintConfig
	  into gnome_paper_selector_construct
	(gnome_paper_selector_construct) : new
	(gnome_paper_selector_new) : move construction code into gnome_paper_selector_construct

2002-05-08  Chema Celorio  <chema@celorio.com>

	* libgnomeprintui/gnome-print-master-preview.c (create_toplevel): remove left over g_print
	(create_preview_canvas): add a cats to remove a warning

2002-05-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c (gpd_create_range) : attach 
	  range_widget data to the table
	(gnome_print_dialog_construct_range_custom) : fix typo (removing warning)
	(gnome_print_dialog_construct_range_page) : start with a more reasonable 
	  initial range
	(gnome_print_dialog_get_range_page) : retrieve the adjustment data from
	  the correct object

2002-05-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c (gnome_print_dialog_set_property) : 
	  new
	(gnome_print_dialog_class_init) : add property
	(gnome_print_dialog_init) : move dialog construction code into constructor
	  since at init time we don't know the print-config to be used .
	(gnome_print_dialog_construct) : add code moved from init
	
2002-05-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* libgnomeprintui/gnome-print-dialog.c (gpd_create_range) : allow 
	  mnemonics in custom range labels. 

2002-05-01  Zbigniew Chyla  <cyba@gnome.pl>

	* libgnomeprintui/gnome-print-i18n.[ch]:
	s/libgnomeprint_gettext/libgnomeprintui_gettext/

2002-04-30  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Basque (eu) and Vietnamese (vi) to ALL_LINGUAS

2002-04-24  Zbigniew Chyla  <cyba@gnome.pl>

	i18n fixes

	* libgnomeprintui/Makefile.am (libgnomeprintui_2_la_SOURCES):
	Added gnome-print-i18n.c.

	* libgnomeprintui/gnome-print-i18n.c
	New file with libgnomeprint_gettext() function inside.

	* libgnomeprintui/gnome-print-i18n.h:
	Removed #defines cut&pasted from gnome-i18n.h/bonobo-i18n.h,
	included <bonobo/bonobo-i18n.h> and defined _() macro as
	libgnomeprint_gettext() function call.

	* libgnomeprintui/gnome-font-dialog.c, 
	libgnomeprintui/gnome-print-copies.c,
	libgnomeprintui/gnome-print-dialog.c,
	libgnomeprintui/gnome-print-master-preview.c,
	libgnomeprintui/gnome-print-paper-selector.c,
	libgnomeprintui/gnome-printer-dialog.c,
	libgnomeprintui/gpaui/add-printer-dialog.c,
	libgnomeprintui/gpaui/config-dialog.c,
	libgnomeprintui/gpaui/media-orientation.c,
	libgnomeprintui/gpaui/printer-selector.c,
	libgnomeprintui/gpaui/settings-selector.c,
	libgnomeprintui/gpaui/transport-selector.c
	Fixed includes.

2002-04-04  Damon Chaplin  <damon@ximian.com>

	* libgnomeprintui/gnome-printer-dialog.c: 
	* libgnomeprintui/gnome-print-paper-selector.c: 
	* libgnomeprintui/gnome-print-master-preview.c: 
	* libgnomeprintui/gnome-print-dialog.c: 
	* libgnomeprintui/gnome-print-copies.c: 
	* libgnomeprintui/gnome-font-dialog.c: improved keynav and added
	a11y support. I added mnemonic accelerators to most labels and set
	accessible names & descriptions where appropriate. I also changed
	the toolbar on the preview window to ICONS only, as it doesn't fit in
	the window when ICONS & TEXT is used.

2002-04-19  jacob berkman  <jacob@ximian.com>

	* COPYING:
	* COPYING.LIB: add

2002-04-01  Morten Welinder  <terra@diku.dk>

	* libgnomeprintui/gnome-print-master-preview.c
	(gnome_print_master_preview_destroy): Split out from _finalize.

	* libgnomeprintui/gnome-print-master-preview.c
	(preview_canvas_key): Destroy (not unref) the widget (not the
	g_object) on Escape.

2002-03-29  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2002-03-29  jody goldberg <jody@gnome.org>

	* release 1.112.0

2002-03-28  jacob berkman  <jacob@ximian.com>

	* tests/Makefile.am (INCLUDES): 
	* libgnomeprintui/Makefile.am (INCLUDES): merge with CPPFLAGS

2002-03-26  Damon Chaplin  <damon@ximian.com>

	* libgnomeprintui/gnome-font-dialog.c: updated to use GtkTreeView
	rather than GtkCList.

2002-03-04  Christian Meyer  <chrisime@gnome.org>

	* configure.in: Added 'de' to ALL_LINGUAS.

2002-03-02  TÃµivo LeedjÃ¤rv  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-02-24  Zbigniew Chyla  <cyba@gnome.pl>

	* tests/testprint.c: Marked strings for translation.

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove non-existing GNOME_PLATFORM_GNOME_2
	* tests/Makefile.am: remove intl from libs and includes

2002-02-17  Kjartan Maraas  <kmaraas@gnome.org>

	* tests/testprint4.c: Remove deprecated calls to
	gtk_widget_push|pop_visual().
	
2002-02-13  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeprintui/*.c: Added #include <config.h> where needed.
	* tests/testprint.c: Same
	
2002-02-07  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added "ko" to ALL_LINGUAS.

2002-01-29  Michael Meeks  <michael@ximian.com>

	* Version 1.110.0

2002-01-18  Michael Meeks  <michael@ximian.com>

	* Prepended libgnomeprintui/ChangeLog into here & removed.
	
2002-01-10  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-dialog.c (gnome_print_dialog_get_range): Fixed typo, thanks
	to Paolo Maggi

2002-01-10  Michael Meeks  <michael@ximian.com>

	* Version 1.109.1

2001-12-29  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-master-preview.c (preview_canvas_button_press): Cleaned
	up GnomeMasterPreview structure a bit; made it to work again
	(preview_canvas_motion): Ditto
	(preview_canvas_button_release): Ditto

2001-12-27  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-dialog.c: Killed ugly typo
	(gnome_print_dialog_construct_range_any): Fixed crash

2001-12-23  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_class_init): Removed
	::draw virtual method

2001-12-20  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-dialog.h: Microscopic rearrangment

	* gnome-print-dialog.c (gpd_copies_set): Connect "copies_set"
	signal and update configuration

	* gnome-print-copies.h: Microscopic comment addition

	* gnome-print-copies.c (gnome_print_copies_selection_init): Connect
	signal to value_changed, so we do not get double emissions

2001-12-19  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-master-preview.c: Moved some data here
	(render_page): Use generic PS->Canvas transform
	(goto_page): Set move button sensitivity according to page
	(gpmp_zoom): Set zoom button sensitivity, signature change
	(preview_zoom_fit_cmd): Use gpmp_zoom
	(preview_zoom_100_cmd): New method
	(preview_canvas_key): Remove wide/tall fitting
	(create_preview_canvas): Do not create vbox here
	(create_toplevel): Create toolbar, removed layout parsing
	(gnome_print_master_preview_init): Create vbox here
	(gnome_print_master_preview_new): Call parse_layout
	(gpmp_parse_layout): New method, read and analyze full layout data,
	try to show page in most meaningful way

	* gnome-print-paper-selector.c (gps_menu_create): Generic
	method to fill optionmenu from GPA option list
	(gps_paper_activate): Port to generic menu
	(gps_feed_orientation_activate): Ditto
	(gps_page_orientation_activate): Ditto
	(gps_layout_activate): Ditto
	(gnome_paper_selector_init): Do not fill optionmenus here
	(gnome_paper_selector_new): Create menus

	* gnome-print-dialog.c: Removed some #ifdef 0 code

	* gnome-font-dialog.c: Removed some #ifdef 0 code

2001-12-17  Lauris Kaplinski  <lauris@ximian.com>

	* Makefile.am (CPPFLAGS): -DWE_ARE_LIBGNOMEPRINT_UI

2001-12-14  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-paper-selector.c (gps_feed_orientation_activate): Write
	(gps_page_orientation_activate): Ditto
	(gps_layout_activate): Ditto

	* gnome-print-master-preview.c (render_page): Let master do
	the things as it knows about layouting

2001-12-12  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-printer-dialog.c: Use GnomePrintConfig everywhere

	* gnome-print-preview.c (gnome_print_preview_new): Read correct
	paper size

	* gnome-print-preview-private.h: Do not #include pango

	* gnome-print-paper-selector.c (gps_paper_activate): Write paper

	* gnome-print-master-preview.c (create_toplevel): Read correct
	paper size

	* gnome-print-dialog.c (gnome_print_dialog_destroy): Removed priv
	(gnome_print_dialog_init): Rearranged notebook pages, save config
	(gnome_print_dialog_construct_range_page): Cleaned up
	(gnome_print_dialog_get_range): Use new structure
	(gnome_print_dialog_get_range_page): Ditto
	(gnome_print_dialog_get_copies): Ditto
	(gnome_print_dialog_set_copies): Ditto

2001-12-11  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-dialog.c: Rearranged everything, global print dialog
	is now notebook, with printer, paper and job subpages

	* gnome-print-copies.c (gnome_print_copies_selection_init): Comment
	accel group out
	(gnome_print_copies_selection_init): Ditto
	(gnome_print_copies_selection_destroy): Ditto, fixes crash

	* gnome-print-paper-selector.c: Wrote 3 new classes -
	GnomePaperPreviewItem, GnomePaperPreview, and GnomePaperSelector

	* gnome-print-paper-selector.h: As this was not installed by default,
	I took the libarty to comment out everything, and add some fresh
	stuff. If some application still needs old stuff, we can make it
	available again.

	* Makefile.am (libgnomeprintui_2_la_SOURCES): Added
	gnome-print-paper-selector.c
	(libgnomeprintuiinc_HEADERS): Added
	gnome-print-paper-selector.h

2001-12-06  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-preview.c (gpp_gsave): Implement
	(gpp_grestore): Ditto
	(gpp_clip): Push clipgroup

	* gnome-print-dialog.c (gnome_print_dialog_destroy): Comment out
	unref-ing accel group - this whole thing has to be written cleanly

	* gnome-print-copies.c (collate_toggled): Create GtkImage via Pixbuf
	(gnome_print_copies_selection_init): Ditto

2001-12-05  Jens Finke <jens@triq.net>

        * Makefile.am (libgnomeprintuiincdir):
        * libgnomeprintui-2.0.pc.in (Cflags): Install headers in
        libgnomeprintui-2.0 rather than gnome-2.0

2001-12-03  Michael Meeks  <michael@ximian.com>

	* Version 1.107.0

2001-11-26  jacob berkman  <jacob@ximian.com>

	* gnome-print-master-preview.c (gnome_print_master_preview_get_type): 
	* gnome-print-dialog.c (gnome_print_dialog_get_type): 
	* gnome-print-copies.c (gnome_print_copies_selection_get_type): 
	* gnome-font-dialog.c (gnome_font_dialog_get_type): return GtkType
	rather than guint

2001-09-27  Michael Meeks  <michael@ximian.com>

	* Version 1.106.0

2001-09-27  Michael Meeks  <michael@ximian.com>

	* Version 1.105.0

2001-09-10  Michael Meeks  <michael@ximian.com>

	* libgnomeprintui-2.0.pc.in: update include path.

	* Makefile.am (libgnomeprintuiincdir): update install path.

2001-09-07  Michael Meeks  <michael@ximian.com>

	* gnome-print-preview-private.h: include
	libgnomecanvas/libgnomecanvas.h - sigh, what total brokenness.

	* gnome-print-preview.h: ditto.

	* gnome-canvas-hacktext.h: ditto.

2001-08-24  jacob berkman  <jacob@ximian.com>

	* gpau/*.[ch]: s/BEGIN_GNOME_DECLS/G_BEGIN_DECLS/
	
	* gnome-print-preview.h: #include
	<libgnomeprint/gnome-print-paper.h> rather than
	<libgnome/gnome-paper.h>

2001-08-09  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-master-preview.c (create_toplevel): Use key name

	* gnome-print-master.c (gnome_print_master_set_paper): Use key name
	(gnome_print_master_get_paper): Ditto
	(gnome_print_master_set_copies): Ditto
	(gnome_print_master_print): Ditto

	* Makefile.am: Removed gnome-print-master

	* .cvsignore: Added libgnomeprintui-2.0.pc

2001-07-12  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-canvas-bpath.c (gnome_canvas_bpath_update): Allocate the size
	of points array dynamically instead of assuming num_points = path length.
	Also moved open and closed subpaths to correct lists.

	* gnome-canvas-bpath-private.h: Added len_points member

	* gp-path.c (gp_path_closepath): Fix memory corruption (thanks to Michael)

2001-07-09  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font-compat.c (gnome_font_face_get_descender): Negate
	descender from FT2, although I cannot understand why it is
	negative

	* gnome-print-pdf.c (gnome_print_pdf_font_print_descriptor): Negate
	descender, as we found the problem

	* gnome-print.c (gnome_print_show_ucs4): Dummy func emitting warning
	(gnome_print_textline): Ditto

	* gnome-print.h: Made compatible with 0.29

	* gnome-printer.c (gnome_printer_get_type): Reimplement for compatibility
	(gnome_printer_new_generic_ps): Ditto
	(gnome_printer_get_status): Ditto
	(gnome_printer_str_status): Ditto
	(gnome_printer_set_print_to_file): Ditto
	(gnome_printer_dup_command): Ditto

	* gnome-printer.h: Made compatible with 0.29

2001-07-08  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-pdf.c (gnome_print_pdf_get_images_object_numbers): Do
	not clear image list here
	(gnome_print_pdf_images): Ditto

2001-07-04  Lauris Kaplinski  <lauris@ximian.com>

	* transports/gp-transport-file.c (gp_transport_file_write): Return
	number of bytes written, not OK code (needed by PDF)

	* transports/gp-transport-lpr.c (gp_transport_lpr_write): Ditto

	* gnome-print-pdf.c: Removed ::setlinejoin, ::setlinecap,
	::setmiterlimit, ::setlinewidth

	* gnome-print-pdf.h: Added Copyright etc.

	* gnome-print-ps2.h: Added Copyright etc.

	* Makefile.am (nox_sources): Added pdf driver back

	* gnome-print-ps2.c (gnome_print_ps2_close): Set transport to NULL,
	after closing it (kills warning)
	(gnome_print_ps2_construct): Save tmp buffer name
	(gnome_print_ps2_destroy): Unlink tmp buffer
	(gnome_print_ps2_close): Ditto

2001-07-03  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print.c (gnome_print_context_new): Modularity hook

	* gnome-print-transport.c (gnome_print_transport_new): Modularity hook

	* transports/gp-transport-lpr.c: Added #ifdef switch for module hook

	* transports/gp-transport-file.c: Ditto

	* drivers/gnome-print-omni.c: Added #ifdef switch for module hook

	* drivers/gnome-print-omni2.cpp: Ditto

	* drivers/gnome-print-fax.c: Ditto

	* Makefile.am (modules_libadd): Added modular/monolithic switch

2001-06-28  Lauris Kaplinski  <lauris@ximian.com>

	* gp-fontmap.h: Removed Type1Alias entry type

	* gp-fontmap.c (gp_fm_load_font_3_0): New function
	(gp_fm_load_font_3_0_tt): Ditto
	(gp_fm_load_font_3_0_alias): Ditto

2001-06-20  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-stdapi.c: New file, moved all frontend printing
	function here (to clean up code structure)

	* Makefile.am (nox_sources): Added gnome-print-stdapi.c

	* gnome-print.c (gnome_print_scale): Code matrix directly, gets
	rid of including libart header
	(gnome_print_rotate): Ditto
	(gnome_print_context_destroy): Remove #ifdef 0 code
	(gnome_print_context_init): Ditto
	(gnome_print_context_close): Ditto. Added warning, if implementation
	subclass did not clear transport
	(gnome_print_context_destroy): Ditto

2001-06-19  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print.c: Removed #ifdef 0 old file writing code

2001-06-15  Lauris Kaplinski  <lauris@ximian.com>

	* transports/gp-transport-lpr.h: New file

	* transports/gp-transport-lpr.c: New file

	* transports/gp-transport-file.c (gp_transport_file_get_type): Use
	GPTransportFile here, not base class

2001-06-12  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-ps2.c (gp_ps2_set_font_private): Removed private
	and encoded flags from downloadable font struct

	* gnome-print-meta.c (meta_showpage): Close page header

	* gnome-print.c (gnome_print_showpage): Added beginapge and warning

2001-06-05  Lauris Kaplinski  <lauris@ximian.com>

	* gp-fontmap.c (gp_fm_load_fonts): Added warning for unknown version
	(gp_fm_load_aliases): Scan 1.0 maps and search for aliased fonts
	(gp_fm_load_fonts): Moved map parsing into load_fonts
	(gp_fm_load_fonts_1_0): Removed this
	(gp_fm_load_font_1_0): Do not load alias
	(gp_fm_load_font_1_0_alias): New function
	(gp_fm_load_fonts_2_0): Removed this
	(gp_fm_load_font_2_0): Do not load alias
	(gp_fm_load_font_1_0_alias): Parse type1alias as well
	(gp_font_entry_unref): Remove refcount < 3 assertion

2001-06-02  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font-compat.c (gnome_font_unsized_get_glyph_name): Moved here
	(gnome_font_face_get_ascender): Ditto
	(gnome_font_face_get_descender): Ditto
	(gnome_font_face_get_underline_position): Ditto
	(gnome_font_face_get_underline_thickness): Ditto
	(gnome_font_face_get_weight_code): Ditto
	(gnome_font_face_is_italic): Ditto
	(gnome_font_face_is_fixed_width): Ditto
	(gnome_font_face_get_glyph_ps_name): Ditto
	(gnome_font_get_weight_code): Ditto
	(gnome_font_is_italic): Ditto

	* gnome-font-face.c (gff_load): Not static

	* gnome-font-private.h (GFF_LOADED): Moved here

	* gnome-font-compat.c: New file

	* Makefile.am (font_sources): Added gnome-font-compat.c

	* gnome-font-face.c (gff_load): Attach afm file, if present

2001-06-01  Lauris Kaplinski  <lauris@ximian.com>

	* Makefile.am (libgnomeprintui_la_SOURCES): Removed duplicate temp_sources

	* gnome-print-master-preview.c (gnome_print_master_preview_new_with_orientation): 
	Use g_snprintf (kills warning and is The Right Thing)

	* gnome-print-preview.c (gpp_image): Workaround for canvas image bug

	* gnome-print-meta.c: Set metafile version to 2.0, removed all
	'CLOSE' support for both writing and replaying

	* gnome-font.h: Added iso-8859-1 warning and utf8 string width methods

	* gnome-font.c (gnome_font_get_width_string_n): Force unsigned char
	(gnome_font_get_width_utf8): New function
	(gnome_font_get_width_utf8_sized): New function

	* gnome-font-face.c (gnome_font_unsized_closest): Use strcasecmp
	(gnome_font_face_get_num_glyphs): Use if {} construct
	(gnome_font_face_get_stdbbox): Ditto
	(gnome_font_face_get_glyph_stdadvance): Ditto
	(gnome_font_face_get_glyph_stdbbox): Ditto
	(gnome_font_face_get_glyph_stdoutline): Ditto
	(gnome_font_face_lookup_default): Ditto
	(gnome_font_face_create_ps_object): Create empty PSO if error
	(gff_pso_from_type1): Ditto
	(gff_pso_from_truetype): Ditto
	(gff_empty_pso): New function

2001-05-28  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-master-preview.c (goto_page): Use g_snprintf

	* gnome-printer.h: Removed GnomePrinterClass

	* gpa-node.h: Removed GPA_TYPE_NODE, GPA_NODE_CLASS,
	GPA_IS_NODE_CLASS, GPANodeClass, gpa_node_get_type
	(gpa_node_check_cast): New function
	(gpa_node_check_type): New function
	#defined GPA_NODE and GPA_IS_NODE via gpa functions

2001-05-10  Lauris Kaplinski  <lauris@ximian.com>

	* drivers/gnome-print-omni2.hpp: New file. We compile it with C++
	so we can use OMNi interfaces natively

	* drivers/gnome-print-omni2.cpp: New file

2001-05-09  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-printer-private.h: Added <gtk/gtkobject.h>

	* gnome-font-face.c (gff_load): Process full alias
	(gnome_font_face_create_ps_object): Ditto
	(gff_pso_from_type1): Signature change to allow aliasing
	(gff_pso_from_truetype): Ditto

	* gp-fontmap.c (gp_fm_load_aliases): Implement
	(gp_fm_load_font_2_0_alias): New function
	(gp_fontmap_load): Register only visible families
	(gnome_font_list): Only visible fonts
	(gnome_font_family_list): Only families with visible fonts

2001-05-08  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-ps2.c (gnome_print_ps2_construct): Use transport

2001-05-07  Lauris Kaplinski  <lauris@ximian.com>

	* drivers/gnome-print-omni.c (gnome_print_omni_write_file): Write to transport
	(gnome_print_omni_close): Ditto

	* gnome-print.c (gnome_print_context_init): Commented out file stuff,
	added transport
	(gnome_print_context_destroy): Ditto
	(gnome_print_context_close): Ditto
	(gnome_print_context_create_transport): New function

2001-05-06  Lauris Kaplinski  <lauris@ximian.com>

	* drivers/gnome-print-fax.c (gnome_print__driver_get_type): New function
	(gnome_print_fax_construct): Make class method
	(gnome_print_fax_new): Use new construction method

	* drivers/Makefile.am: Moved OMNi driver here

	* Makefile.am: Removed OMNI module, added drivers subdir

2001-05-05  Lauris Kaplinski  <lauris@ximian.com>

	* gp-truetype-utils.c (gp_tt_split_file): Save 'glyf', 'loca',
	'head', 'maxp'. Split 'glyf' if too big.
	(gp_tt_split_glyf): New funtion

	* gnome-print-ps2.c (gnome_print_ps2_glyphlist): Use either
	8 or 16 bit format, depending on pso->encodedbytes

	* gnome-font-face.c (gff_pso_from_truetype): New function

2001-05-04  Lauris Kaplinski  <lauris@ximian.com>

	* gp-truetype-utils.c: New file, implementing TT splitter

	* gp-fontmap.c (gp_fm_load_font_2_0_tt): TrueType loader

	* gnome-font-face.c (gff_load): Load TrueType fonts too

2001-04-17  Lauris Kaplinski  <lauris@ximian.com>

	* Makefile.am (font_sources): Removed HAVE_GNOME_FONT

	* gnome-font-face.h: Cleaned it extensively

	* gnome-font-compat.h: New compatibility header

	* gnome-font-face.c: Switch to FreeType

	* gp-fontmap.h: Added TrueType entry class

2001-03-25  Roberto Majadas  <phoenix@nova.es>

	* gnome-print-fax.c : Clean code and rename the functions to gnome_print_fax_*
	* gnome-print-fax.h : Add GnomePrintFAXPrivate struct with all encode info include in it
	* gnome-print-fax-g3.h : rename g3-tables

2001-03-24  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-omni.c (gnome_print_omni_destroy): Chain to parent_class
	(gnome_print_omni_class_init): Set parent_class
	(gnome_print_omni_showpage): Chain to parent_class
	(gnome_print_omni_close): Ditto

	* gnome-print-rgbp.c (rgbp_showpage): Set right rect coordinates

	* gnome-printer-dialog.c (gnome_printer_widget_get_printer): Return ref'd node

	* gnome-print-file.c (gnome_print_file_ok_selected): Use printer itself as node
	(gnome_print_file_dialog): Ditto
	(gnome_print_file_dialog): Ditto

	* gnome-printer.c (gnome_printer_new): Ref node and return

	* Makefile.am (libgnomeprint_la_SOURCES): Remove gnome-printer-private.h

	* gnome-printer.h: typedef GnomePrinter as GPANode

	* gnome-print.c (gnome_print_context_new): Added gnome-print-omni

2001-03-23  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-omni.c: New file (from Mark Hamzy)

	* gnome-print-omni.h: New file

2001-03-11  Vlad Harchev  <hvv@hippo.ru>
 
 	* gnome-print-pdf.c: use "C" for LC_NUMERIC for each *printf call as in
 	gnome_print_context_fprintf()
 
2001-03-12  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-font-dialog.c: #include <string.h>, kill warning

	* gnome-font-family.c: #include <string.h>, kill warning

	* gt1-region.c: #include <string.h>, kill warning

	* gt1-namecontext.c: #include <string.h>, kill warning

2001-03-11  Lauris Kaplinski  <lauris@ximian.com>

	- Started migrating the configuration stuff to GPANode tree. That induced
	changes almost everywhere and will continue to do so, so I take liberty to
	mention only most important ones her
	
	* gnome-print.* (gnome_print_context_construct): New function, use GPANode
	(gnome_print_context_new): Get configuration data from GPANode
	(gnome_print_context_new_with_paper_size): Set GPANode path data

	* gnome-print-fax.c (gnome_print_fax_construct): Construct from GPANode
	(gnome_print_fax_new): Use GPANode

	* gnome-print-pdf.c (gnome_print_pdf_new): Ditto

	* gnome-print-ps2.c (gnome_print_ps2_new): Ditto

	* gnome-printer-private.h: GnomePrinter is now simple wrapper around GPANode

	* gnome-printer.c: Ditto

	* gnome-printer-dialog.c: Derive it from GPAWidget, currently testbed for nodes

	* gpaui: New subdirectory, implementing ui configuration stuff

	* Mekfile.am: Added gpaui and libgpaui.la

2001-03-09  Karl Eichwalder  <ke@suse.de>

	* gnome-printer-dialog.c (gnome_printer_dialog_gpa_not_installed):
	Add missing dot.

2001-02-25  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-private.h: Major cleanup of PrintContext structure. Now it
	has only handful of real drawing class methods - everythingother is managed via
	convenience methods/graphic contexts

	* gnome-print-preview.c: Ditto

	* gnome-print-multipage.c: Ditto

	* gnome-print-meta.c: Ditto

	* gnome-print-frgba.c: Ditto

	* gnome-print-rgbp.c: Ditto, removed canvas dependency

	* gnome-print-ps2.c: Ditto

	* gnome-print-rbuf.c: Ditto

	* gnome-print-fax.c: Ditto

	* gnome-print.c: Ported to new class internals

	* gnome-print.h: Remove ucs4 and textline

	* Makefile.am (libgnomeprint_la_SOURCES): Split between libgnomeprint and
	libgnomeprintx

	* gnome-rfont.c (gnome_rfont_render_pgl_rgba8): New function

2001-02-23  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-printer-dialog.c (gnome_printer_widget_init): Use GnomeFileEntry
	for specifying filename
	(set_profile): Ditto
	(gnome_printer_widget_bind_editable_enters): Ditto
	(gnome_printer_dialog_new): Ditto

2001-02-22  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print.c (gnome_print_context_init): Add more information about
	printer file destination to print context
	(gnome_print_context_new_with_paper_size): Recognize fax driver
	(gnome_print_context_finalize): Free strings and close file
	(gnome_print_context_close): Free strings and close file
	(gnome_print_context_open_file): Interpret '*' as alternate command prefix
	(gnome_print_context_close_file): If using program, execute it with tempfile
	as argument and delete tempfile afterwards

	* gnome-printer-profile.c (gnome_printer_profile_get_printer): Interpret
	commands containing '%s' as proper

	* gnome-print.c (gnome_print_context_open_file): Interpret relative path as
	home directory, './' for current directory

	* gnome-print-ps2.c (gnome_print_ps2_init): Initialize private font & color
	(gnome_print_ps2_destroy): Unref private font, is set
	(gnome_print_ps2_grestore): Dirtyfy private font & color flags
	(gnome_print_ps2_glyphlist): Use more intelligence for determining whether
	setting transformation/font/color is needed
	(gnome_print_ps2_showpage): Dirtyfy private font & color
	(gp_ps2_set_color): Use set_color_private
	(gp_ps2_set_color_private): Renamed from set_rgba_private, use double channel
	values and set private flag
	(gp_ps2_set_font_private): Set private font flag

2001-02-21  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print.c (gnome_print_show_sized): Implemented plain show API
	via glyphlists

	* gnome-print-frgba.c (gpf_glyphlist): Implemented it

	* gnome-rfont.c (gnome_rfont_get_glyph_stdkerning): New function

	* gnome-canvas-hacktext.c (get_bounds): Use meaningful new hacktext API
	(gnome_canvas_hacktext_update): Ditto
	(gnome_canvas_hacktext_point): Ditto
	(gnome_canvas_hacktext_req_repaint): Ditto

	* gnome-print-ps2.c: Almost everything is changed

2001-02-19  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-ps2.c: Started migration to meaningful imaging process, i.e.
	Let GPGC to hold all graphic state information and only do fills + strokes
	in actual driver

	* gnome-print.c (gnome_print_context_new): Use gnome_paper_name_default ()
	instead of hardcoding US-Letter

2001-02-18  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-meta.c (meta_glyphlist): Implemented that
	(do_render): GlyphList decoding

	* gnome-glyphlist-private.h: Changed glyphlist internals

2001-02-15  Roberto Majadas <phoenix@nova.es>

	* gnome-print-private.h: change in gnome_print_context_write_file
	prototipe const char *buf => const void *buf

	* gnome-print.c (gnome_print_context_write_file): change
	const char *buf => const void *buf 

	* gnome-print-fax.c
	(gnome_print_fax_get_type): new function
	(gnome_print_fax_new):  new function
	(gnome_print_fax_construct):  new function
	(fax_class_init):  new function
	(fax_close):  new function
	(fax_beginpage):  new function
	(fax_page_begin):  new function
	(fax_page_end):  new function
	(fax_print_band):  new function
	(fax_encode):  new function
	(fax_encode_rules_apply):  new function
	(fax_encode_finish_of_row): new function
	(fax_ditering): new function 
	(fax_code):  new function
	(fax_code_eof):  new function 
	(fax_code_eol):  new function
	(fax_code_write): new function

	* gnome-print-fax.h
	* gnomr-print-fax-g3.h

	* Makefile.am (libgnomeprint_la_SOURCES): add gnome-print-fax(.c,.h,-g3.h)

2001-02-12  Thomas Hudson  <thudson@gobe.com>

	* gnome-print-meta.c (gnome_print_meta_access_buffer): Fixed offset for
	writing size into buffer.

2001-01-31  Karl Eichwalder  <ke@suse.de>

	* gnome-print-file.c (gnome_print_file_ok_selected): Fix message
	string.

2001-01-28  Karl Eichwalder  <ke@suse.de>

	* gnome-printer-dialog.c: Fix two message strings: Add missing dots.

2001-01-18  Michael Meeks  <michael@helixcode.com>

	* gp-fontmap.c (gnome_font_list): fix reference counting cockup.

2001-01-11  Paolo Molaro  <lupus@ximian.com>

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_class_init): Change
	font argument type to GTK_TYPE_OBJECT

	* gnome-font-dialog.c (gnome_font_selection_class_init): Ditto

2001-01-06  Miguel de Icaza  <miguel@gnu.org>

	* gnome-printer.c (gnome_printer_init): Someone should have tested
	this without the GPA stuff.

2000-12-27  Morten Welinder  <terra@diku.dk>

	* gnome-print-dialog.h: #include <sys/types.h> for time_t.

2000-12-24  Miguel de Icaza  <miguel@helixcode.com>

	* gp-unicode.c (g_utf8_validate): Fix inline docs.

	* gnome-print-encode.c (gnome_print_encode_blank): Fix inline docs.

	* gnome-print-rgbp.c (gnome_print_rgbp_construct): Write inline docs.

	* gnome-printer-dialog.c (gnome_printer_dialog_get_printer): Fix
	inline api docs.

	* gnome-print-meta.c (gnome_print_meta_new): Fixed inline api docs.

	* gnome-print-encode.c (gnome_print_encode_tiff): Fix inline docs.

	* gp-fontmap.h (_GPFontEntryT1): Make parseable by GtkDoc.

	* gnome-print-dialog.h: Make GnomePrintRangeType parseable by GtkDoc.

	* parseAFM.h (struct _t_ligature): ditto

2000-12-18  Chema Celorio  <chema@celorio.com>

	* gnome-font-private.h: add prototype for
	gnome_font_unsized_get_glyph_name.

	* gnome-print-pclr.c: include the gnome-print-encode-private header.

	* gnome-printer-dialog.c (gnome_printer_widget_finalize): don't unref
	the printers, users don't want their settings to get lost every time
	the dialog is destroyed.
	(gnome_printer_widget_init): make the printers lists static.
	(set_printer): handle print to file userfriendlyer
	(gnome_printer_dialog_print_to_file_toggled): implement.
	(gnome_printer_dialog_create_print_to_file): use p2f_toggled
	(set_printer): save the printer that was last used for the next
	time we pop up the dialog.

2000-12-10  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c: add the gnome-print-encode-private header.

	* gnome-print-dialog.c (gnome_print_dialog_get_printer): cosmetic fixes
	to be consistent across gnome-print.

	* gnome-printer-dialog.c (gnome_printer_widget_init): if gpa_printer_list_load
	failed, get a generic_postscript printer.

2000-12-09  Chema Celorio  <chema@celorio.com>

	* Makefile.am (INCLUDES): define GNOMEPRINT_LIBDIR

	* gnome-printer-dialog.c: add the gmodule header
	(gnome_printer_dialog_properties_clicked): when the Properties button
	in clicked, open libgpaui.so and look for gpa_config_printer.

2000-11-30  Chema Celorio  <chema@celorio.com>

	* gnome-print-encode.h: remove protype from here
	* gnome-print-encode-private.h: into here

	* gnome-print-ps2.c: include libgpa headers
	add GpaPrinter * and GpaSettings to the ps2 struct
	(gnome_print_ps2_new): get ps level from gpa_printer
	(gnome_print_ps2_init): init ps level to 2 (this is our default)
	(gnome_print_ps2_get_level): new funct.

2000-11-28  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (gnome_printer_widget_init): use
	gpa_generic_ps_printer to always have a printer installed.

2000-11-28  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c: fix compilation.

2000-11-27  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c : Add a note on what we plan to rewrite within
	this driver.

	* gnome-print-pdf.c (gnome_print_pdf_page_write_contents): use the
	real length value for the stream for each page. 
	(gnome_print_pdf_compr_from_string): added hex encoded.
	(gnome_print_pdf_write_stream): implement. We can now use the
	configuration from gnome-print-admin for compression/encoding types.
	 add ascii_format to the GnomePrintPdf stuct
	(gnome_print_pdf_write_compression_filters): add Ascii format

2000-11-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am: fix for LIBGPA on/off compilation

2000-11-24  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (gnome_printer_dialog_create_properties_button):
	fix typo

2000-11-23  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c: hook to libgpa
	(gnome_print_pdf_write_compression_filters): new function.
	(gnome_print_pdf_compr_from_string): new funct.
	(gnome_print_pdf_page_write_contents): take compression
	parameter from libgpa
	(gnome_print_pdf_image_compressed): take compression parameter
	from libgpa.

2000-11-22  Chema Celorio  <chema@celorio.com>

	* gnome-print-file.c (gnome_print_file_dialog): plug a leak

2000-11-21  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (gnome_printer_widget_init): do not
	expand & fill the properties button.

2000-11-21  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (gnome_printer_widget_init): set the printer
	only if it exists

	* gnome-print-dialog.c (gnome_print_dialog_init): emit a g_warning if
	there aren't any printers installed.

2000-11-21  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (gnome_printer_dialog_properties_clicked): update
	error message.

	* gnome-print-file.c (gnome_print_file_ok_selected): test if the user
	is trying to print to a directory.

	* gnome-print-master.c (gnome_print_master_print): don't emit a g_warning
	if the context could not be creted.

	* gnome-print-file.c (gnome_print_file_ok_selected): If the file
	is about to be overwritten, warn the user and query for a confirmation

2000-11-21  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c:
	* gnome-print.c:
	* gnome-printer-private.h: 
	* gnome-printer-profile.c: 
	* gnome-printer.c: 
	Added #ifdef'ed support for libgpa. Libgpa is the a new printer
	profiling library. It repleaces gnome-printer-profile.c. To
	configure printers the gnome-print-admin module is used. The
	--with-admin tag needs to be specified on the configure script.
	All the changes in this files are delimited with #ifdef ENABLE_LIBGPA
	
	* gnome-printer-dialog.c: ditto
	* gnome-print-ps.c: ditto
	* gnome-print-pclv.c: ditto
	* gnome-print-pclr.c: ditto
	* gnome-print-master.c: ditto
	* gnome-print-master-preview.c: ditto
	* gnome-print-encode.c: ditto
	* gnome-print-dialog.c: ditto
	* gnome-print-copies.c: ditto
	* gnome-canvas-clipgroup.c : ditto
	* gnome-canvas-bpath.c: use individual headers v.s. <gnome.h>

	* gnome-print-file.h: ditto
	* gnome-print-file.c: new file to handle the print to file dialog

2000-11-19  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am: Make compiling font support faculatative

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_point): Do not
	crash, if font does not give us SVP
	* gnome-font-face.c: Implement attributes ItalicAngle...
	* gnome-font-family.c: Remove #ifdefs
	* gnome-font-private.h: Remove #ifdefs
	Removed format-specific methods
	* gnome-print-pdf-type1.c: Use font face attributes, not methods
	* gnome-print-ps.c: Ditto
	* gnome-print-ps2.c: Ditto

2000-11-16  Lauris Kaplinski  <lauris@helixcode.com>

	* parseAFM.h: Added #ifdef _PARSE_AFM_H_

	* gp-fontmap.h: made ItalicAngle double (as it should be)

	* gp-fontmap.c: Added fontmap version 2.0 parser (no aliases yet)
	(gp_fm_is_changed): Test for file appearing/disappearing

2000-11-16  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font-family.c: Cleaned up almost to so thin thing, that
	I strongly think about removing it at all

	* gp-fontmap.*: We support fontmap reloading at last. Cool!

2000-11-15  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-fontmap.*: Lot of added functionality. Fontmap is
	now verified, and reloaded if files have been changed.
	Also added family dictionary and 2-level lists. Moved
	font and family lists code here.

	* gnome-font-private.h: Use referenced FontEntry for
	relevant typeface data

	* gnome-font-face.c: Migration to new fontmap
	* gnome-font.c: Ditto
	* gnome-rfont.c: Ditto
	* gnome-print-pdf-type1.c: Ditto
	* gnome-font-family.c: Ditto (well, with problems)

2000-11-14  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-fontmap.*: Move fontmap functionality to separate files

	* gp-character-block.*: Add unicode->glyph map management

	* gnome-font-private.h: Use GPUCMap

	* gnome-font-face.c: Remove fontmap, use GPUCMap

2000-11-13  Chema Celorio <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_gsave): grow the array of graphic
	states after we reach the allocated limit.
	* gnome-print-ps2.c (gnome_print_ps2_gsave): ditto


2000-11-13  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-rfont.c (get_font_name): #ifdef VERBOSE out
	(gdf_find_gdk_font): Ditto

2000-11-11  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-rfont.c (gdf_find_gdk_font): Add debuggint printout
	(gdf_find_measured_gdk_font): Try both with/without encoding

2000-11-09  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-character-block.*: Added some experimental unicode functionality.

	* Makefile.am: Added gp-characer-block.*, made text-utils private

	* gp-unicode.h: Added BEGIN/END_GNOME_DECLS and copyright

	* gp-ps-unicode.* (gp_unicode_from_dingbats): New function, Dingbats
	has now assigned code-points for almost every glyph

	* gnome-font-face.c (gnome_font_face_get_sample): Use unicode values
	of sequential glyphs, as we cannot expect it covering private area
	at all
	(gff_load_afm): Try dingbats

	* gt1-parset1.c (gt1_load_font): Try dingbats

2000-11-07  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-rfont.c (gdf_find_measured_gdk_font): Try to load whatever
	font foundry/resolution, so (depending on X setup) bitmap fonts
	can have precedence over outline ones

2000-11-06  Chema Celorio  <chema@celorio.com>

	* gp-gc.c (gp_gc_set_linewidth): calculate linewidth for a
	rotated CTM too.
	* gnome-print-ps2.c (gnome_print_ps2_setlinewidth): ditto
	* gnome-print-pdf.c (gnome_print_pdf_setlinewidth): ditto
	(we need to remove setlinewidth from ps2 & pdf and let
	gp-gc handle it, same holds true for other functions)
	
2000-11-07  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-rfont.c (gnome_display_font_height): Use MAX (gdk_height,
	gnome_height) again

2000-11-06  Jody Goldberg <jgoldberg@home.com>

	* gnome-rfont.c (gdf_find_gdk_font) : Init gdkname to NULL.

2000-11-06  Lauris Kaplinski  <lauris@helixcode.com>

	* configure.in: set GNOMEPRINT_CURRENT=13, so we get correct
	library number again

	* libgnomeprint/gnome-rfont.c: Rewrote all DisplayFont managing,
	hoping that it allows us to get more and better X versions for
	gnome fonts

2000-11-05  Zbigniew Chyla  <cyba@gnome.pl>

	* libgnomeprint/gnome-print-meta.c:do_render(),
	ibgnomeprint/gnome-print.c:gnome_print_show_ucs4():
	Manual allocation instead of alloca().

	* libgnomeprint/gnome-printer-profile.c:gnome_printer_load_profiles_from():
	Manual allocation instead of alloca().
	Allowing translation of "name" and "comment" fields.
	Marked string for translation.

2000-10-30  Chema Celorio  <chema@celorio.com>

	* gnome-print-preview.c (gpp_show_sized): advance the currentpoint after
	a _show operation, just like PS does. This bug ocurred if we did 2 g_p_show
	without a moveto between them.

2000-10-29  Chema Celorio  <chema@celorio.com>

	* gnome-font-face.c (gnome_font_face_get_stdbbox): rename to
	_stdbox from _bbox at lauris' request
	* gnome-font.h: reflect rename
	* gnome-print-pdf.c (gnome_print_pdf_font_print_descriptor): use new
	name

	* gnome-print-pdf.c (gnome_print_pdf_image_compressed): add a flag to set
	if we use compressed images or not.
	(gnome_print_pdf_gsave): set the graphics mode to GRAPHICS before a gsave

	* gnome-font.h: move :
	const ArtDRect * gnome_font_face_get_font_bbox (const GnomeFontFace * face);
	here. I need it for Abiword, and I guess other people will eventually need
	it too.

	* gnome-font-private.h: remove from here

2000-10-28  Chema Celorio  <chema@celorio.com>

	* gnome-print.c (gnome_print_show_sized): dump the text that was not
	validated by g_utf8_validate

2000-10-20  Chema Celorio  <chema@celorio.com>

	* gnome-print-encode.h: disable the stopwatch, and remove any
	references to it.

2000-10-19  Chema Celorio  <chema@celorio.com>

	* gnome-print.c (gnome_print_context_new_with_paper_size): dont use
	g_return_val_if_fail since we don't need/want a warning emmited.

	* gnome-print-pdf.c (gnome_print_pdf_finalize): be quieter about an
	error with shopage, and don't display the error if there was a problem
	initializing the Context

	* gnome-print-ps2.c (gnome_print_ps2_destroy): ditto

2000-10-14  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf-type1.c (gnome_print_pdf_font_type1_embed): do not
	create subfont. Disable this code for now, since we need to stabilize
	for GNOME 1.4

	* gnome-print-pdf.c (gnome_print_pdf_font_print_metrics): add a
	warning if the font needs more than one page of glyphs. Only encode
	the first page of them.

	* gnome-print-pdf-type1.c (gp_t1_font_parse): rename

2000-10-14  Chema Celorio  <chema@celorio.com>

	* Makefile.am: clean a bit

cv2000-10-10  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c (gnome_print_ps2_showpage): fix a stupid bug
	which will rotate every page in landscape mode 90 deg.

2000-10-07  Chema Celorio  <chema@celorio.com>

	* Makefile.am (profilesdir): add text-utils.[ch]

	* text-utils.c (tu_token_next_dup): add to libgnomeprint

	* gnome-print-pdf-type1.c (gp_t1_get_delimiters_method_two):
	move the tokenizer stuff and use text-utils for that

2000-10-06  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c: More work on font subsetting
	* gnome-print-pdf-type1.c: ditto

2000-10-02  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print-meta.h: Remove bogus #ifdef __cplusplus...

2000-09-30  Chema Celorio  <chema@celorio.com>

	* gnome-print-master-preview.c (change_page_cmd): cvs conflicts
	broke stuff. Fix.

2000-09-30  Chema Celorio  <chema@celorio.com>

	* gnome-print-master-preview.c (goto_page): update the pmp->page_entry
	before we check if the page is the one we are currently viewing. 
	(change_page_cmd): close #12538

	* gnome-print-pdf-type1.c: sync the type1 font sub-setting work with
	cvs.

2000-09-29  Miguel de Icaza  <miguel@helixcode.com>

	* gnome-print-master-preview.c (render_page): reformat love.
	(preview_file_print_cmd): ditto.
	(gnome_print_master_preview_finalize): Adapt to the new
	privatization setup.

	* gnome-print-master-preview.h: Exported the base class so we can
	derive objects from GnomePrintMasterPreview (it is a GnomeApp).
	It is important to expose this just because we need clients to
	know that this is a GtkWindow/GnomeApp, and that they do not need
	to keep track of the object for destruction later.

	* gnome-print-master-preview.c: Made all of the internal data
	private, it was private anyways, as the data structure had always
	been hidden here. 

2000-09-27  Chema Celorio  <chema@celorio.com>

	* gnome-printer-profile.c (gnome_printer_load_profiles_from): push
	an empty prefix before calling gnome_config_init_iterator. Remove
	the older hack.

2000-09-26  Jose M Celorio  <chema@celorio.com>

	* gnome-printer-profile.c (gnome_printer_profile_get_printer_name): if
	name is NULL, return an error message.

	* gnome-print-pdf-type1.c: start work for font subsetting. It
	is disabled for the release.

	* gnome-printer-dialog.c (set_profile): before strcmp, verify that
	the string is not null;

2000-09-27  Chema Celorio  <chema@celorio.com>

	* gnome-print.c (gnome_print_context_new_with_paper_size): send the
	paper name to gnome_print_pdf

	* gnome-print-pdf.c (gnome_print_pdf_pages): don't hardcode the paper
	size, use size requested by the app.
	(gnome_print_pdf_new_with_paper): rename (add _with_paper);

2000-09-27  Chema Celorio  <chema@celorio.com>

	* gnome-printer-profile.c: call gnome_config_ensure_prefix_is_empty
	but "#if" it out, since it requires a future gnome-libs release
	(and a patch that I sent miguel to be included )

2000-09-27  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (set_profile): before strcmp'ring output
	verify that it is not NULL

	* gnome-printer-profile.c: if the iterator bug is found, do not
	load profile.

2000-09-26  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am: Include gnome-print-pdf-type1.h

	* gnome-glyphlist.c (ggl_text_to_unicode): Kill warning

	* gnome-print-pdf-type1.c: #include <stdlib.h>

	* gnome-print.c (gnome_print_showpage): Kill warning

	* gnome-rfont.c (create_display_font): Kill warnings

2000-09-25  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_add_glyph_to_font): implement
	(gnome_print_pdf_get_font_number): create initial array of gchar *

	Clean the finalize function :	
	* gnome-print-pdf.c (gnome_print_pdf_free_fonts): implement
	(gnome_print_pdf_free_objects): implement
	(gnome_print_pdf_free_pages): implement

	* gnome-print-pdf.h: add an array of glyphs used for that font, this
	will allow us to embed only the glyphs used and not the whole thing

	* gnome-print-pdf.c (gnome_font_face_get_stemv): call .._get_stems so
	that we actually return the font's stems

	* gnome-print-pdf-type1.c (gp_t1_get_number_from_brackets): implement
	(gp_t1_get_body_from_pfb): implement
	(decrypt_eexec): copy here from gt1-parset.c
	(gnome_print_pdf_type1_get_stems): get stems from type1 font

2000-09-25  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf-type1.c (gnome_print_pdf_type1_determine_lengths):
	fix a bug that was causing font embeding to crash

2000-09-25  Chema Celorio  <chema@celorio.com>

	* gnome-rfont.c (create_display_font): fix a crash

2000-09-25  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_finalize): kill memleaks

2000-09-24  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf-type1.c: finish font embeding and do more checks on
	the font to improve robustness. Clean the code, but still needs love
	* gnome-print-pdf.h: save each font encoding number, and not per pdf
	since each font now can have a different encoding vector

	* gnome-print-pdf.c (gnome_print_pdf_encoding): _show now works with
	unicode support.

2000-09-24  Chema Celorio  <chema@celorio.com>

	* gnome-printer-profile.c (gnome_printer_get_profiles): reverse the
	list of printers.
	(gnome_printer_load_profiles_from): reverse the list

	* Makefile.am (profilesdir): add profiles dir

	* gnome-print-ps2.c (gnome_print_ps2_show_sized): while printing octal
	numbers, pad with 0's

2000-09-24  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c: kill mem leaks

	* gnome-print-pdf.c: kill mem leaks

	* gnome-print-pdf.c (gnome_print_pdf_show_sized): move to unicode text
	and deprecate _ucs4

	* gnome-print-pdf-type1.c: new file that will handle type1 font stuff.
	(text_utils_search_real): moved here
	(gnome_print_pdf_font_parse): moved here
	(gnome_print_pdf_font_type1_embed): moved here

	* gnome-print-pdf.c (gnome_print_pdf_get_font_number): fix a VERY
	stupid bug that was crashing gnome-print-pdf

2000-09-23  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome_print_ps2.c (gnome_print_ps2_destroy): Use destroy method
	instead of finalize, so we can catch illegal behaviour by users.
	Free fonts_external
	Free graphic_state && graphic_state_set

	* gnome_print.c (gnome_print_context_new_with_paper_size): Unref
	child contexts if printing through FRGBA

	* gp-gc.* (gp_gc_setmatrix): It can still be useful for GC, if
	not in print contexts
	
2000-09-23  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps.c (gnome_print_ps_finalize): we are not finalizing,
	add g_print 
	* gnome-print-ps2.c (gnome_print_ps2_finalize): ditto

	* gnome-print-ps2.c (gnome_print_ps2_get_font_number): ref the font
	beeing used

2000-09-22  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c: (gnome_print_ps2_show_sized): add
	g_return_val_if_fails
	(gnome_print_ps2_reencode_font): ditto

	* gnome-print.h: remove setmatrix
	* gnome-print-private.h (struct _GnomePrintContextClass): ditto
	* gnome-print.c (gnome_print_gsave): ditto
	* gnome-print-pdf.c: ditto
	* gnome-print-multipage.c (gnome_print_multipage_class_init): ditto
	* gnome-print-frgba.c (gpf_clip): ditto
	* gnome-print-ps2.c (gnome_print_ps2_class_init): ditto
	* gnome-print-ps.c (gnome_print_ps_class_init): ditto
	* gnome-print-meta.c (do_render): ditto
	* gp-gc.c (gp_gc_get_ctm): ditto

2000-09-22  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-ps-unicode.* (gp_multi_from_ps): Give list of all unicode
	character values of given PostScript name

	* gnome-font-face-private: Use privencoding hash table, to keep
	name-value map of our private encoding

	* gnome-font-face.c (gff_load_afm): Assign unknown PostScript glyph
	names to unicode private area 0xe000+
	(gnome_font_face_get_sample): If font does not encode neither
	latin, nor greek, return first 32 private area characters

	* gt1-parset1.* (gt1_load_font): Get private encoding as parameter,
	use it to resolve names not in standard PS->unicode dictionary

	* gnome-print-frgba.c: Remove gc from private structure
	(gpf_fill): Use eofill, if rule is ODDEVEN

	* gnome-print-ps2.c (gnome_print_ps2_reencode_font): Make output a bit
	nicer to the eye

	* gnome-print.h: Add GNOME_PRINT_ERROR_BADVALUE
	* gnome-print.c: Use that for illegal parameters

2000-09-21  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print.* (gnome_print_ucs4): Reimplement, mark as DEPRECATED
	(gnome_print_fill, gnome_print_eofill): Use single class method
	(gnome_print_clip, gnome_print_eoclip): Ditto

	* gnome-print-private.h: Use single class method for fills and clips

	* gnome-print-meta.c: Single class methods for fills and clips
	* gnome-print-multipage.c: Ditto
	* gnome-print-ps.c: Ditto
	* gnome-print-ps2.c: Ditto
	* gnome-print-pdf.c: Ditto
	* gnome-print-frgba.c: Ditto
	* gnome-print-rbuf.c: Ditto. Also removed #ifdef 0 blocks
	* gnome-print-preview.c: Ditto. Also removed #ifdef 0 blocks
	(gpp_show_sized): Use gnome_glyphlist_from_text_sized_dumb, so we
	do not crash for non '\0' terminated strings

2000-09-21  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-gc.* (gp_gc_close_all): New function

	* gnome-print.h: Enumerate error codes

	* gnome-print-private.h: Add GC to PrintContext

	* gnome-print.c: Update GC everywhere, return meaningful errors

	* gnome-print-preview.c: Use GnomePrintContext GC wherever possible

	* gnome-print-rbuf (gpb_show_sized): Remove #ifdef 0 blocks

	* gnome-glyphlist.c (ggl_text_to_unicode): Remove libunicode stuff
	
2000-09-20  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-unicode.*: New files, implementing g_utf8 stuff from glib 1.3

	* gnome-print-private.h: Use show_sized as class method instead of
	show_ucs4

	* gnome-print.c: use show_sized
	* gnome-print-meta.c: Ditto
	* gnome-print-multipage: Ditto
	* gnome-print-rbuf: Ditto
	* gnome-print-ps: Ditto
	* gnome-print-ps2: Ditto
	* gnome-print-pdf: Ditto
	* gnome-print-preview: Ditto
	* gnome-print-frgba: Ditto
	
2000-09-19  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-canvas-bpath.c: Fix leaks in freeing lists, perturb
	vpaths before stroking too

	* gnome-font-family.c: Ditto

	* gnome-glyphlist.c: Ditto

	* gnome-pgl.c: Ditto

	* gnome-print-rbuf.c: Perturb vpaths before stroking

2000-09-19  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c 
	(gnome_print_pdf_write_content): remove g_print

2000-09-19  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c 
	(GNOME_PRINT_NUMBER_OF_ELEMENTS): start with 32 elements, not 16

2000-09-19  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_font_embed): new function,
	it is disabled so that we can finally release 0.23.

2000-09-18  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_page_write_contents): the
	compressed data might contain '\0' inside it, write directly
	to file.
	(gnome_print_pdf_images): add flate compression to images too
	(gnome_print_pdf_grestore): fix a bug that was causing a crash
	when printing more than 1 page

2000-09-18  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font-face.c (gnome_font_unsized_closest): Try load
	Helvetica, if font name fails, is we do not have Helvetica,
	load first available font.

2000-09-17  Chema Celorio  <chema@celorio.com>

	* gnome-print-encode.c: include zlib
	(gnome_print_encode_deflate): new function
	(gnome_print_encode_deflate_wcs): ditto

	* gnome-print-pdf.c (gnome_print_pdf_page_write_contents): use
	flatedecode filter for text. This should REALLY improve the size
	of the pdf files.

	* gnome-font-face.h: add gff_is_fixed_width

	* gnome-font-face.c (gff_load_afm): kill compile warning

	* gnome-print-pdf.c (gnome_print_pdf_font_print_descriptor): new
	function that creates the FontDescriptor object

	* gnome-font-private.h: add capheight, italics angle & FontBBox for
	pdf

	* gnome-font-face.c (gnome_font_face_get_capheight): new function
	(gnome_font_face_get_italic_angle): ditto
	(gnome_font_face_get_font_bbox): ditto

2000-09-16  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_font_print_metrics): fix

2000-09-07  Chema Celorio  <chema@celorio.com>

	* gnome-font-face.h: add g_f_face_get_glyph_ps_name to the header
	
2000-08-31  Chema Celorio  <chema@celorio.com>

	* gnome-font-dialog.c (gnome_font_selection_dialog_init): set a
	default size for the dialog. The current one is way too small

2000-08-29  Morten Welinder  <terra@diku.dk>

	* gnome-font-face.c (gnome_font_face_get_glyph_width): Fix bogus
 	sanity check.
	(gnome_font_face_get_glyph_ps_name): Ditto.
	(gff_load_afm): Use g_renew properly.  (Spotted by Lauris.)

2000-08-28  Lauris Kaplinski  <lauris@helixcode.com>

	* gt1-parset1.c (gt1_load_font): Use hash table for encoding, so we
	can now support fonts with arbitrary glyphs (as long, as they are
	defined in gp-ps-unicode)
	(gt1_get_glyph_outline): Ditto
	(gt1_get_kern_pair): Ditto

2000-08-28  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print.c (gnome_print_context_new_with_paper_size): use FRGBA
	for both standard PostScript and PS2
	(gnome_print_glyphlist): Do glyph->ps->unicode translation, if
	context does not implement ::glyphlist() method

2000-08-28  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font.c (gnome_font_get_glyph_stdoutline): Implement

2000-08-27  Chema Celorio  <chema@celorio.com>

	(gnome_print_decode_hex): fix
	
2000-08-27  Chema Celorio  <chema@celorio.com>

	* gnome-print-encode.c (hex_2_dec): new function
	(gnome_print_decode_hex_wcs): new function
	(gnome_print_decode_hex): new function


2000-08-22  Rusty Conover <rconover@zootweb.com>
	
	* gnome-canvas-bpath.h: Fixed defintion of bpath argument to actually
	state that it requires a GPPath to be used rather then an ArtBpath.
	This was discovered to be wrong after passing a real ArtBpath and
	having 	problems.  Proper documentation always helps.

2000-08-18  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am: include gnome-print-master-private.h

	* gnome-print.c: Use PostScript RGBA wrapper for default

	* profiles/Postscript.profile: Use RGBA for default, RGB for plain
	
2000-08-15  Morten Welinder  <terra@diku.dk>

	* gnome-print-pclr.c: Include <string.h> for memset.

	* gnome-print-pdf.c (gnome_print_pdf_id_new): Handle systems with
 	pid_t != int better.

2000-08-13  Chema Celorio  <chema@celorio.com>

	* gnome-print-encode.c (gnome_print_decode_ascii85): implement
	(gnome_print_decode_ascii85_wcs): implement

2000-08-11  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font-private.h:
	* gnome-font-face.c (gnome_font_face_get_num_glyphs): New method
	(gnome_font_face_get_glyph_ps_name): New method

	* gp-ps-unicode.h:
	* gp-ps-unicode.c (gp_const_ps_from_ps): New method, returning
	constantized PostScript name

	* gnome-print-ps2.c: (gnome_print_ps2_reencode_font): Encode Type 0
	font, supporting 65536 glyphs in 8/8 mapping
	(gnome_print_ps2_glyphlist): Use 8/8 mapping
	(gnome_print_ps2_show_ucs4): Use font lookup and 8/8 mapping
	
2000-08-08  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-ps-unicode.h: Added
	* gp-ps-unicode.c: Added

	* gnome-font-private.c: New unicode->glyph mapping methods

	* gnome-font-face.c: Changed unicode and metric storage
	(gnome_font_face_get_sample): Simple test greek string for Symbol
	(gnome_font_face_get_species_name): Remove leading hyphen, if present

	* gnome-font-family.c: (gnome_font_family_add_font): Use face stylename

	* gnme-text-c: Dont use face private width table

	* gt1-parset1.c (gt1_load_font): Use gnome-print ps->unicode conversion
	Map first 1024 unicode glyphs
	
2000-08-08  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome_print.c (gnome_print_context_new_with_paper_size): use
	gnome-print-ps-frgba driver

	* gnome-print-frgba.c (gpf_render_buf): Set buffer to white, not gray
	
2000-08-07  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font-dialog.c (gnome_font_selection_init): Nicer layout

	* gnome-font-face.c: (gnome_font_face_new): Do not load afm by default
	(gnome_font_unsized_closest): Same
	It fixes the infinite initialization time of font selector dialog

	* gnome-font.c: Use face methods for metrics, so afm is demand-loaded

	* gnome-glyphlist.c: Use UTF-8 for text encoding
	
2000-08-07  Chema Celorio  <chema@celorio.com>

	* gnome-print-copies.c (gnome_print_copies_bind_editable_enters):
	fix a compile warning.

2000-08-06  Jody Goldberg <jgoldberg@home.com>

	* gnome-print-master.c (gnome_print_master_get_pape) : new routine.

2000-08-06  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am: Do not install gnome-printer-profile.h

	* gnome-print-copies.h:
	* gnome-print-copies.c: Privatized

	* gnome-print-master.h:
	* gnome-print-master.c: Privatized
	* gnome-print-master-private.h: Added

	* gnome-print-master-preview.h:
	* gnome-print-master-preview.c: Privatized

	* gnome-printer-dialog.h:
	* gnome-printer-dialog.c: Privatized

	* gnome-print-dialog.h:
	* gnome-print-dialog.c: Privatized
	
2000-08-06  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_font_print_metrics): only print
	the metrics for the chars that we used.
	(gnome_print_pdf_font_print_metrics): warn if char > 127.

2000-08-06  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am: Do not install gnome-print-encode.h and
	gnome-print-i18n.h

	* gnome-font-dialog.h:
	* gnome_font_dialog.c: Big rewrite. We now have separate
	GnomePrintPreview widget

	* gnome-print-copies.h:
	* gnome-print-copies.c: Emit "copies_set" signal & other changes
	(gnome_print_copies_get_copies): new syntax
	(gnome_print_copies_get_collate): New method

	* gnome-print.h: Privatized internals
	Grouped methods into meaningful sections
	Moved file methods to private header
	* gnome-print-private.h: Added
	Changed all other print context header/code files accordingly
	* gnome-print-rbuf-private.h: Added
	* gnome-print-preview-private.h: Added

	* gnome-printer.h: Privatized
	* gnome-printer-private.h: Added
	* gnome-printer.c: Included private header

2000-08-05  Chema Celorio  <chema@celorio.com>

	* gnome-print.h: added BEGIN/END_GNOME_DECLS to all .h 
	that where missing it
	Killed all compile warnings
	added #ifdef __GNOME_SOMETHING_F__ to files that where missing it

2000-08-05  Miguel de Icaza  <miguel@helixcode.com>

	* gnome-print-master-preview.h: Add BEGIN_GNOME_DECLS and
	END_GNOME_DECLS 

2000-08-05  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_font_print_metrics): download
	font metrics.
	* gnome-print-pdf.c : diferientate the basic 14 fonts.

	* gnome-font-face.c (gnome_font_face_get_sample): fix a typo

2000-08-04  Chema Celorio  <chema@celorio.com>

	* tests/test*.c : killed compile warnings
	
	* gnome-print-ps2.c (gnome_print_ps2_get_font_number): Fix ugly
	bug. (Which took me an hour to find.) doh !

	* gnome-print-encode.c (gnome_print_encode_isolatin): added. This code
	is beeing duplicated in the ps,ps2 & pdf drivers.

	* gnome-print-meta.c (do_render): remove concat_optimize
	* gnome-print.c (gnome_print_concat_optimize): ditto
	* gnome-print.h: ditto

	* gnome-print-pdf.c (gnome_print_pdf_ctm_is_identity): don't need
	it anymore

2000-08-04  Lauris Kaplinski  <lauris@helixcode.com>

	* gp-gc.c (gp_gc_reset): fixed evil bug of not clearing cts list
	
2000-08-03  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c (gnome_print_ps2_show_ucs4): we don't need to
	affine the location of the text
	* gnome-print-pdf.c (gnome_print_pdf_show_ucs4): ditto
	(gnome_print_pdf_show_ucs4): fix the "Tm" command so that we
	can print rotated/slanted text

	* gnome-print-pdf.c (gnome_print_pdf_moveto): art affine the
	point while adding it to the currentpath
	(gnome_print_pdf_curveto): ditto

	* gnome-print-ps2.c (gnome_print_ps2_showpage): clean the graphic
	state after showpage.

	* gnome-print-pdf.c (gnome_print_pdf_id_new): create the id
	from date+constant+pdfsize+pid.

	* gnome-print-encode.c: added this file. which replaces
	gnome-print-compress.c
	* gnome-print-compress.c: deleted
	* gnome-print-encode.h (gnome_print_encode_timer_end): ditto

	* gnome-print-ps2.c (gnome_print_ps2_concat_optimize): added
	* gnome-print-meta.c: added concat_optimize
	* gnome-print.c (gnome_print_concat_optimize): added

	* gnome-print-pdf.c: replace gnome_print_compress with
	gnome_print_encode
	* gnome-print-pclr.c: ditto
	* gnome-print-pclr.c: ditto
	* gnome-print-ps2.c: ditto

2000-08-03  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print.c (gnome_print_show): return immediately, if strlen < 1
	
2000-08-03  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c (gnome_print_ps2_curveto): do the affine
	transformation while addint to the current path, not inside
	path_print.
	(gnome_print_ps2_moveto): ditto
	(gnome_print_ps2_lineto): ditto
	(gnome_print_ps2_path_print): don't do the affine transform here
	(gnome_print_ps2_show_matrix_set): use gs not gs_set to flag the
	current state

2000-08-03  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print.c (gnome_print_show_ucs4): Fix silly bug
	
2000-08-02  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c (gnome_print_ps2_reencode_font): do not reencode in
	IsoLatinEncoding the fonts twice. Flag them as reencoded
	(gnome_print_ps2_download_font): use GnomeFont
	(gnome_print_ps2_dictionary): add reencoding function
	(gnome_print_ps2_graphic_state_set_font): only set the font when the
	font is different than the one set

	* gnome-print-pdf.c (gnome_print_pdf_image_compressed): clean

	* gnome-print-rgbp.c (rgbp_showpage): call page_end after
	each showpage. 
	(gnome_print_rgbp_construct): save the paper name
	(rgbp_showpage): affter showpage, we need to destroy the canvas
	so that all the items get cleared. 

	* gnome-print-pclr.c (pclr_print_band): call memset to clear the
	row of pixels. Avoids marks on the right side of the printout
	(pclr_print_band): we need to write the last byte. doh !

2000-08-02  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print.h (gnome_print_show_ucs4): Replaced class method ::show()
	with ::show_ucs4(), added general function for the latter

	* gnome-print.c (gnome_print_show): Uses UTF-8, translates internally
	to show_ucs4
	(gnome_print_show_ucs4): Added

	* gnome_print_frgba.c:
	* gnome_print_meta.c:
	* gnome_print_multipage.c:
	* gnome_print_pdf.c:
	* gnome_print_ps.c:
	* gnome_print_ps2.c:
	* gnome_print_preview.c:
	* gnome_print_rbuf.c: Use new show_ucs4 class method everywhere

2000-08-02  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am: Do not install pcl headers, glyphlist and pgl private
	and rgbp headers

	* gnome-glyphlist-private.h: Added

	* gnome-pgl-private.h: Added

	* gnome-canvas-hacktext.c: Use gnome-pgl-private.h

	* gnome-font-dialog.c (gnome_font_selection_init): Pack preview
	fill + expand

	* gnome-font-face.c (gnome_font_face_get_glyph_stdoutline): don't
	crash for invalid glyph,
	instead return empty rectangle
	(gnome_font_face_get_glyph_stdbbox): Same
	(gnome_font_face_lookup_default): Return -1 if there is no
	Gt1GlyphOutline, brought method here from gnome-font.c

	* gnome-font.c: Moved gnome_font_face_lookup_default to
	gnome-font-face.c

	* gnome-glyphlist.h:
	* gnome-glyphlist.c: Moved internals to private header

	* gnome-pgl-h:
	* gnome-pgl.c: Moved internals to private header

	* gnome-print.c (gnome_print_glyphlist): iterate glyphs, if there
	is no class method

	* gnome-rfont.c: Use gnome-pgl-private header
	
2000-08-01  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font-family.h:
	* gnome-font-family.c: Added these

	* Makefile.am: Moved gnome-canvas-hacketxt.h,
	gnome-canvas-bpath-private.h
	gp-path.h and gp-gc.h to uninstalled headers

	* gnome-canvas-hacktext.c (art_drect_hacktext): force update, if needed

	* gnome-font-dialog.h (gnome_font_selection_get-size): added
	(gnome_font_selection_get_face): added
	Lots of changes to object internals

	* gnome-font-dialog.c: Reworked, now shows (mostly) right styles for
	family
	
	* gnome-font-face.c (gnome_font_face_get_species_name): implement

	* gnome-glyphlist.c (ggl_text_to_unicode): fix leak

	* gnome-rfont.c (dsp_get_glyph_pixmap): fix leak

2000-08-01  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c (gnome_print_ps2_page_end): write showpage ("SP")
	(gnome_print_ps2_dictionary): add to dictionary

	* gnome-print-pdf.c (gnome_print_pdf_page_write_resources): only ask
	for an object number if there wasn't one assinged before
	(gnome_print_pdf_get_fonts_object_numbers): ditto
	(gnome_print_pdf_init): set object_number_gstate to 0 

	* gnome-print-pclr.c : use lame dithering.

2000-07-27  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c (gnome_print_ps2_reencode_font): reenconde fonts
	in IsoLatin1Encoding
	(gnome_print_ps2_dictionary): add more commands to the dictionary
	(gnome_print_ps2_graphic_state_set_font): use FF CF and SF

	* gnome-print-ps.c : clean some #if 0'ed optimization stuff as we
	no longer need to optimize this driver


2000-07-31  Chema Celorio  <chema@celorio.com>

	* gnome-print.h (struct _GnomePrintContextClass): deprecate setmatrix
	* gp-gc.h: ditto
	* gnome-print-frgba.c (gpf_setmatrix): ditto
	* gnome-print-meta.c (do_render): ditto
	* gnome-print-multipage.c (gnome_print_multipage_class_init): ditto
	* gnome-print-pdf.c (gnome_print_pdf_class_init): ditto
	* gnome-print-preview.c (gpp_class_init): ditto
	* gnome-print-ps.c (gnome_print_ps_class_init): ditto
	* gnome-print-ps2.c (gnome_print_ps2_class_init): ditto
	* gnome-print-rbuf.c (gpb_setmatrix): ditto
	* gnome-print.c: ditto
	* gp-gc.c: ditto

2000-07-29  Jody Goldberg <jgoldberg@home.com>

	* gt1-parset1.c (gt1_load_font) : Correct a typo in the array bounds.
	(encode_table_2_names) : Remove the trailing 1234567890
	(encode_table_3_names) : Ditto.
	(encode_table_4_names) : Ditto.

2000-07-27  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font.h:
	* gnome-font-private.h:
	* gnome-font.c:
	* gnome-font-face.h:
	* gnome-font-face.c: Big cleanup. Most face-specific methods are now in
	gnome-font-face. Removed fontmap from class, implemented as hash table.

	* gnome-font-dialog.c (gnome_font_selection_init): No more need for
	class

2000-07-26  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-font.c: removed most '#ifdef 0' code

	* gnome-rfont.c: same

2000-07-26  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c (gnome_print_pdf_image_compressed): speed
	optimizations

	* gnome-print-ps2.c (gnome_print_ps2_image): use hex encoding from
	g_p_compress

	* gnome-print-compress.c (gnome_print_compress_hex): move hex
	endcoding here

2000-07-25  Jody Goldberg <jgoldberg@home.com>

	* gnome-font.c (gnome_font_new_closest) : Insert new fonts into the
	  hash.

2000-07-26  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c: more work. 

	* gnome-print-pdf.c (gnome_print_pdf_image_compressed): use ascii85
	encoding

	* gnome-print-pclr.c (pclr_print_band): use the new functions

	* gnome-print-compress.c (gnome_print_compress_ascii85): implement
	ascii85 encoding
	(gnome_print_compress_rlc_wcs): calculate the size that the app
	should allocate for the out buffer on the WCS.
	(gnome_print_compress_tiff_wcs): ditto
	(gnome_print_compress_drow_wcs): ditto
	(gnome_print_compress_ascii85_wcs): ditto

2000-07-25  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps2.c: fix some bugs

2000-07-24  Chema Celorio  <chema@celorio.com>

	* gnome-printer-dialog.c (set_profile): test for output==NULL. Fixes
	the dialog crash.

	* gnome-print-ps2.c: more work, rotated text now works. The only
	stuff missing is Fonts.

2000-07-22  Chema Celorio  <chema@celorio.com>

	* gnome-print-compress.c: cosmetic stuff

	* gnome-print-ps.c: costmetic fixes

	* gnome-print-pclc.c: move common stuff here

	* gnome-print-pdf.c: more work

	* gnome-print-ps2.c: commit

2000-07-18  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps.c: removed the comment added previously

2000-07-22  Michael Meeks  <michael@helixcode.com>

	* gnome-canvas-bpath.c (gnome_canvas_bpath_update): fix line width
	screwup.

2000-07-21  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-canvas-hacktext.h: include <libgnomeui/gnome-canvas.h>

	* gnome-font-dialog.h:
	* gnome-font-dialog.c (gnome_font_selection_get_font): GnomeFont not
	GnomeDisplayFont
	(gnome_font_dialog_get_font): Same
	(gnome_font_selection_init): Use minicanvas to do full-featured
	font preview
	(gnome_font_selection_update_preview): Same

	* gnome-font-face.h:
	* gnome-font-face.c (gnome_font_face_get_sample): Use GnomeFont,
	not GnomeFontFace

	* gnome-font-private.h (gnome_font_get_glyph_name): Moved here

	* gnome-rfont.c:
	* gnome-font.h:
	* gnome-font.c: GnomeDisplayFont is now typedef for GnomeRFont. All
	internals are
	privatized, so use accessor methods, if necessary.
	Moved huge block of DisplayFont related code to gnome-rfont.c

	* gnome-print-ps.c: include gnome-font-private.h

	* gnome-glyphlist.c: typechecks everywhere

2000-07-18  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-glyphlist.h:
	* gnome-glyphlist.c: added

	* gnome-pgl.h:
	* gnome-pgl.c: added
	Glyphlists (and Positioned glyphlists) are quite flexible, device
	independent rich text representations

	* Makefile.am: added glyphlists

	* gnome-print.h:
	* gnome-print.c (gnome_print_glyphlist): test implementation

	* gnome-print-preview (gpp_glyphlist): test implementation

	* gnome-canvas-hacktext.h:
	* gnome-canvas-hacktext.c: Major redesign using glyphlists

	* gnome-font-face.h:
	* gnome-font-face.c (gnome_font_face_get_sample): added

	* gnome-rfont.h:
	* gnome-rfont.c (gnome_rfont_get_stdadvance): added
	(gnome_rfont_render_pgl_rgb8): added
	(gnome_rfont_render_pgl_gdk_drawable): added
	
2000-07-18  Chema Celorio  <chema@celorio.com>

	* gnome-print-pdf.c: more work. Gnumeric files should
	print to pdf if the VERY basic fonts are used.
	Images also work now.

2000-07-17  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps.c: added a /* comment */
	
	* gnome-print-pdf.c: more work. getting there ...

2000-07-15  Chema Celorio  <chema@celorio.com>

	* gp-path.c: added a debuging function that was later removed.
	The commit might containt ">" and "<" blank lines only.

	* gnome-print-ps.c (gnome_print_ps_get_type): ditto

	* gnome-print-pdf.h: added. "Yeah baby yeeeeah!"

	* gnome-print-pdf.c: added
	
	* Makefile.am: add the native drivers
	
	* gnome-print-pclv.c: new file, this is just a copy of the
	gnome-print-pclr driver, (i.e. not yet written ) this will
	be the Vector PCL driver
	* gnome-print-pclv.h: new file

	* gnome-print.c (gnome_print_context_new_with_paper_size): hook the
	gnome-print-pclr and gnome-print-pclv drivers
	
2000-07-13  Michael Meeks  <michael@helixcode.com>

	* gnome-print-preview.c (gpp_image): art_alloc not g_malloc.

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_destroy),
	(gnome_canvas_hacktext_set_arg): g_free not art_free.

	* gnome-rfont.c (rfont_free_bpath): art_free not g_free.

2000-06-19  Michael Meeks  <michael@helixcode.com>

	* gnome-print.c (gnome_print_pixbuf): implement.

2000-06-19  Michael Meeks  <michael@helixcode.com>

	* gnome-print.c (gnome_print_pixbuf): implement.

2000-07-11  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-rfont.h:
	* gnome-rfont.c (gnome_rfont_render_glyph_gdk_drawable):
	  experimental interface

	* gnome-canvas-hacktext.c: Use experimental gdk rendering

2000-07-11  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-rfont.h:
	* gnome-rfont.c: Added rasterized font handler

	* gnome-canvas-hacktext.c: Use rfont

	* makefile.am: Moved gnome-font-private.h to private headers

2000-07-08  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-canvas-bpath-util.h: removed
	* gnome-canvas-bpath-util.c: removed

2000-07-07  Lauris Kaplinski  <lauris@helixcode.com>

	* Makefile.am
	* gnome-font.h
	* gnome-font.c
	* gnome-font-private.h: added
	* gnome-font-face.h: added
	* gnome-font-face.c: added
	Privatized GnomeFont internals to make future exending easy

	* gnome-font-dialog.c
	* gnome-print-meta.c
	* gnome-print-ps.c
	* gnome-print-preview.c
	* gnome-print-rbuf.c
	* gnome-text.c
	* gnome-canvas-hacktext.c: Various fixes to comply with new font API

2000-07-03  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-canvas-hacktext.c (art_drect_hacktext): Initialize bbox to
	empty rectangle

2000-06-17  Morten Welinder  <terra@diku.dk>

	* gp-gc.c (gp_gc_unref): Plug leak.
	(gp_gc_reset): Plug leak.
	(gp_gc_grestore): Plug leak.

	* gnome-print-master-preview.c (render_page): Plug leak.

2000-06-16  Chema Celorio  <chema@celorio.com>

	* gnome-print-dialog.h: added a GNOME_PRINT_RANGE_SELECTION_UNSENSITIVE
	useful for dialogs when no selection is active.
	
	* gnome-print-dialog.c: code to handle it

2000-06-14  Lauris Kaplinski  <lauris@helixcode.com>

	* gnome-print.c (gnome_print_context_open_file): Handle "~/filename"
	  kind of names

2000-06-14  Morten Welinder  <terra@diku.dk>

	* gnome-print-master.c (gnome_print_master_print): Handle error
 	from gnome_print_context_new_with_paper_size gracefully.

2000-06-14  Lauris Kaplinski <lauris@helixcode.com>

	* gp-path.c (gp_path_close_all): Set correct endpoint for new path,
	  change MOVETO_OPENs to MOVETOs

2000-06-07  Lauris Kaplinski <lauris@kaplinski.com>

	* Makefile.am: Added gnome-print-frgba
	* gnome-print-frgba.h:
	* gnome-print-frgba.c: RGBA wrapper context (from rgba branch)

	* gnome-print-rbuf.c (gpb_rgbimage): use correct rowstride
	* gnome-print-meta.c: (decode_image): decode rgbaimage
	  (gnome_print_meta_render_from_object): replay open metafile

2000-05-29  Jody Goldberg <jgoldberg@home.com>

	* gnome-print-master-preview.c (create_toplevel) : We need to
	  temporarily change the textdomain so that gnome-libs will translate
	  the menus in the gnome-print domain, rather than the calling
	  applicaiton.

	* *.c : Include config.h then gnome-print-i18n.h.

	* gnome-print-dialog.c (print_button) : new function to appease the
	  translation gods.

	* gnome-font.c : Include gnome-print-i18n.h.
	* gnome-print-copies.c : Ditto.
	* gnome-print-dialog.c : Ditto.
	* gnome-print-master-preview.c : Ditto.

2000-05-27  Jody Goldberg <jgoldberg@home.com>

	* gnome-font.c (create_display_font) : truncate the scaled font size
	  Back out my previous patch from Mar/21.
	(gnome_get_display_font) : Ditto.

2000-05-26  Lauris Kaplinski  <lauris@ariman.ee>

	* gnome-canvas-bpath.h:
	* gnome-canvas-bpath.c:
	* gnome-canvas-bpath-private.h: Reworked most Bpath internals,
	made these private, added per canvas drawing contexts etc. As a
	result, it now clips, dashes, eofills and even show itself on
	Gdk canvases :)
	* gnome-canvas-clipgroup.h:
	* gnome-canvas-clipgroup.c: Clipper group. Most aa items should be
	clipped, as the general framework has been present for long time.
	* gnome-print-preview.h:
	* gnome-print-preview.c: Converted it to separate GC and new
	canvas Bpath.
	These are coming from gnome-print-rgba branch

2000-05-26  Lauris Kaplinski  <lauris@ariman.ee>

	* gnome-print-rbuf.h:
	* gnome-print-rbuf.c: General RGB/RGBA buffer printing context
	* gp-gc.h:
	* gp-gc.c: General graphic context stack implementation
	* gp-path.h:
	* gp-path.c: Smart wrapper around ArtBpath arrays, allowing most
	imaginable operations on these (split, join, close etc.)
	* art_rgb_affine_private.h: Libart private header for SVP rendering
	* art_rgba_rgba_affine.h:
	* art_rgba_rgba_affine.c: Temporary RGBA image to RGBA buffer
	renderer
	* art_rgba_svp.h:
	* art_rgba_svp.c: Temporary SVP to RGBA buffer renderer
	These are coming from gnome-print-rgba branch

2000-05-23  Morten Welinder  <terra@diku.dk>

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_point): Limit
 	variables' scopes.  Plug leaks.

2000-05-19  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps.c (gnome_print_ps_show): Fix bug #10600

2000-05-08  Morten Welinder  <terra@diku.dk>

	* gnome-print-master.c (gnome_print_master_print): Plug a leak.

2000-05-07  Chema Celorio  <chema@celorio.com>

	* gnome-print-pclr.c (pclr_print_band): When compressing
	color planes and when using delta row compression choose
	the best seed between the row in the previous plane or
	the previous row in the current plane.

2000-05-07  Chema Celorio  <chema@celorio.com>

	* gnome-print-compress.c (gnome_print_compress_blank):
	Implement.
	(gnome_print_compress_drow): Fixed a bug that was growing
	the output size.

	* gnome-print-pclr.c (pclr_print_band): Send blanks
	rows as such.
	If Delta_row_size = 0, dont calculate other methods.

2000-05-06  Chema Celorio  <chema@celorio.com>

	* gnome-print-pclr.c (pclr_print_band): clean code
	and add the use of RunLengthCoding compression.

2000-05-06  Chema Celorio  <chema@celorio.com>

	* gnome-print-pclr.c : Clean code, renamed some
	variables and take the compression stuff outside
	and move it to gnome-print-compress.c

	* gnome-print-compress.c : Added to the repository
	
	move the compression stuff here since the PCL
	and the Epson driver are sharing the compression
	code.
	(gnome_print_compress_rlc):  Implemented
	(gnome_print_compress_tiff): moved here
	(gnome_print_compress_drow): moved here

2000-05-04  Miguel de Icaza  <miguel@helixcode.com>

	* Makefile.am (libgnomeprintinc_HEADERS): Install the
	gnome-canvas-hacktext stuff.

2000-05-02  Morten Welinder  <terra@diku.dk>

	* gnome-print-meta.c (meta_setopacity, meta_rgbaimage): Return
 	something.

	* gnome-printer-profile.c (gnome_printer_profile_get_printer):
 	Plug leak and sanitise.

	* gnome-print-ps.c (gnome_print_ps_reencode_font): Prototype.

2000-05-02  Chema Celorio  <chema@celorio.com>

	* gnome-print-pclr.h: Added to the repository
	* gnome-print-pclr.c: Added to the repository.

2000-04-21  Michael Meeks  <michael@helixcode.com>

	* gnome-print-meta.c (meta_rgbaimage, meta_setopacity): implement.
	(gnome_print_meta_class_init): use. (do_render): add new.

	* gnome-print.c (gnome_print_context_class_init): init
	rgbaimage not rgbimage to NULL, NULL textline & close.

	* gnome-print-ps.c (gnome_print_ps_setopacity): add warning,
	compile in. (gnome_print_ps_class_init): init setopacity.

2000-04-18  Chema Celorio  <chema@celorio.com>

	* gnome-print-dialog.c (gnome_print_dialog_get_range):
	  the range widget might contain some of the range
	  options, so check if they are not NULL.

2000-04-15  Lauris Kaplinski <lauris@ariman.ee>

	* gnome-print.h: added rgbaimage method and gnome_print_rgbaimage
	  method
	* gnome-print.c: implemented rgbaimage fallback to rgbimage, if
	  actual context does not support it

2000-04-14  Morten Welinder  <terra@diku.dk>

	* gnome-print-ps.c (gnome_print_ps_setopacity): Kill warning.

	* gnome-canvas-bpath-util.c (gnome_canvas_bpath_def_new_from):
 	Kill warning.

	* parseAFM.c (initializeArray): Kill warning.

	* gnome-print-preview.c (dump_gc): Kill warning.
	(gpp_destroy): Kill warning.

	* gnome-print-meta.c (encode_string): New function.
	(decode_string): New function.
	(do_render): Use decode_string.  Revive debugging code.
	(meta_setfont): Use encode_string.
	(meta_show): Use encode_string.
	(meta_beginpage): Use encode_string.
	(encode_int): Change format to support negative integers.
	(decode_int): Ditto.
	(encode_double): Implement marshalling.
	(decode_double): Implement unmarshalling.

2000-04-13  Jon K Hellan  <hellan@acm.org>

	* gnome-print-dialog.c (gnome_print_dialog_init): 

	* gnome-print-dialog.h (struct _GnomePrintDialog): Add
	range_accel_group.

	* gnome-print-dialog.c (gnome_print_dialog_destroy): New function:
	Unref range_accel_group.
	(gnome_print_dialog_class_init): Add destroy method.
	(gnome_print_dialog_init): Initialize range_accel_group to NULL.
	(init_body): Add accelerator groups to dialog.  Make <Enter>
	activate OK button. Set initial focus to profile selector.
	(gnome_print_dialog_construct_range_any): Add accelerators.
	(gnome_print_dialog_construct_range_page): Ditto

	* gnome-printer-dialog.h (struct GnomePrinterWidget): Add
	profile_selector - a good place to set initial focus. Add
	accel_group.

	* gnome-printer-dialog.c (gnome_printer_widget_class_init): Add
	destroy method.
	(label_at): Parse uline accelerator and return it.
	(gnome_printer_widget_init): Add accel_group and accelerators. Set
	profile_selector to option_menu. Gettextize strings.
	(gnome_print_widget_destroy):  New function: Unref accel_group.
	(gnome_printer_dialog_new): Make <Enter> activate OK button. Set
	initial focus to profile selector.
	(gnome_printer_widget_b_cb): Set focus to entry field when radio
	button has been checked.

	* gnome-print-copies.h: Add accel_group.

	* gnome-print-copies.c (gnome_print_copies_class_init): Add
	destroy method.
	(gnome_print_copies_init): Gettextize
	strings. Add accel_group and accelerator.
	(collate_toggled): Cast to silence warning.
	(gnome_print_copies_destroy): New function: Unref accel_group.

	* gnome-font-dialog.h (struct _GnomeFontSelection): Add
	accel_group. 

	* gnome-font-dialog.c (gnome_font_selection_destroy): Unref
	accel_group.
	(gnome_font_selection_get_font): Ignore spaces.
	(gnome_font_selection_update_preview): Don't update preview if
	user input does not form a valid font.
	(gnome_font_selection_init): Add accelerator.
	(gnome_font_selection_dialog_init): Add accel_group. Set initial
	focus.

2000-04-12  Dom Lachowicz <dominicl@seas.upenn.edu>

	* libgnomeprint/gnome-font.c (gnome_font_kern, gnome_font_unsized_kern,
	gnome_font_new, gnome_font_get_ascender, gnome_font_get_descender,
	gnome_font_get_underline_position, gnome_font_get_underline_thickness,
	gnome_font_unsized_closest, gnome_font_new_closest, 
	gnome_font_get_name, gnome_font_get_glyph_name, 
	gnome_font_get_full_name, gnome_font_get_pfa, gnome_font_get_width,
	gnome_font_unsized_get_width, gnome_font_unsized_get_width_string,
	gnome_font_get_width_string_n, gnome_font_get_glyph, gnome_font_list,
	gnome_font_family_list) : Use g_return_if_fail, g_return_val_if_fail
	GNOME_IS_FONT, GNOME_IS_FONT_CLASS macros in publicly accessible
	functions

	(find_best_x_font) : Shut up gcc by commenting out unused variable

	* libgnomeprint/gnome-print-dialog.[ch] (gnome_print_dialog_get_range):
	Make return type a GnomePrintRangeType instead of an int
		
2000-04-11  Morten Welinder  <terra@diku.dk>

	* gnome-print-master-preview.c
 	(gnome_print_master_preview_new_with_orientation): Renamed from
 	gnome_print_master_preview_new.
	(gnome_print_master_preview_new): New function with its former
 	prototype.

2000-04-11  Morten Welinder  <terra@diku.dk>

	* gnome-print-master-preview.c (gnome_print_master_preview_new):
 	Constify.
	(struct _Private): add landscape, width, and height members.
	(gnome_print_master_preview_new): New arg, "landscape".  Get paper
 	size once and for all while taking landscape into account.
	(render_page): If landscape, rotate.

2000-04-10  Morten Welinder  <terra@diku.dk>

	* gnome-print-ps.c (gnome_print_ps_close): Add trailer indicator.

2000-04-09  Morten Welinder  <terra@diku.dk>

	* gnome-print-ps.c (gnome_print_ps_beginpage): New function.
	(gnome_print_ps_init): Zero pageno.
	(gnome_print_ps_showpage): Updage pageno.
	(gnome_print_ps_close): Print page count.
	(gnome_print_ps_new): Say that pagecount is at end.

	* gnome-print-rgbp.c (rgbp_beginpage): New function.
	(rgbp_class_init): Set beginpage.

	* gnome-print-preview.c (gpp_beginpage): New function.
	(gpp_class_init): Set beginpage.

	* gnome-print-meta.c (GnomeMetaType): Add GNOME_META_BEGINPAGE.
	(meta_type_names): Add "BEGINPAGE".
	(meta_beginpage): New function.
	(gnome_print_meta_class_init): Set beginpage.
	(do_render): Handle (well, non-handle) GNOME_META_BEGINPAGE.

	* gnome-print-multipage.c (gnome_print_multipage_beginpage): New
 	function. (gnome_print_multipage_class_init): Set beginpage.

	* gnome-print.c (gnome_print_context_class_init): Set beginpage
 	member.

	* gnome-print.h (struct _GnomePrintContextClass): Add beginpage.

2000-04-09  Jon K Hellan  <hellan@acm.org>

	* gnome-print-ps.c (gnome_print_ps_show): Print nonascii as \octal
	code. It's recommended practice, and all other PS drivers I have
	seen do it.

2000-04-08  Morten Welinder  <terra@diku.dk>

	* gnome-print-master.c (gnome_print_master_finalize): Unref the
 	printer.
	(gnome_print_master_set_printer): Unref the former printer.
	(gnome_print_master_print): Keep proper ref count of printer.

	* gnome-print.c (gnome_print_context_fprintf): Print in "C" locale
 	to get the right decimal separator.  This should really be one or
	more levels out, but it works.

2000-04-08  Michael Meeks  <michael@helixcode.com>

	* gnome-print-meta.c (gnome_print_meta_finalize): add table of meta
	op names.
	(do_render): add debug + default case as idiot trap.
	(gnome_print_meta_render): kill daft offset bug.

2000-04-07  Dom Lachowicz  <dominicl@seas.upenn.edu>
            John Tunison   <nosinut@WIND.REM.CMU.EDU>
	
	* libgnomeprint/gnome-print-dialog.h:
	* libgnomeprint/gnome-print-master-preview.h:
	* libgnomeprint/gnome-print-master.h:
	* libgnomeprint/gnome-print-dialog.c (gnome_print_dialog_finalize,
	gnome_print_dialog_init, gnome_print_dialog_construct_range_any,
	gnome_print_dialog_construct_range_date,
	gnome_print_dialog_construct_range_page,
	gnome_print_dialog_get_range, gnome_print_dialog_get_range_page,
	gnome_print_dialog_get_range_date):

	* libgnomeprint/gnome-print-master-preview.c (render_page,
	preview_canvas_button_press, drag_to, preview_canvas_button_release,
	preview_canvas_motion, create_preview_canvas, create_toplevel,
	gnome_print_master_preview_finalize,
	gnome_print_master_preview_init,
	gnome_print_master_preview_new): Replace all ->private with ->priv
	for friendlier c++ compilation (request by AbiSource developers)
	
2000-04-07  Miguel de Icaza  <miguel@gnu.org>

	* gt1-parset1.c (gt1_load_font): Memory leak fixes.

Sat Apr  1 21:16:56 2000  Raph Levien  <raph@acm.org>

	* gnome-canvas-bpath.c (gnome_canvas_bpath_update): Added
	gnome_canvas_bpath_close_vpath(), which automatically closes
	subpaths which have been left open. This is in conformance with
	the latest SVG draft, and should improve robustness overall.

2000-03-27  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_class_init): Use destroy instead of
	finalize
	(gnome_print_preview_get_type): Killed all the code that handled
	Print Jobs (that was a bad hack, and now the PrintPreviewMaster
	does the same job correctly).

	Killed the pages field as well.

	Killed the lazy hide/show page trick.

2000-03-27  Jon K Hellan  <hellan@acm.org>

	* gnome-canvas-bpath-util.c (gnome_canvas_bpath_def_new_from):
	Don't segfault if source path is empty.

	* gnome-print-preview.c (gnome_canvas_bpath_def_duplicate): 
	Ditto.
	
2000-03-26  Chema Celorio  <chema@celorio.com>

	* gt1-parset1.c (gt1_load_font): Fixed a small typo.
	* gnome-printer-profile.c (gnome_printer_stock_profile):
	Fixed a small typo.

2000-03-26  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_finalize): Now I understand the
	problem.  gpp_finalize might be called when the canvas has already
	destroyed all of our canvas items.  So now we catch this
	condition, and avoid destroying the subobjects if they are already
	gone. 

2000-03-26  Chema Celorio  <chema@celorio.com>

	* gnome-print-ps.c (gnome_print_ps_reencode_font): Added
	function to reencode fonts with isoLatin1Encoding
	(gnome_print_ps_setfont): Reencode every time that the
	app asks for a new font.

	* gt1-parset1.c (gt1_load_font): 
	(gt1_load_font): Changed the encoding tables to support
	isoLatinEncoding. This is just a temp thing before we
	implement Unicode Encoding.
	
2000-03-25  Michael Meeks  <michael@helixcode.com>

	* gt1-parset1.c: include glib.h & lots more libart bits.
	(gt1_unload_font, gt1_load_font): Add Glyph outline hash
	setup / teardown.
	(art_drect_bpath): move here from hack-text.c
	(glyph_outline_hash, glyph_outline_equal, gt1_glyph_outline_lookup):
	implement.

	* gnome-canvas-hacktext.c (GnomeCanvasHacktextCharInfo): Kill.
	(gnome_canvas_hacktext_get_info): drasticaly simplify.
	(art_drect_bpath): move to gt1-parset1.c
	(gnome_canvas_hacktext_point): fix leaking svps.

	* parseAFM.h (TRUE, FALSE): Add undefs to not conflict with glib.

2000-03-24  Michael Meeks  <michael@helixcode.com>

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_init): kill bpath
	cache.
	(gnome_canvas_hacktext_destroy): ditto.
	(gnome_canvas_hacktext_get_info): re-write to not use cache & be
	simpler.
	(GnomeCanvasHacktextPriv): Kill the info cache.
	(gnome_canvas_hacktext_req_repaint, art_drect_hacktext),
	(gnome_canvas_hacktext_point, gnome_canvas_hacktext_req_repaint):
	update to non-pointer use of get_info.

2000-03-06  Michael Meeks  <michael@helixcode.com>

	* gnome-print-preview.c (gpp_stroke, gpp_strokepath, gpp_fill),
	(gpp_image, gpp_show): render into the GraphicContext's group.
	(GraphicContext): Add group. (gpp_gsave): Create a new group.
	(gnome_print_preview_construct): setup base group. (gpp_showpage):
	ditto; duplicated.

2000-03-25  Larry Ewing  <lewing@helixcode.com>

	* gnome-print-preview.c (gpp_show): use the current position along
	the path, rather than unconditionally using the first control
	point.

2000-03-23  Miguel de Icaza  <miguel@helixcode.com>

	* gnome-print-preview.c (gpp_finalize): Replace destroys I just
	introduced with unrefs.
	
	(gpp_finalize): Fix bug.  Michael: yes,
	the Canvas will destroy those items when it is destroyed, but we
	need to destroy them as well, as the user might want just the
	gnome-canvas-item object to go away, not the entire canvas (ie,
	create an object and later remove it).

2000-03-21  Jody Goldberg <jgoldberg@home.com>

	* gnome-font.c (create_display_font) : round the scaled font size
	  upwards.
	(gnome_get_display_font) : Ditto.

2000-03-01  Chema Celorio  <chema_gnome@celorio.com>

	* gnome-print-ps.c (gnome_print_ps_setfont_raw): Should consider
	grestore and gsave when testing if the default font has changed.

2000-03-01  Michael Meeks  <michael@helixcode.com>

	* gnome-font.c (gnome_display_font_height): implement.

2000-02-28  Federico Mena Quintero  <federico@helixcode.com>

	* gnome-print.c (gnome_print_context_new_with_paper_size): Add
	preconditions.
	(gnome_print_context_new): Likewise.
	(gnome_print_newpath): Likewise.
	(gnome_print_moveto): Likewise.
	(gnome_print_lineto): Likewise.
	(gnome_print_curveto): Likewise.
	(gnome_print_closepath): Likewise.
	(gnome_print_setrgbcolor): Likewise.
	(gnome_print_fill): Likewise.
	(gnome_print_eofill): Likewise.
	(gnome_print_setlinewidth): Likewise.
	(gnome_print_setmiterlimit): Likewise.
	(gnome_print_setlinejoin): Likewise.
	(gnome_print_setlinecap): Likewise.
	(gnome_print_setdash): Likewise.
	(gnome_print_strokepath): Likewise.
	(gnome_print_stroke): Likewise.
	(gnome_print_setfont): Likewise.
	(gnome_print_show): Likewise.
	(gnome_print_concat): Likewise.
	(gnome_print_setmatrix): Likewise.
	(gnome_print_gsave): Likewise.
	(gnome_print_grestore): Likewise.
	(gnome_print_clip): Likewise.
	(gnome_print_eoclip): Likewise.
	(gnome_print_grayimage): Likewise.
	(gnome_print_rgbimage): Likewise.
	(gnome_print_textline): Likewise.
	(gnome_print_showpage): Likewise.
	(gnome_print_setopacity): Likewise.
	(gnome_print_context_close): Likewise.
	(gnome_print_scale): Likewise.
	(gnome_print_rotate): Likewise.
	(gnome_print_translate): Likewise.
	(gnome_print_context_open_file): Likewise.

2000-02-24  Morten Welinder  <terra@diku.dk>

	* gnome-print-preview.c (gpp_finalize): Avoid destroying freed
 	stuff.  (Per NotZed's instructions.)

2000-02-24  NotZed  <NotZed@HelixCode.com>

	* gnome-print-meta.c (locate_page_header): Fix for uninitlialized
	variable access.

2000-02-22  Morten Welinder  <terra@diku.dk>

	* parseAFM.c (parseFileFree): Fixed embarrasing bogus linked list
 	code.
	* gnome-font.c (gnome_font_load_afm): Use parseFileFree to get rid
 	of fi.  (Plugs a couple of leaks.)
	* gnome-print-meta.c (close_page_header): Avoid unaligned access
 	as it will blow up on Sparc.
	* gnome-print-meta.c (meta_close): Ditto.

2000-02-21  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gnome-print.h: Move libart headers here.

2000-02-21  Lauris Kaplinski <lauris@ariman.ee>

	* gnome-print.h, gnome-print.c (gnome_print_bpath,
	gnome_print_vpath): New functions.

2000-02-11  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_setopacity): Implement and set the
	opacity value.

	* gnome-print.c (gnome_print_setopacity): Implement new method.

	* gnome-print-ps.c (gnome_print_ps_setopacity): New method.

2000-02-02  Christopher James Lahey  <clahey@helixcode.com>

	* gnome-font.h, gnome-font.c (gnome_font_load_afm): Switched the
	sign of the descender as people expect a descender below the line
	to have a positive value.
	(gnome_font_get_underline_position,
	gnome_font_get_underline_thickness): Added underline information
	to the set of information provided from the afm file.
	(gnome_font_new_from_full_name, gnome_font_get_full_name): These
	functions create a new font given a descriptor string and return a
	descriptor string for a given font, respectively.  The descriptor
	is currently the font name followed by a space followed by the
	size, though it may be expanded in the future.  This should be a
	way of predictably storing a reference to a font as a string in a
	file.
	
2000-01-25  Christopher James Lahey  <clahey@helixcode.com>

	* gnome-print-multipage.h, gnome-print-multipage.c: Added a
	multipage print context that puts multiple conceptual pages on a
	single output page.

	* gnome-font.h, gnome-font.c: Added descender information to
	gnome-font.  Queryable from gnome_font_get_descender or
	gnome_font_get_ascender or from gtk_object_get with the "ascender"
	or "descender" arguments which are doubles.

	* Makefile.am: Added gnome-print-multipage.c and
	gnome-print-multipage.h

2000-01-23  NotZed  <notzed@zedzone.helixcode.com>

	* gnome-print-master-preview.c (preview_canvas_button_press):
	Removed modes no longer implemented.
	(preview_zoom_in_cmd, preview_zoom_out_cmd): Do an immediate zoom,
	rather than changing mode.
	(preview_zoom_fit_cmd): Fits page to the window size.
	(preview_zoom_fit_wide_cmd): Fits page width to the window size.
	(preview_zoom_fit_tall_cmd): Fits page height to the window size.
	(preview_canvas_key): Implements a keyboard interface.
	(create_preview_canvas): Listen for key	presses.
	(stock_zoom_*): New, improved icons, from/in the style of EOG.
	(create_preview_canvas): Force focus of canvas.

2000-01-21  Christopher James Lahey  <clahey@helixcode.com>

	* gnome-print-dialog.h: Fixed a typo.

	* gnome-print-master.h, gnome-print-master.c
	(gnome_print_master_new_from_dialog): Added this convience
	function to automatically pull values from a GnomePrintDialog.
	This should change as options are added to the GnomePrintDialog,
	and thus this function should be used.  Range must be pulled
	manually since it's so application dependent.

2000-01-17  Michael Zucchi  <zucchi@zedzone.mmc.com.au>

	* gnome-font.c (find_best_x_font): #if 0'd out a block of
	variables used by #if 0'd out blocks of code.

	* gnome-print-copies.c (collate_toggled): const char ** -> char **
	cast.

	* gnome-print-dialog.c (gnome_print_dialog_get_printer): Fixed up
	another silly cast.

	* gnome-print-meta.c (encode_page_header): Fixed up a silly cast
	(i think the result of some changes which were backed out).
	(meta_close): Removed some unused variables.
	(gnome_print_meta_access_buffer): Fixed a another silly (but more
	serious) bug.
	(encode_int): Fixed most warnings from autogenerated code ...
	Changed to accept a PrintContext, and cast to PrintMeta itself.

2000-01-11  Michael Zucchi  <zucchi@zedzone.mmc.com.au>

	* Makefile.am (libgnomeprint_la_SOURCES): Added
	gnome-print-master.c master-preview.c, dialog.c and copies.c
	(libgnomeprintinc_HEADERS): Same, for .h files.

	* gnome-print-dialogue.h: New dialogue, allows app to ask user
	standard questiongs about printing.

	* gnome-print-copies.[ch]: New widget, allows user to specify
	print copies/collation using a standard interface.

2000-01-10  Michael Zucchi  <zucchi@zedzone.mmc.com.au>

	* gnome-print-master-preview.c (gnome_print_master_preview_new):
	New widget, preview window.

	* gnome-print-master.c: New object.  Creates an object to maintain
	a print job, preview or to printer.

2000-01-08  Michael Zucchi  <zucchi@zedzone.mmc.com.au>

	* gnome-print-meta.c (gnome_print_meta_finalize): Free private
	data.
	(check_room): Checks for room in the output buffer, and grows as
	necessary.
	(encode_block): Calls check_room() instead of growing itself.
	(encode_int_header): Renamed from encode_int, encodes an int with
	a fixed size.
	(encode_int): New function, encodes an int, packing into less
	bytes if it can (7 bits/byte).  All opcodes encode in 1 byte now.
	(encode_header): New function, encodes the file header.  Now the
	file header is stored in network byte order too.
	(close_page_header): New function, backtracks to the last page
	header and sets the size of the page.
	(encode_page_header): New function, encodes a page header, after
	closing off the last one.
	(meta_showpage): Encodes a page header after every page.
	(meta_close): Encodes a closing page header with the last page
	(size=-1), after the META_CLOSE.  And set the file size using
	network byte order.
	(gnome_print_meta_init): Allocate and initialise private data, and
	setup initial page header.
	(gnome_print_meta_new_from): Use decode_header to get the header
	from the data stream.
	(gnome_print_meta_access_buffer): Use current, rather than
	buffer_size, current is the actual data size!!  And set the
	filesize network byte order.
	(gnome_print_meta_get_copy): Likewise.
	(decode_int_header): Renamed from decode_int, decodes a fixed
	length int.
	(decode_int): New function, decodes a variable lenght int.
	(decode_image): Removed the do_output flag.
	(decode_header): New function, decodes a header back into a
	struct.
	(decode_page_header): Same, for page headers.
	(locate_page_header): New function, find the page header
	corresponding to a given page number.
	(do_render): Now is told how many pages to print.  It prints all
	pages in its data stream, until this page count is reached.  Hence
	removed the do_output logic, this also fixed a bug where
	superfluous showpage's and other commands from earlier pages would
	be output when trying to output a specific page.
	(gnome_print_meta_render): Decoder header properly, and fix data
	offsets.
	(gnome_print_meta_render_page): Use locate_page_header() to find
	the right page, and fix call to do_render appropriately.
	(meta_close): Actually, dont save a page header here, it is not
	required, do not set the page size either.
	
2000-01-04  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_gsave): Ref the font on gsave.

1999-10-30  Larry Ewing  <lewing@gimp.org>

	* gnome-font.c: add missing include of <gnome-xml/xmlmemory.h>.

1999-10-30  Larry Ewing  <lewing@gimp.org>

	* gnome-canvas-hacktext.c (art_drect_hacktext): use libart affine
	funtions.
	gnome_canvas_hacktext_init): ditto.

	* gnome-print-preview.c (gpp_show): clean up the affine code to
	use the libart functions where appropriate.

	* gnome-font.c (xmlGetValue): xmlFree the values returned by
	libxml.
	
1999-10-29  Morten Welinder  <terra@diku.dk>

	* gnome-canvas-hacktext.c (get_bounds_canvas): Don't use C++
 	comments.  (Bug 3014.)

	* gnome-printer-profile.c: Include alloca.h.  (Bug 3040.)

1999-10-02  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gc_clear_bpath): Do not free an empty
	bezier path.

1999-10-09  Morten Welinder  <terra@diku.dk>

	* gt1-namecontext.c (gt1_name_context_hash_func): Constify.
	(gt1_name_context_hash_func_size): Constify.
	(gt1_name_context_strdup): Constify.
	(gt1_name_context_streq_size): Constify.
	(gt1_name_context_strdup_size): Constify.
	(gt1_name_context_intern): Constify.
	(gt1_name_context_intern_size): Constify.

	* gnome-text.c (font_list_tab, font_family_tab, font_tab): static.

	* gnome-printer-profile.c (gnome_printer_load_profiles_from):
 	Constify.
	(gnome_printer_load_profiles_from_dir): Constify.
	(gnome_printer_create): Constify.
	(gnome_printer_profile_get_printer): Constify.

	* gnome-printer-dialog.c (label_at): Constify.

	* gnome-print.c (gnome_print_setdash): Constify.
	(gnome_print_concat): Constify.
	(gnome_print_setmatrix): Constify.
	(gnome_print_grayimage): Constify.
	(gnome_print_rgbimage): Constify.

	* gnome-print-preview.c (gc_set_dash): Constify.
	(gpp_setdash): Constify.
	(gpp_grayimage): Constify.
	(gpp_rgbimage): Constify.
	(gpp_image): Constify.
	(gpp_concat): Constify.
	(gpp_setmatrix): Constify.

	* gnome-print-ps.c (gnome_print_ps_setdash): Constify.
	(gnome_print_ps_concat): Constify.
	(gnome_print_ps_setmatrix): Constify.
	(gnome_print_ps_grayimage): Constify.
	(gnome_print_ps_rgbimage): Constify.
	(gnome_print_ps_image): Constify.

	* gnome-print-meta.c (gnome_print_meta_render): Constify.
	(gnome_print_meta_render_page): Constify.
	(gnome_print_meta_pages): Constify.
	(gnome_print_meta_render_from_object_page): Constify.
	(gnome_print_meta_render_from_object): Constify.
	(gnome_print_meta_new_from): Constify.
	(encode_image): Constify.
	(meta_grayimage): Constify.
	(meta_rgbimage): Constify.
	(meta_setmatrix): Constify.
	(meta_concat): Constify.
	(meta_setdash): Constify.

1999-10-09  Morten Welinder  <terra@diku.dk>

	* gnome-print-ps.c (gnome_print_ps_setfont_raw): Make a copy of
 	the fontname.
	(gnome_print_ps_setfont): Ditto.
	(gnome_print_ps_finalize): Free name copies.

	* gnome-font.c (gnome_font_family_hash,
 	gnome_font_family_the_list): static.
	(gnome_font_unsized_get_name): Constify.
	(gnome_font_unsized_get_glyph_name): Constify.
	(gnome_font_get_name): Constify.
	(gnome_font_get_glyph_name): Constify.
	(gnome_font_unsized_get_pfa): Constify.
	(gnome_font_get_pfa): Constify.
	(gnome_font_get_width): Constify.
	(gnome_font_unsized_get_width): Constify.
	(gnome_font_get_width_string): Constify.
	(gnome_font_get_width_string_n): Constify.
	(gnome_font_unsized_get_glyph): Constify.
	(gnome_font_get_glyph): Constify.
	(gnome_font_kern): Constify.
	(gnome_font_unsized_kern): Constify.
	(gnome_font_family_to_x_name): Static.
	(gnome_font_x_name_to_family): Static.

	* gnome-print.c (gnome_print_context_new_with_paper_size): Handle
 	failures without issuing warnings.

1999-10-08  Morten Welinder  <terra@diku.dk>

	* gnome-print-ps.c (gnome_print_ps_new): Handle failures such as
 	cannot write ps-file.

1999-10-08  Morten Welinder  <terra@diku.dk>

	* gnome-print-ps.h (struct _GnomePrintPs): New member
 	current_gnome_font.

	* gnome-print-ps.c (gnome_print_ps_image): One static is enough.
	(gnome_print_ps_show): Handle non-ascii characters.
	(gnome_print_ps_setfont): Save the actual font.
	(gnome_print_ps_finalize): Plug leak.

	* gnome-text.c (gnome_text_intern_font): Static.
	(gnome_text_intern_font_family): Static.

	* gnome-print-pixbuf.c (gpix_class_init): Correct cast.

	* gt1-parset1.c (tokenize_get): Use unsigned characters (since
 	isdigit and friends require that).
	(tokenize_get_hex_byte): Ditto.
	(parse_num): Ditto.  Also use the right sign.

	* gnome-print-preview.c (fetch_font): Constify.

1999-10-08  Jody Goldberg <jgoldberg@home.com>

	* gnome-printer.h : Correct typo.

1999-09-25  Morten Welinder  <terra@diku.dk>

	* gnome-canvas-hacktext.c (art_drect_hacktext): Static.
	(gnome_canvas_hacktext_point): Initialise dist.
	(recalc_bounds): #if 0.

	* gnome-canvas-hacktext.c (art_drect_hacktext): Use unsigned
 	characters.
	(gnome_canvas_hacktext_point): Ditto.
	(gnome_canvas_hacktext_render): Ditto.

1999-09-25  Miguel de Icaza  <miguel@gnu.org>

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_point): Return
	the proper value here (0.0 means "Point is inside me").

1999-09-24  Morten Welinder  <terra@diku.dk>

	* gnome-canvas-bpath.c (gnome_canvas_bpath_destroy): Plug leak.

	* parseAFM.c (parseFile): Plug leak.
	(parseFileFree): New function.

	* gt1-parset1.c (gt1_unload_font): Call parseFileFree.

1999-09-23  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gnome-print-meta.c: Add error checking for the condition of size
	not have been set.

	* gnome-print-preview.c (gpp_showpage): Drop the current affine
	and the current path at showpage time
	(gpp_show): Removed debugging messages.

1999-09-18  Morten Welinder  <terra@diku.dk>

	* gnome-printer-dialog.c (gnome_printer_widget_get_printer): Plug leak.
	(set_profile): Plug leak.

	* gt1-parset1.c (tokenize_free): New function.
	(gt1_load_font): Plug leaks.  Constify.
	(tokenize_new, tokenize_new_from_mystring, read_int32_lsb,
 	tokenize_get, tokenize_get_hex_byte, tokenize_get_raw,
 	convert_glyph_code_to_begt1_path, array_new, parse_num,
 	gt1_dict_stack_lookup, get_stack_number, get_stack_dict,
 	get_stack_name, get_stack_file, get_stack_string, get_stack_array,
 	get_stack_bool, get_stack_proc, pscontext_new, charstring_decrypt,
 	print_glyph_code, get_subr_body, munch_font_info): Static.
	(pscontext_free): New function.
	(gt1_unload_font): New function.
	(gt1_load_font): Plug file leak.
	(free_munched_font_info): New function.
	(internal_closefile): Plug leak.

	* gnome-print-preview.c (kill_font): Unload the font.

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_init): Initialise
 	affine transformation.
	(gnome_canvas_hacktext_destroy): Plug this leak again.
	(gnome_canvas_hacktext_point): Always return a value.

1999-09-12  Michael Meeks  <michael@nuclecu.unam.mx>

	* gnome-print.c (gnome_print_context_close_file): Use opposite close &
	NULL pointer.

1999-09-07  Morten Welinder  <terra@diku.dk>

	* gnome-print-preview.c (gpp_finalize): Plug leak.

	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_destroy): Plug leak.
	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_get_info): Prototype.

	* gt1-parset1.c (gt1_load_font): Plug leaks.
	(internal_eexec): Plug leak.

1999-09-03  Morten Welinder  <terra@diku.dk>

	* gnome-print-meta.c (decode_double): Constify.  Ansify.
	(decode_int): Ditto.
	(decode_image): Constify.
	(do_render): Ditto.

1999-09-03  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_finalize): Destroy instead of unref.

	* gnome-font.c: Only invoke the XML loading functions on existing
	files. 

1999-09-02  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-meta.c (do_render): Removed warning.

	* gnome-print-preview.c (gpp_finalize): Only destroy the hash
	table if it was defined.  Release the hash table here.

	* gnome-print-meta.h: Added private field.

	* gnome-print-meta.c (do_render): Modified to render only one page
	if requested.
	(gnome_print_meta_render_from_object_page): New api entry point.
	(gnome_print_meta_render_page): New api entry point.

1999-08-31  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_stroke, gpp_strokepath, gpp_fill,
	gpp_image, gpp_show, lazy_showpage_check): Added lazy showpage
	support, so that the page is not hidden until the generation of
	the next page starts.  This is just to enable sample applications
	to not have to use the job control interface unless they are big
	applications. 

1999-08-27  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gnome-print-pixbuf.c (gpix_print_band): Use GnomePrintContext's
	output device here instead of our own output device.

	* gnome-print-ps.c (gnome_print_ps_new): Documented, added
	paper_size argument

1999-08-26  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_image): Move source++ inside this
	loop.  This fixes gray images.
	(gpp_image): tricky, very trikcy:  Use the image anchor, first
	flip the image, then apply both current affine and then the page affine.

1999-08-25  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-rgbp.c (gnome_print_rgbp_construct): Set the proper
	proportion for dpi values. 

	* gnome-print-preview.c (gpp_show): The x and y should take into
	account the pixels per unit of the canvas.  Makes preview work
	with zooming.

	* gnome-print-rgbp.c: Use dpis instead of the hardcoded 1.0 value.

1999-08-20  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_grestore): Use glist correctly.
	(gpp_show): Invert the angle as the canvas coordinate system is
	inverted in this regard.
	(gnome_print_preview_construct): Fix preconditionals.

	Documented the GnomePrintPreview and GnomePrintPreviewJob APIs.

	* gnome-print-rgbp.c: New file.  Driver that uses the
	gnome-print-preview driver to render to an RGB buffer.

	* gnome-print-pixbuf.c: New file.  Driver that dumps an RGB file,
	a subclass of the gnome-print-rgbp.c
	
	* gnome-canvas-hacktext.c (gnome_canvas_hacktext_req_repaint,
	gnome_canvas_hacktext_render):  The translation was being computed
	using the projection of the x and y coordinates into account. 

	This makes text render properly, although I might have
	missunderstood something.

1999-08-16  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c (gpp_show): get fonts and show working.
	Something is wrong with the way I setup affines.  Now I can see
	:-).  This is tomorrow's material.

	(gnome_canvas_bpath_def_duplicate): New routine to duplicate a
	GnomeCanvasBpathDef. 
	(gpp_gsave): Use above routine.

	(gnome_print_preview_construct): Use
	translate, not scale to setup the page translation.
	Flip the page.
	(gpp_image): Put the image from (0.0,0.0) to (1.0,1.0).

1999-08-15  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c: Changed all return values of zero to -1
	to indicate an error condition.
	(GraphicContext): move the bpath here as it is part of the context.
	(gpp_gsave): Duplicate the bpath here;  Duplicate base context
	(gpp_restore): Pop context.
	(gpp_concat): Create new context here as well.

1999-08-13  Miguel de Icaza  <miguel@gnu.org>

	* gnome-print-preview.c: New file.  Implements a print-preview
	context. 
	
	* gnome-print-ps.c: Made all internal functions static.

1999-08-08  Morten Welinder  <terra@diku.dk>

	* gnome-font.c (gnome_font_unsized_closest): Quiet.
	(gnome_font_new_closest): Quiet.
	(create_display_font): Plug leak.

1999-07-11  Miguel de Icaza  <miguel@gnu.org>

	* gnome-font.c (gnome_font_list): Use g_list_prepend instead of
	g_list_append and reverse the result.

	* Eliminate "b" flag from fopen, that is not supported by Spec
	11whatever

1999-07-07  Miguel de Icaza  <miguel@gnu.org>

	* gnome-font.c (gnome_font_unsized_get_pfa): Added some inline api
	docs.

1999-07-08  Havoc Pennington  <hp@pobox.com>

	* gnome-font.c (create_display_font): Don't warn if wpdf->gdk_font
	== NULL, because that's allowed to happen.

1999-07-07  Jody Goldberg  <jgoldberg@home.com>

	* gnome-font.[ch] (gnome_font_get_width_string_n) : New function.

1999-07-05  Morten Welinder  <terra@diku.dk>

	* gnome-font.c (gnome_get_display_font): Don't pretend it is a
 	catastrophe if we don't have a font.

	* gnome-text.c (gnome_text_layout_new): Constify.

	* gnome-font.c (gnome_font_family_to_x_name): Constify.
	(gnome_font_weight_to_string): Constify.
	(gnome_font_x_name_to_family): Constify.
	(string_to_gnome_font_weight): Constify.
	(find_best_x_weight): Constify.
	(find_best_x_font): Constify.
	(create_display_font): Constify.
	(getFontComponent): Constify.
	(getFontFoundry): Constify.
	(getFontFamily): Constify.
	(getFontWeight): Constify.
	(getGnomeFontWeight): Constify.
	(getFontSlant): Constify.
	(fontIsItalic): Constify.
	(getFontSWidth): Constify.
	(getFontAdStyle): Constify.
	(getFontPixelSize): Constify.
	(getFontPointSize): Constify.
	(getFontResolutionX): Constify.
	(getFontResolutionY): Constify.
	(getFontSpace): Constify.
	(getFontAverageWidth): Constify.
	(getFontRegistry): Constify.
	(getFontEncoding): Constify.
	(setFontFoundry): Constify.
	(setFontFamily): Constify.
	(setFontWeight): Constify.
	(setFontSlant): Constify.
	(setFontSWidth): Constify.
	(setFontAdStyle): Constify.
	(setFontPixelSize): Constify.
	(setFontPointSize): Constify.
	(setFontResolutionX): Constify.
	(setFontResolutionY): Constify.
	(setFontSpace): Constify.
	(setFontAverageWidth): Constify.
	(setFontRegistry): Constify.
	(setFontEncoding): Constify.
	(setComponentReplace): Constify.
	(initialize_hashes): Fix prototype: takes no arguments, not a
 	arbitrary list of arguments.  This is C, not C++.

	* gnome-font.h: #includes before C++ wrapping.

	* gnome-font.c (xmlGetValue): Fix leak.
	(gnome_font_load_afm): Fix huge leak.
	(gnome_font_load_fontmap): Fix unbelievable leak.
	(gnome_font_add_mapping): Constify.
	(gnome_font_find): Constify.
	(gnome_font_find_filename): Constify.
	(gnome_font_is_afm_file): Fix incorrect usage of tolower.
	(gnome_font_load_fontmap): Fix leak.
	(create_display_font): Fix leak.

1999-06-26  Chris Lahey  <clahey@umich.edu>

	* gnome-font.c (debugmsg): Made debugging messages be printed only
	if the GNOME_PRINT_DEBUG environment variable is set.

1999-06-18  Havoc Pennington  <hp@pobox.com>

	* gnome-print-ps.c (gnome_print_ps_setfont): Same problem as with
	colors - didn't consider gsave/grestore.

1999-06-18  Havoc Pennington  <hp@pobox.com>

	* gnome-print-ps.c (gnome_print_ps_setrgbcolor): The last color
	set is not necessarily the current color (gsave/grestore)

1999-05-26  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (INCLUDES): Include $(top_srcdir).

1999-05-25  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gnome-font.c, gnome-font.h, gnome-font-dialog.c,
	gnome-font-dialog.h, gnome-print-meta.c, gnome-print-meta.h,
	gnome-print-meta.c, gnome-print-ps.c, gnome-print-ps.h,
	gnome-print.c, gnome-print.h, gnome-printer-dialog.c,
	gnome-printer-dialog.h, gnome-printer-profile.c, gnome-text.c,
	gnome-printer.c, gnome-printer.h : Use <libgnomeprint/*> headers
	instead of "...".
	
--- Merge Changelogs to here ---	

2002-01-13  Hasbullah Bin Pit <sebol@ikhlas.com>

        * configure.in: Added Malay (ms) to ALL_LINGUAS

2002-01-10  Michael Meeks  <michael@ximian.com>

	* Version 1.109.1

2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added portuguese to ALL_LINGUAS

2001-12-23  Lauris Kaplinski  <lauris@ximian.com>

	* tests/testprint.c (do_print_paragraph): Add appropriate
	letterspacing to word widths

2001-12-19  jacob berkman  <jacob@ximian.com>

	* tests/testprint.c: remove libxml include

2001-12-19  Miles Lane <miles@megapathdsl.net>

	* configure.in: Added glib-gettextize support, removed intl 
	  reference, removed a couple of unneeded macros per Porting Guide.
	* acconfig.h: Added "#undef GETTEXT_PACKAGE
	* Makefile.am: Removed intl from SUBDIRS

2001-12-19  Lauris Kaplinski  <lauris@ximian.com>

	* configure.in: Removed libgnomeui dependency

2001-12-17  Lauris Kaplinski  <lauris@ximian.com>

	* configure.in: Version 1.109

2001-12-12  Lauris Kaplinski  <lauris@ximian.com>

	* configure.in: Version 1.108, require the same libgnomeprint

2001-12-11  Lauris Kaplinski  <lauris@ximian.com>

	* tests/testprint.c (main): Added paper dialog test

2001-12-03  Michael Meeks  <michael@ximian.com>

	* Version 1.107.0

2001-11-05  Michael Meeks  <michael@ximian.com>

	* Version 1.106.0

2001-10-29  Havoc Pennington  <hp@redhat.com>

	* configure.in: we need to link to libgnomeui

2001-10-08  Abel Cheung  <maddog@linux.org.hk>

	* autogen.sh, configure.in: CERTIFIED_GNOMIE, bye-bye.

2001-09-29  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" to the languages list.

2001-09-25  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Azeri (az) and Walloon (wa) to ALL_LINGUAS
	* configure.in: Added Catalan (ca) to ALL_LINGUAS

2001-09-27  Michael Meeks  <michael@ximian.com>

	* Version 1.105.0

2001-09-19  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-09-05  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW to ALL_LINGUAS.

2001-08-24  jacob berkman  <jacob@ximian.com>

	* tests/testprint.c: #include <popt.h> rather than <popt-gnome.h>

2001-08-09  Lauris Kaplinski  <lauris@ximian.com>

	* .cvsignore: Added ABOUT-NLS

2001-08-09  Michael Meeks  <michael@ximian.com>

	* configure.in: use PKG_CHECK_MODULES.

2001-07-31  Lauris Kaplinski  <lauris@ximian.com>

	* Split into separate module for gnome-2

